ASC 2.5.0.0

  Major Features:
    - Added function for long distance movement (longer than 1 turn)
    - savegames have preview image

  Minor Features:
    - add: infos about the health and the fuel can be shown at the top of the unit
    - Map transformations can now transform Techadapters
    - unit info shows 3D image of unit
    - more LUA commands
    - Automatic Ammo Production is now on by default for new ASC installations
    - better detection of screen resolution, 100% zoom now default

  Bugfixes:
    - fixed view calcuation problems
    - fixed compilation problems with gcc 4.7
    - Fixed crash on windows when trying to perform invalid resource/ammo transfers through Lua
    - Fixed damage increase through repair
    - Fixed AI crash
    - Fixed positioning of map info window
    - Fixed writing empty service commands
    - Fixed crash when jumping into RF
    - Fixed undo errors when destroying objects
    - and many more...


The old Changelogs were automatically created from CVS history:


2009-12-20 17:34  mbickel

	* configure, configure.in, data/ascdatacoreversion.asctxt,
	  installer/asc.nsi, source/strtmesg.cpp:  Changed version number
	  to 2.4

2009-12-20 17:27  mbickel

	* data/campaign/tutorial/: tut000.map.fr_FR, tut004.map.fr_FR,
	  tut007.map.fr_FR, tut008.map.fr_FR, tut010.map.fr_FR,
	  tut013.map.fr_FR, tut014.map.fr_FR, tut017.map.fr_FR,
	  tut018.map.fr_FR, tut019.map.fr_FR, tut023.map.fr_FR:  Fixed
	  syntax error in franch tutorial translation

2009-12-19 19:23  mbickel

	* data/campaign/standard/asc009.map:  Added some pipelines for
	  easier connection of conquered depots to net

2009-12-19 17:25  mbickel

	* data/campaign/kamor/: kam001.map, kam002.map, kam003.map,
	  kam004.map, kam005.map, kam006.map, kam007.map, kam008.map,
	  kam009.map, kam010.map, kam011.map, kam012.map, kam013.map,
	  kam014.map, kam015.map, kam016.map, kam017.map, kam018.map,
	  kam019.map, kam020.map, kam021.map, kam022.map, kam023.map,
	  kam024.map, kam025.map:  Updated maps for Kamor campaign

2009-12-19 02:37  grom

	* data/campaign/: nos/nos001.map.de_DE, nos/nos001.map.fr_FR,
	  nos/nos002.map.fr_FR, nos/nos003.map.fr_FR, nos/nos004.map.fr_FR,
	  nos/nos005.map.fr_FR, nos/nos006.map.fr_FR, nos/nos007.map.fr_FR,
	  nos/nos008.map.fr_FR, standard/asc003.map.de_DE,
	  standard/asc014.map.de_DE, tutorial/tut000.map.fr_FR,
	  tutorial/tut001.map.fr_FR, tutorial/tut002.map.fr_FR,
	  tutorial/tut003.map.fr_FR, tutorial/tut004.map.fr_FR,
	  tutorial/tut005.map.fr_FR, tutorial/tut006.map.fr_FR,
	  tutorial/tut007.map.fr_FR, tutorial/tut008.map.fr_FR,
	  tutorial/tut009.map.fr_FR, tutorial/tut010.map.fr_FR,
	  tutorial/tut011.map.fr_FR, tutorial/tut012.map.fr_FR,
	  tutorial/tut013.map.fr_FR, tutorial/tut014.map.fr_FR,
	  tutorial/tut015.map.fr_FR, tutorial/tut016.map.fr_FR,
	  tutorial/tut017.map.fr_FR, tutorial/tut018.map.fr_FR,
	  tutorial/tut019.map.fr_FR, tutorial/tut020.map.fr_FR,
	  tutorial/tut021.map.fr_FR, tutorial/tut022.map.fr_FR,
	  tutorial/tut023.map.fr_FR, tutorial/tut024.map.fr_FR,
	  tutorial/tut025.map.fr_FR: translations

2009-12-19 01:56  grom

	* data/campaign/tutorial/tut030.map.en_EN: translation

2009-12-18 22:46  mbickel

	* data/campaign/tutorial/tut024.map:  Added some mineral resources
	  to discover

2009-12-18 19:53  mbickel

	* data/: buildings/asc/bld_asc_atomkraftwerk.asctxt,
	  campaign/tutorial/tutorial.asccampaign:  Rename nuclear power
	  plant
	   Change tut campaign description

2009-12-18 14:25  mbickel

	* data/campaign/tutorial/: tut006.map.en_EN, tut009.map.en_EN,
	  tut030.map, tut030.map.en_EN:  Added translations
	   Removed the SAM-Turret part of tut030 because it doesn't work
	  any more

2009-12-17 23:58  mbickel

	* data/Makefile.am, data/Makefile.in, source/packagemanager.cpp,
	  source/packagerepository.cpp, source/packagerepository.h:  Fixed
	  build system
	   Better error message when packages not found

2009-12-17 22:29  mbickel

	* data/campaign/tutorial/tut019.map.en_EN:  More translation

2009-12-17 20:33  mbickel

	* configure, configure.in, data/Makefile.am, data/Makefile.in,
	  installer/asc.nsi, source/loaders.cpp, source/strtmesg.cpp:
	  Updated version number and Makefiles

2009-12-17 19:08  mbickel

	* data/campaign/tutorial/: tut000.map.en_EN, tut021.map.en_EN,
	  tut022.map.de_DE, tut022.map.en_EN, tut023.map.en_EN,
	  tut024-mining-bars.png, tut024.map.de_DE, tut024.map.en_EN,
	  tut025.map:  More translations

2009-12-16 22:56  mbickel

	* data/campaign/tutorial/tut025.map.en_EN:  Translation

2009-12-16 22:40  mbickel

	* data/campaign/tutorial/: tut010.map.en_EN, tut016.map.en_EN,
	  tut018.map.en_EN, tut020.map.en_EN:  Still more translations

2009-12-16 21:26  mbickel

	* data/campaign/tutorial/: tut018.map.de_DE, tut018.map.en_EN:
	  Even more translation
	   Fix the description of recycling

2009-12-16 19:52  mbickel

	* data/campaign/tutorial/tut016.map.en_EN:  Translation

2009-12-16 19:37  mbickel

	* data/campaign/tutorial/tut011.map.en_EN:  Translation

2009-12-16 18:59  mbickel

	* data/campaign/tutorial/tut015.map.en_EN:  Another translation

2009-12-16 18:39  mbickel

	* data/campaign/tutorial/: tut013.map.en_EN, tut014.map.en_EN:
	  Translations again

2009-12-16 18:31  mbickel

	* data/campaign/tutorial/: tut012.map.en_EN, tut013.map.en_EN:
	  More tutorial translations

2009-12-16 17:36  mbickel

	* data/campaign/tutorial/: tut017.map.de_DE, tut017.map.en_EN:
	  More translations

2009-12-16 12:50  mbickel

	* data/campaign/tutorial/: tut000.map.en_EN, tut001.map.en_EN,
	  tut005.map.en_EN, tut007.map.en_EN, tut008.map.en_EN,
	  tut010.map.en_EN:  Added and improved english tutorial
	  translation

2009-12-15 22:01  mbickel

	* Makefile.in, asc.kdevelop, configure, configure.in,
	  doc/Makefile.in, doc/manpages/Makefile.in,
	  doc/unitguide/Makefile.in, doc/unitguide/output/Makefile.in,
	  installer/Makefile.in, source/Makefile.in,
	  source/guifunctions.cpp, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/dialogs/terraininfo.cpp,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unittests/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Fixed
	  typo
	   Added check for PKG-config to configure

2009-12-15 21:53  mbickel

	* data/: Makefile.in, ascdatacoreversion.asctxt,
	  dialog/Makefile.in, icons/Makefile.in, music/Makefile.in,
	  sounds/Makefile.in:  Changed data version counter

2009-12-15 21:25  mbickel

	* data/campaign/tutorial/: tut000.map, tut000.map.de_DE,
	  tut000.map.en_EN, tut001.map.en_EN, tut002.map.en_EN, tut003.map,
	  tut003.map.en_EN, tut004.map.en_EN, tut005.map.en_EN, tut030.map,
	  tut030.map.de_DE, tutorial.asccampaign:  Translations of tutorial
	  campaign

2009-12-15 14:11  mbickel

	* data/trrobj/parents/: _pobj513_ufer_vsw.asctxt,
	  _pobj514_flachwasser.asctxt, _pobj515_normalwasser.asctxt,
	  _pobj516_tiefwasser.asctxt, _pobj517_tiefwassereis.asctxt,
	  _pobj518_fluss.asctxt, _pobj525_kanal.asctxt:  Fixed: wrong
	  specification of weather-specific properties

2009-12-15 14:11  mbickel

	* data/campaign/standard/asc010a.map:  Replaced crab by ark
	   added experience to loaded tanks
	   remove mg ammo from Dora

2009-12-13 19:08  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/accessconstraints-game.cpp, source/asc-mainscreen.cpp,
	  source/loaders.cpp, source/strtmesg.cpp,
	  source/lua/commands_wrap.cxx, source/lua/common.cpp,
	  source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands_wrap.cxx:  Fixed generation of
	  translation files for maps

2009-12-13 02:14  mbickel

	* data/campaign/standard/asc014.map:  Fixed events (map was
	  unwinnable if control tower was conquered
	     after MBV	is unloaded)

2009-12-12 16:37  mbickel

	* configure, configure.in:  Better error messages for wxwidgets
	  check

2009-12-12 14:40  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/ascdatacoreversion.asctxt, installer/asc.nsi,
	  source/accessconstraints-editor.cpp,
	  source/accessconstraints-game.cpp, source/accessconstraints.h,
	  source/containerbase.cpp, source/containerbase.h,
	  source/edglobal.cpp, source/edglobal.h, source/edmisc.cpp,
	  source/edmisc.h, source/loaders.cpp, source/maped-mainscreen.cpp,
	  source/strtmesg.cpp, source/lua/commands_wrap.cxx,
	  source/lua/common.i, source/lua/mapedcommands.i,
	  source/lua/mapedcommands_wrap.cxx,
	  source/tools/linux/Makefile.am, source/tools/linux/Makefile.in,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in:
	   Added support for translating building names on a map
	   Changed version number to 2.3.79.0

2009-12-12 10:34  gamer

	* data/: trrobj/_history_trrobj.txt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk3/mk3-parent/mk3-history.txt: [no log message]

2009-12-12 10:03  gamer

	* data/unitsets/mk3/mk3-heli/mk3h_lynx.asctxt: [no log message]

2009-12-12 09:56  gamer

	* data/unitsets/mk3/mk3-pbat/: mk3a_amx.jpg, mk3a_harrier.jpg: [no
	  log message]

2009-12-11 16:21  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/campaign/standard/asc010a.map, installer/asc.nsi,
	  source/containerbasetype.h, source/lua/commands_wrap.cxx,
	  source/lua/common.i, source/lua/mapedcommands.cpp,
	  source/lua/mapedcommands.h, source/lua/mapedcommands.i,
	  source/lua/mapedcommands_wrap.cxx:  New Lua commands
	   Reworked asc010a
	     - more ice
	     - more turrets
	     - more fuel
	     - more units on RF

2009-12-11 16:13  mbickel

	* source/strtmesg.cpp:	New version number

2009-12-10 23:37  mbickel

	* source/vehicletype.cpp:  Undo recent changes to unit cost formula

2009-12-10 22:32  mbickel

	* source/: i18n.cpp, strtmesg.cpp, win32/msvc/ASC/ASC.vcproj,
	  win32/msvc/mapeditor/mapeditor.vcproj,
	  win32/msvc/pbpeditor/pbpeditor.vcproj:  Added wxWidget dependency

2009-12-10 19:04  mbickel

	* Makefile.in, asc.kdevelop, config.h.in, configure, configure.in,
	  data/Makefile.in, data/campaign/standard/asc010b.map.en_US,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  scripts/dump2ini, source/Makefile.in, source/asc-mainscreen.cpp,
	  source/events.h, source/explosivemines.cpp,
	  source/explosivemines.h, source/gameevents.cpp,
	  source/gameevents.h, source/gameoptions.cpp,
	  source/gameoptions.h, source/guifunctions.cpp,
	  source/guiiconhandler.cpp, source/i18n.cpp, source/i18n.h,
	  source/loaders.cpp, source/mapdisplay.cpp, source/sg.cpp,
	  source/turncontrol.cpp, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/ai/misc.cpp,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/dialogs/cargodialog.cpp,
	  source/dialogs/editgameoptions.cpp,
	  source/dialogs/infodialogs.cpp, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/sdl/events.cpp, source/tasks/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in,
	  source/util/Makefile.in, source/video/Makefile.in,
	  source/widgets/Makefile.in, source/win32/Makefile.in,
	  source/win32/msvc/Makefile.in:  Added language detection
	  capabilities
	     (adding wxwidgets as depency)

2009-12-09 19:22  gamer

	* data/unitsets/: mk1/mk1-parent/mk1-history.txt,
	  mk3/mk3-heli/mk3h_chinook.png, mk3/mk3-parent/mk3-history.txt,
	  mk3/mk3-pbat/mk3a_amx.asctxt, mk3/mk3-pbat/mk3a_harrier.asctxt:
	  [no log message]

2009-12-09 15:19  mbickel

	* data/campaign/standard/asc008.map:  Enabled reaction fire

2009-12-09 02:24  mbickel

	* data/campaign/standard/asc008.map:  Small improvements
	    - added missing pipeline
	    - damage of hovercraft
	    - refuel units and activated reaction fire

2009-12-09 02:23  mbickel

	* data/campaign/standard/: asc008.map.en_US, asc009.map.en_US:
	  Polished event messages

2009-12-08 00:03  mbickel

	* data/campaign/standard/: asc007.map.en_US, asc008.map:  Corrected
	  mission text for asc007
	   Refueled planes in asc008

2009-12-06 22:16  mbickel

	* data/unitsets/mk1/mk1-parent/: _wreck_498_parent_sea.asctxt,
	  _wreck_499_parent.asctxt:  Wreckage objects don't change
	  attack/defense bonus of terrain any more

2009-12-06 22:09  mbickel

	* data/: buildings/asc/bld_asc_radar.asctxt,
	  unitsets/mk1/mk1-parent/i13_213_dive_mech.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_raven2.asctxt:  Patches by Gamer:
	    - change cost of Radar
	    - reduced punch of dive mech
	    - changed heightChangeMethods of Raven2

2009-12-06 18:32  mbickel

	* data/campaign/standard/asc007.map:  Fixed terrain (some was
	  inteded to be unpassable, but wasn't any more)
	   Added event for changing owner of Akku
	   Exchanged some terrain change events against object removal
	      (using blocker object)
	   Helicopters are now refuelled and correctly placed on map
	   Enabled reaction fire for all ships than can move with RF

2009-12-05 19:50  mbickel

	* data/campaign/standard/asc009.map:  Fixed map (by Hanni):
	     - some units were only partially filled with resources
	     - stationary units didn't have RF enabled

2009-12-04 11:24  mbickel

	* data/campaign/standard/asc003.map:  Added a bit of pipeline to
	  connect the wind power plant to HQ

2009-12-04 11:20  mbickel

	* data/campaign/standard/: asc011.map, asc011.map.de_DE,
	  asc011.map.en_US:  Add map-lose event when trying to cross
	  mountains with helicopter

2009-11-25 17:12  gamer

	* data/: ascdatacoreversion.asctxt,
	  buildings/_history_asc-buildings.txt, trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_runway_45.asctxt,
	  trrobj/parents/_pobj500_beton.asctxt,
	  unitsets/mk1/mk1-parent/_parent_402_movement.asctxt,
	  unitsets/mk1/mk1-parent/h04_383_heavy_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/j_306_mech.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-sta/mk1b_stonewall.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt: [no log message]

2009-11-10 22:23  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/dataversioncheck.cpp, source/package.cpp,
	  source/package.h, source/packagemanager.cpp,
	  source/packagemanager.h, source/strtmesg.cpp,
	  source/textfile_evaluation.h:  Improved package manager's package
	  usage detection
	   Updated version number

2009-11-10 22:05  mbickel

	* source/dialogs/cargowidget.cpp:  Fixed deadlock on Drag'n'Drop of
	  units in Cargodialog

2009-11-07 15:35  gamer

	* data/: buildings/_history_asc-buildings.txt,
	  buildings/asc/bld_asc_jammer.asctxt,
	  buildings/asc/bld_asc_radar.asctxt,
	  unitsets/mk1/mk1-parent/i10_210_hvy_mech.asctxt: [no log message]

2009-11-07 12:45  gamer

	* source/vehicletype.cpp: Kosten Radar wieder reduziert
	  Kostenerh�hung f�r Jumpdrive immobiler Einheiten leichte
	  Modifizierung movementkosten low/med Air

2009-11-06 17:17  mbickel

	* configure, configure.in, data/ascdatacoreversion.asctxt,
	  installer/.cvsignore, installer/asc.nsi,
	  source/dataversioncheck.cpp, source/strtmesg.cpp:  Updated
	  version numbers

2009-11-06 16:24  mbickel

	* installer/: asc.nsi, asc.nsi.in:  Improved installer: no
	  application registration when USB Stick Mode selected

2009-11-04 19:11  gamer

	* data/: ascdatacoreversion.asctxt,
	  buildings/_history_asc-buildings.txt, trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_railroad_bridge_999.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_big_995.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_401_transport.asctxt,
	  unitsets/mk1/mk1-parent/ad02_216_sammech.asctxt,
	  unitsets/mk1/mk1-parent/i06_206_diver.asctxt,
	  unitsets/mk1/mk1-parent/i09_209_med_mech.asctxt,
	  unitsets/mk1/mk1-parent/i10_210_hvy_mech.asctxt,
	  unitsets/mk1/mk1-parent/i11_211_def_mech.asctxt,
	  unitsets/mk1/mk1-parent/i13_213_dive_mech.asctxt,
	  unitsets/mk1/mk1-parent/j_306_mech.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/ro2_297_medrocket.asctxt,
	  unitsets/mk1/mk1-parent/ro3_298_hvyrocket.asctxt,
	  unitsets/mk1/mk1-parent/st05_318_def_tower.asctxt,
	  unitsets/mk1/mk1-parent/st06_319_def_bunker.asctxt,
	  unitsets/mk1/mk1-parent/t06_295_tank_defence.asctxt,
	  unitsets/mk1/mk1-parent/v1_241_radar_mech.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_raven2.asctxt,
	  unitsets/mk1/mk1-shs/mk1s_fix.asctxt,
	  unitsets/mk1/mk1-train/mk1t_judy.asctxt,
	  unitsets/mk1/mk1-vrok/mk1v_hornetii.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shs/mk3s_lst.asctxt,
	  unitsets/mk3/mk3-shtu/mk3s_lrfive.asctxt,
	  unitsets/mk3/mk3-vari/mk3v_fh70.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_piobuild.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_pioelite.asctxt: [no log message]

2009-11-01 14:14  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/guifunctions.cpp, source/strtmesg.cpp,
	  source/actions/jumpdrivecommand.cpp:	Fixed jumpdrive
	  preconditions

2009-11-01 13:49  mbickel

	* source/: tools/win/tools.vcproj, win32/msvc/ASC/ASC.vcproj,
	  win32/msvc/mapeditor/mapeditor.vcproj,
	  win32/msvc/pbpeditor/pbpeditor.vcproj:  Added new files to MSVC
	  project

2009-11-01 12:05  mbickel

	* source/: asc-mainscreen.cpp, dataversioncheck.cpp,
	  dataversioncheck.h, edmain.cpp, itemrepository.cpp,
	  itemrepository.h, packagemanager.cpp, packagerepository.cpp,
	  packagerepository.h, sg.cpp, sg.h, sgstream.cpp, sgstream.h,
	  tools/linux/Makefile.am, tools/linux/Makefile.in,
	  unittests/main.cpp, unix/asc/Makefile.am, unix/asc/Makefile.in,
	  unix/mapeditor/Makefile.am, unix/mapeditor/Makefile.in,
	  unix/pbpedit/Makefile.am, unix/pbpedit/Makefile.in:  Further
	  improvements to package manager

2009-10-31 22:54  mbickel

	* source/: package.cpp, package.h:  Improvements to packagemanager

2009-10-31 22:15  mbickel

	* data/ascdatacoreversion.asctxt, source/basestreaminterface.h,
	  source/basestrm.cpp, source/basestrm.h, source/gamemap.cpp,
	  source/gamemap.h, source/itemrepository.cpp,
	  source/itemrepository.h, source/loaders.cpp, source/package.cpp,
	  source/package.h, source/packagemanager.cpp,
	  source/packagemanager.h, source/textfile_evaluation.h,
	  source/textfileparser.cpp, source/textfileparser.h,
	  source/typen.h, source/versionidentifier.cpp,
	  source/versionidentifier.h, source/tools/linux/Makefile.am,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.am,
	  source/unittests/Makefile.in, source/unittests/main.cpp,
	  source/unittests/testversionidentifier.cpp,
	  source/unittests/testversionidentifier.h,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in:
	  New packagemanager implemented

2009-10-30 21:15  mbickel

	* source/: guifunctions.cpp, actions/changeunitmovement.cpp,
	  actions/changeunitmovement.h,
	  actions/internalammotransfercommand.cpp,
	  actions/jumpdrivecommand.cpp, actions/moveunit.cpp,
	  actions/unitfieldregistration.cpp:  Fixed coordinate assignment
	  problems of carried units when carrier jumps

2009-10-30 20:58  mbickel

	* source/win32/msvc/: ASC/ASC.vcproj, mapeditor/mapeditor.vcproj,
	  pbpeditor/pbpeditor.vcproj:  Now linking to sdlmain_nostdio
	  (fixing crash when not having write permission
	    on Windows into the directory where asc2.exe is located)

2009-10-28 21:26  mbickel

	* asc.kdevelop, source/sg.cpp, source/simplestream.cpp,
	  source/ai/base.cpp:  Fixed compilation problems
	   Fixed broken AI replays

2009-10-27 21:37  mbickel

	* source/: basestrm.cpp, simplestream.cpp:  Better error messages

2009-10-26 21:14  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/edmain.cpp, source/strtmesg.cpp:  Fixed mapeditor crash
	  with Physfs2

2009-10-25 22:16  mbickel

	* source/: paradialog.cpp, sg.cpp, dialogs/cargowidget.cpp,
	  sdl/events.cpp, util/messaginghub.h, win32/msvc/ASC/ASC.vcproj:
	  More robust error message handling
	   More logging output
	   Fixed synchronisation bug

2009-10-23 12:36  mbickel

	* source/: loggingoutput.cpp, loggingoutput.h, sg.cpp,
	  unix/asc/Makefile.am, unix/asc/Makefile.in:  ASC now creates a
	  log file in its primary directory

2009-10-23 00:07  mbickel

	* Makefile.in, config.h.in, configure, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.in, source/turncontrol.cpp,
	  source/actions/Makefile.in, source/actions/moveunitcommand.cpp,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/dialogs/pwd_dlg.cpp,
	  source/dialogs/pwd_dlg.h, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unittests/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Fixed
	  replay crash

2009-10-03 07:55  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi:
	  Updated makefiles

2009-10-02 20:19  gamer

	* data/unitsets/: mk1/mk1-for/pbp_fa03_lrad.asctxt,
	  mk1/mk1-parent/_asc-mk1-info.txt,
	  mk1/mk1-parent/_parent_400_weapon.asctxt,
	  mk1/mk1-parent/_parent_496_hc_aircraft3.asctxt,
	  mk1/mk1-parent/j_307_vehicle.asctxt,
	  mk1/mk1-parent/mk1-history.txt, mk1/mk1-shs/mk1s_fix.asctxt,
	  mk3/mk3-parent/mk3-history.txt,
	  mk3/mk3-pbat/mk3a_harrier_pbp_tech.asctxt,
	  mk3/mk3-pbat/mk3a_rafale_pbp_tech.asctxt,
	  mk3/mk3-psup/mk3a_nsa_pbp_tech.asctxt,
	  mk3/mk3-shs/mk3s_lst.asctxt,
	  mk3/mk3-view/mk3a_raytheon_pbp_tech.asctxt: [no log message]

2009-09-27 19:49  gamer

	* data/: trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_0003pipeline.asctxt,
	  trrobj/objects/buildable/ob_0030pipeline2.asctxt,
	  trrobj/objects/buildable/ob_0996strong_pipeline.asctxt,
	  trrobj/objects/buildable/ob_2097_lavadefense.asctxt,
	  trrobj/objects/buildable/ob_crystal_field.png,
	  trrobj/objects/buildable/ob_forest.png,
	  trrobj/objects/buildable/ob_railroad_2.asctxt,
	  trrobj/objects/buildable/ob_railroad_armor_992.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_999.asctxt,
	  trrobj/objects/buildable/ob_pipeline_nrem_979.asctxt,
	  trrobj/objects/buildable/ob_railbridge_nrem_980.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_big_995.asctxt,
	  trrobj/objects/buildable/ob_railroad_small_991.asctxt,
	  trrobj/objects/buildable/ob_road_1.asctxt,
	  trrobj/objects/buildable/ob_road_bridge_1000.asctxt,
	  trrobj/objects/buildable/ob_road_bridge_big_997_bridge.asctxt,
	  trrobj/objects/buildable/ob_roadbridge_nrem_981.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_422_type_turret.asctxt,
	  unitsets/mk1/mk1-parent/_parent_423_small_device.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/st04_317_defence_turret.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-vsup/mk3v_bulldozer.asctxt: Beta Nr. 13 2009

2009-09-16 12:59  gamer

	* data/: buildings/_history_asc-buildings.txt,
	  buildings/asc/bld_asc_spaceport_north_dry.png,
	  buildings/asc/bld_asc_spaceport_south.asctxt,
	  buildings/asc/bld_asc_spaceport_south_dry.png, files.txt,
	  trrobj/_history_trrobj.txt,
	  trrobj/objects/landscape/obj_coast_1_very_shallow_water.asctxt,
	  trrobj/terrain/trr_water_1_very_shallow.asctxt,
	  unitsets/mk1/mk1-parent/_parent_495_hc_aircraft1.asctxt,
	  unitsets/mk1/mk1-parent/_parent_496_hc_aircraft3.asctxt,
	  unitsets/mk1/mk1-parent/_parent_497_hc_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/_parent_498_hc_aircraft2.asctxt,
	  unitsets/mk1/mk1-parent/ad06_220_samtank.asctxt,
	  unitsets/mk1/mk1-parent/j_305_trooper.asctxt,
	  unitsets/mk1/mk1-parent/j_306_mech.asctxt,
	  unitsets/mk1/mk1-parent/j_307_vehicle.asctxt,
	  unitsets/mk1/mk1-parent/j_311_heli.asctxt,
	  unitsets/mk1/mk1-parent/j_312_ship.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-vfatr/mk1v_atuin.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_atuin_k.png,
	  unitsets/mk1/mk1-vfatr/mk1v_ltt.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_ltt_k.png,
	  unitsets/mk1/mk1-vfatr/mk1v_weasel.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_weasel_k.png,
	  unitsets/mk1/mk1-view/mk1b_grs.asctxt,
	  unitsets/mk1/mk1-view/mk1b_grs_k.png,
	  unitsets/mk1/mk1-view/mk1o_vast.asctxt,
	  unitsets/mk1/mk1-view/mk1o_vast_k.png,
	  unitsets/mk1/mk1-view/mk1v_oracle.asctxt,
	  unitsets/mk1/mk1-view/mk1v_oracle_k.png,
	  unitsets/mk1/mk1-vrok/mk1b_silo.asctxt,
	  unitsets/mk1/mk1-vrok/mk1b_silo_k.png,
	  unitsets/mk1/mk1-vrok/mk1b_tml.asctxt,
	  unitsets/mk1/mk1-vrok/mk1b_tml_k.png,
	  unitsets/mk1/mk1-vrok/mk1t_follow.asctxt,
	  unitsets/mk1/mk1-vrok/mk1t_follow_k.png,
	  unitsets/mk1/mk1-vrok/mk1v_hornet.asctxt,
	  unitsets/mk1/mk1-vrok/mk1v_hornet_k.png,
	  unitsets/mk1/mk1-vrok/mk1v_hornetii.asctxt,
	  unitsets/mk1/mk1-vrok/mk1v_hornetii_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_adder.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_adder_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_alguin.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_alguin_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_ant.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_ant_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_bolt.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_bolt_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_ceti.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_ceti_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_cosinus.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_cosinus_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_forest.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_forest_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_mbv.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_mbv_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_surveyor.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_surveyor_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_vesuvius.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_vesuvius_k.png: Beta Nr. 12/2009

	  Terrain: -Blue, vsw object Ice Fix -ID 2004 Terrainbit Ice fix

	  Geb�ude -Spaceport Nord, Spielerfarben gefixt -Spaceport S�d,
	  Eingang korrigiert, Spielerfarben gefixt

	  Basisdefinitionen -SAM Tank nicht mehr light tank default sondern
	  medium tank default -mobile jammer , Fuelverbrauch drasitisch
	  erh�ht -H�henstufenwechsel von und in den Orbit erschwert

2009-09-07 07:11  gamer

	* data/: files.txt, trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_2153_fields.asctxt,
	  trrobj/objects/buildable/ob_2500_river.asctxt,
	  trrobj/parents/_pobj518_fluss.asctxt,
	  unitsets/mk1/mk1-inf/mk1i_para.asctxt,
	  unitsets/mk1/mk1-parent/_parent_493_hc_submarine.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-shtu/mk1s_mrsm.asctxt,
	  unitsets/mk1/mk1-shtu/mk1s_mrsm_k.png,
	  unitsets/mk1/mk1-sta/mk1b_biggun.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_biggun_k.png,
	  unitsets/mk1/mk1-sta/mk1b_fort.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_fort_k.png,
	  unitsets/mk1/mk1-sta/mk1b_heavygun.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_stonewall.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_heavygun_k.png,
	  unitsets/mk1/mk1-sta/mk1b_stonewall_k.png,
	  unitsets/mk1/mk1-tank/mk1v_armadillo.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_armadillo_k.png,
	  unitsets/mk1/mk1-tank/mk1v_assault.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_assault_k.png,
	  unitsets/mk1/mk1-tank/mk1v_cobra.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_cobra_k.png,
	  unitsets/mk1/mk1-tank/mk1v_lassault.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_lassault_k.png,
	  unitsets/mk1/mk1-tank/mk1v_nova.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_nova2.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_nova2_k.png,
	  unitsets/mk1/mk1-tank/mk1v_nova_k.png,
	  unitsets/mk1/mk1-tank/mk1v_termite.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_termite_k.png,
	  unitsets/mk1/mk1-train/mk1t_burro.asctxt,
	  unitsets/mk1/mk1-train/mk1t_burro_k.png,
	  unitsets/mk1/mk1-train/mk1t_flux.asctxt,
	  unitsets/mk1/mk1-train/mk1t_flux_k.png,
	  unitsets/mk1/mk1-train/mk1t_judy.asctxt,
	  unitsets/mk1/mk1-train/mk1t_judy_k.png,
	  unitsets/mk1/mk1-train/mk1t_punch.asctxt,
	  unitsets/mk1/mk1-train/mk1t_punch_k.png,
	  unitsets/mk1/mk1-vad/mk1b_samturret.asctxt,
	  unitsets/mk1/mk1-vad/mk1b_samturret_k.png,
	  unitsets/mk1/mk1-vad/mk1i_samtrooper.asctxt,
	  unitsets/mk1/mk1-vad/mk1i_samtrooper_k.png,
	  unitsets/mk1/mk1-vad/mk1m_cad.asctxt,
	  unitsets/mk1/mk1-vad/mk1m_cad_k.png,
	  unitsets/mk1/mk1-vad/mk1t_spear.asctxt,
	  unitsets/mk1/mk1-vad/mk1t_spear_k.png,
	  unitsets/mk1/mk1-vad/mk1v_spike.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_spike_k.png,
	  unitsets/mk1/mk1-vad/mk1v_swatter.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_swatter_k.png,
	  unitsets/mk1/mk1-vad/mk1v_swatterii.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_swatterii_k.png,
	  unitsets/mk1/mk1-vari/mk1t_rotos.asctxt,
	  unitsets/mk1/mk1-vari/mk1t_rotos_k.png,
	  unitsets/mk1/mk1-vari/mk1v_blackout.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_blackout_k.png,
	  unitsets/mk1/mk1-vari/mk1v_coma.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_coma_k.png,
	  unitsets/mk1/mk1-vari/mk1v_comaii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaiii.asctxt: [no log message]

2009-09-06 12:25  mbickel

	* asc.kdevelop, configure.in, source/basestrm.cpp,
	  source/strtmesg.cpp, source/tools/demount.cpp,
	  source/tools/mount.cpp:  Added more logging output on file
	  operations

2009-09-06 00:10  mbickel

	* installer/asc.nsi.in:  Added missing file to uninstall target

2009-09-06 00:02  mbickel

	* data/: files.txt, buildings/asc/bld_asc_training.asctxt:  Fixed:
	  some png file were not packed into main.ascdat
	   Updated description of training center

2009-08-29 09:05  gamer

	* data/unitsets/: mk1/mk1-parent/mk1-history.txt,
	  mk3/mk3-parent/mk3-history.txt: [no log message]

2009-08-29 09:01  gamer

	* source/vehicletype.cpp, data/trrobj/_history_trrobj.txt,
	  data/trrobj/objects/buildable/ob_crystal_field.png,
	  data/trrobj/objects/buildable/obj_crystals_1.asctxt,
	  data/trrobj/objects/buildable/obj_deepseaminerals.asctxt,
	  data/trrobj/objects/buildable/obj_deepseaminerals.png,
	  data/trrobj/parents/_pobj513_ufer_vsw.asctxt,
	  data/trrobj/parents/_pobj514_flachwasser.asctxt,
	  data/trrobj/parents/_pobj515_normalwasser.asctxt,
	  data/trrobj/parents/_pobj516_tiefwasser.asctxt,
	  data/trrobj/parents/_pobj517_tiefwassereis.asctxt,
	  data/trrobj/parents/_ptrr513_ufer.asctxt,
	  data/trrobj/parents/_ptrr514_flachwasser.asctxt,
	  data/trrobj/parents/_ptrr515_normalwasser.asctxt,
	  data/trrobj/parents/_ptrr516_tiefwasser.asctxt,
	  data/trrobj/parents/_ptrr517_tiefwasser_eis.asctxt,
	  data/unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  data/unitsets/mk1/mk1-parent/mk1-history.txt,
	  data/unitsets/mk1/mk1-parent/v7_247_radar_plane.asctxt,
	  data/unitsets/mk1/mk1-psup/mk1a_raven2_k.png,
	  data/unitsets/mk3/mk3-train/mk3t_icce.asctxt: [no log message]

2009-08-29 08:53  mbickel

	* configure, configure.in, data/main.version, installer/asc.nsi,
	  source/sgstream.cpp, source/strtmesg.cpp:  Updated version
	  numbers

2009-08-28 23:07  mbickel

	* source/: events.h, strtmesg.cpp, windowing.cpp,
	  dialogs/cargowidget.cpp, dialogs/cargowidget.h, sdl/events.cpp:
	  Fixed bugs in CargoDialog

2009-08-26 18:23  gamer

	* data/: files.txt, buildings/_history_asc-buildings.txt,
	  trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_2097_lavadefense.asctxt,
	  trrobj/objects/buildable/ob_stacheldraht_2099.asctxt,
	  trrobj/objects/buildable/ob_tankblocker_998.asctxt,
	  trrobj/objects/landscape/ob_coast_blue.asctxt,
	  trrobj/objects/landscape/obj_cliff_1.png,
	  trrobj/objects/landscape/obj_coast_1_very_shallow_water.asctxt,
	  trrobj/objects/landscape/obj_coast_2_shallow_water.asctxt,
	  trrobj/objects/landscape/obj_mountain64.png,
	  trrobj/objects/landscape/obj_mountain64_plateau.asctxt,
	  trrobj/objects/landscape/obj_water_hole_1.asctxt,
	  trrobj/objects/landscape/obj_water_hole_2.asctxt,
	  trrobj/objects/landscape/obj_water_hole_3.asctxt,
	  trrobj/terrain/trr_Sand_12.png, trrobj/terrain/trr_sand_13.png,
	  trrobj/terrain/trr_sand_14.png,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-train/mk3t_icce.asctxt: PBP Beta 11

2009-08-23 17:54  mbickel

	* configure, configure.in, installer/asc.nsi, source/strtmesg.cpp:
	  Update version number

2009-08-23 15:09  mbickel

	* asc.kdevelop, data/icons/cargodialog.ascgui, source/replay.cpp,
	  source/actions/servicecommand.cpp,
	  source/dialogs/cargodialog.cpp, source/dialogs/cargowidget.cpp,
	  source/libs/paragui/include/pgtooltiphelp.h,
	  source/libs/paragui/src/widgets/pgtooltiphelp.cpp:  More tags for
	  CargoDialog

2009-08-22 12:21  mbickel

	* data/icons/cargodialog/cargodialog.ascgui:  Added CargoDialog
	  from SmokinMan

2009-08-16 22:21  mbickel

	* source/: buildings.cpp, dialogs/cargowidget.cpp:  Invisible
	  buildings don't clear objects on placement / map resize

2009-08-16 20:18  mbickel

	* configure, configure.in, installer/asc.nsi, source/gamemap.h,
	  source/player.h, source/strtmesg.cpp,
	  source/actions/repairunitcommand.cpp,
	  source/actions/repairunitcommand.h,
	  source/actions/servicecommand.cpp,
	  source/actions/servicecommand.h:  Fixed: allied units could not
	  be serviced

2009-08-16 18:50  mbickel

	* asc.kdevelop, source/loaders.cpp, source/dialogs/cargodialog.cpp,
	  source/dialogs/cargowidget.cpp, source/dialogs/cargowidget.h,
	  source/libs/paragui/include/pgwidget.h,
	  source/libs/paragui/src/widgets/pgwidget.cpp:  More info
	  available in cargo dialog
	   Fixed stack overflow in cargo dialog
	   More robust filename handling for i18n files

2009-08-15 14:36  gamer

	* data/unitsets/: mk1/mk1-inf/mk1i_shock.asctxt,
	  mk1/mk1-inf/mk1i_shock_k.png, mk1/mk1-jam/mk1b_exp49.asctxt,
	  mk1/mk1-jam/mk1b_exp49_k.png, mk1/mk1-orb/mk1b_sdb.asctxt,
	  mk1/mk1-orb/mk1b_sdb_k.png,
	  mk1/mk1-parent/_parent_402_movement.asctxt,
	  mk1/mk1-parent/_parent_403_type_bunker.asctxt,
	  mk1/mk1-parent/_parent_493_hc_submarine.asctxt,
	  mk1/mk1-parent/_wreck_417_trooper.asctxt,
	  mk1/mk1-parent/ad08_222_samturret.asctxt,
	  mk1/mk1-parent/ad09_223_sambunker.asctxt,
	  mk1/mk1-parent/mk1-history.txt,
	  mk1/mk1-parent/sh22_371_transhoovercraft.asctxt,
	  mk1/mk1-pbat/mk1a_butterfly.asctxt,
	  mk1/mk1-pbat/mk1a_dominator.asctxt,
	  mk1/mk1-pbat/mk1a_butterfly_k.png,
	  mk1/mk1-pbat/mk1a_dominator_k.png, mk1/mk1-pbat/mk1a_hawk.asctxt,
	  mk1/mk1-pbat/mk1a_hawk_k.png, mk1/mk1-pbat/mk1a_impact.asctxt,
	  mk1/mk1-pbat/mk1a_impact_k.png, mk1/mk1-pbat/mk1a_rasak.asctxt,
	  mk1/mk1-pbat/mk1a_rasak_k.png, mk1/mk1-shb/mk1s_gunboat.asctxt,
	  mk1/mk1-shb/mk1s_gunboat_k.png,
	  mk1/mk1-shb/mk1s_jellyfish.asctxt,
	  mk1/mk1-shb/mk1s_jellyfish_k.png, mk1/mk1-shb/mk1s_streak.asctxt,
	  mk1/mk1-shb/mk1s_streak_k.png, mk1/mk1-shb/mk1s_tide.asctxt,
	  mk1/mk1-shb/mk1s_tide_k.png, mk1/mk1-shb/mk1s_wig.asctxt,
	  mk1/mk1-shb/mk1s_wig_k.png, mk1/mk1-shs/mk1s_ark.asctxt,
	  mk1/mk1-shs/mk1s_ark_k.png, mk1/mk1-shtu/mk1s_wedge.asctxt,
	  mk1/mk1-shtu/mk1s_wedge_k.png, mk1/mk1-train/mk1t_flux.asctxt,
	  mk1/mk1-vad/mk1b_sambunker.asctxt, mk1/mk1-vsup/mk1v_ceti.asctxt,
	  mk3/mk3-heli/mk3h_chinook.asctxt, mk3/mk3-parent/mk3-history.txt,
	  mk3/mk3-shs/mk3s_seashadow.asctxt,
	  mk3/mk3-train/mk3t_icse.asctxt, mk3/mk3-vad/mk3b_rapier2.asctxt,
	  mk3/mk3-vsup/mk3v_truck.asctxt: diverse neue kleine3D Grafiken
	  U-Boot deep_submerged Update

2009-08-13 19:59  mbickel

	* data/unittests/: unittest-deneb.png, unittest-married.png:  Added
	  unittest files

2009-08-13 19:55  mbickel

	* scripts/remove00:  Added script for fixing broken campaign
	  messages files

2009-08-13 19:53  mbickel

	* data/campaign/: kamor/kam001.map.de_DE, kamor/kam001.map.fr_FR,
	  kamor/kam002.map.de_DE, kamor/kam002.map.fr_FR,
	  kamor/kam003.map.de_DE, kamor/kam003.map.fr_FR,
	  kamor/kam004.map.de_DE, kamor/kam004.map.fr_FR,
	  kamor/kam005.map.de_DE, kamor/kam005.map.fr_FR,
	  kamor/kam006.map.de_DE, kamor/kam006.map.fr_FR,
	  kamor/kam007.map.de_DE, kamor/kam007.map.fr_FR,
	  kamor/kam008.map.de_DE, kamor/kam008.map.fr_FR,
	  kamor/kam009.map.de_DE, kamor/kam009.map.fr_FR,
	  kamor/kam010.map.de_DE, kamor/kam010.map.fr_FR,
	  kamor/kam011.map.de_DE, kamor/kam011.map.fr_FR,
	  kamor/kam012.map.de_DE, kamor/kam012.map.fr_FR,
	  kamor/kam013.map.de_DE, kamor/kam013.map.fr_FR,
	  kamor/kam014.map.de_DE, kamor/kam014.map.fr_FR,
	  kamor/kam015.map.de_DE, kamor/kam015.map.fr_FR,
	  kamor/kam016.map.de_DE, kamor/kam016.map.fr_FR,
	  kamor/kam017.map.de_DE, kamor/kam017.map.fr_FR,
	  kamor/kam018.map.de_DE, kamor/kam018.map.fr_FR,
	  kamor/kam019.map.de_DE, kamor/kam019.map.fr_FR,
	  kamor/kam020.map.de_DE, kamor/kam020.map.fr_FR,
	  kamor/kam021.map.de_DE, kamor/kam021.map.fr_FR,
	  kamor/kam022.map.de_DE, kamor/kam022.map.fr_FR,
	  kamor/kam023.map.de_DE, kamor/kam024.map.de_DE,
	  kamor/kam024.map.fr_FR, kamor/kam025.map.de_DE,
	  kamor/kam025.map.fr_FR, nos/nos001.map.de_DE,
	  nos/nos002.map.de_DE, nos/nos003.map.de_DE, nos/nos004.map.de_DE,
	  nos/nos005.map.de_DE, nos/nos006.map.de_DE, nos/nos007.map.de_DE,
	  nos/nos008.map.de_DE, tutorial/tut000.map.de_DE,
	  tutorial/tut001.map.de_DE, tutorial/tut002.map.de_DE,
	  tutorial/tut003.map.de_DE, tutorial/tut004.map.de_DE,
	  tutorial/tut005.map.de_DE, tutorial/tut006.map.de_DE,
	  tutorial/tut007.map.de_DE, tutorial/tut008.map.de_DE,
	  tutorial/tut009.map.de_DE, tutorial/tut010.map.de_DE,
	  tutorial/tut011.map.de_DE, tutorial/tut012.map.de_DE,
	  tutorial/tut013.map.de_DE, tutorial/tut014.map.de_DE,
	  tutorial/tut015.map.de_DE, tutorial/tut016.map.de_DE,
	  tutorial/tut017.map.de_DE, tutorial/tut018.map.de_DE,
	  tutorial/tut019.map.de_DE, tutorial/tut020.map.de_DE,
	  tutorial/tut021.map.de_DE, tutorial/tut022.map.de_DE,
	  tutorial/tut023.map.de_DE, tutorial/tut024.map.de_DE,
	  tutorial/tut025.map.de_DE:  Removed \000 character from campaign
	  messages files

2009-08-13 19:50  mbickel

	* data/campaign/standard/: asc001.map.de_DE, asc001.map.en_US,
	  asc002.map.de_DE, asc002.map.en_US, asc003.map.de_DE,
	  asc003.map.en_US, asc004.map.en_US, asc005.map.en_US,
	  asc006.map.en_US, asc007.map.en_US, asc008.map.en_US,
	  asc009.map.en_US, asc010a.map.en_US, asc010b.map.en_US,
	  asc011.map.en_US, asc012.map.en_US, asc016.map.en_US,
	  asc017.map.en_US:  Removed \000 character from message files

2009-08-13 19:09  mbickel

	* data/files.txt:  Removed * wildcard

2009-08-13 13:14  mbickel

	* data/: Makefile.am, Makefile.in:  Updated build files to include
	  campaign translations

2009-08-12 09:38  mbickel

	* configure.in:  Updated build files

2009-08-11 23:35  grom

	* data/campaign/standard/: asc002.map, asc002.map.en_US: [no log
	  message]

2009-08-10 19:45  mbickel

	* asc.kdevelop, configure.in, source/containerbase.cpp,
	  source/fieldimageloader.cpp, source/itemrepository.cpp,
	  source/graphics/colorizer.cpp, source/graphics/colorizer.h:
	  Fixed image problems on BigEndian

2009-08-10 13:35  mbickel

	* asc.kdevelop, configure, configure.in, data/files.txt,
	  data/unittests/unittest-deneb.asctxt,
	  data/unittests/unittest-married.asctxt, installer/asc.nsi,
	  source/strtmesg.cpp, source/actions/jumpdrivecommand.cpp,
	  source/actions/moveunit.cpp, source/dialogs/cargodialog.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/jumptest.cpp, source/unittests/jumptest.h,
	  source/unittests/main.cpp:  Fixed Jumpdrive (attack-flag,
	  reactionfire)
	   Translations are now added to main.ascdat

2009-08-09 15:32  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/buildings.h, source/buildingtype.cpp,
	  source/containerbase.h, source/containerbasetype.cpp,
	  source/containerbasetype.h, source/strtmesg.cpp,
	  source/vehicle.h, source/vehicletype.cpp, source/vehicletype.h,
	  source/dialogs/cargodialog.cpp:  Added more output tp cargo
	  dialog
	   Added Description to buildings

2009-08-05 20:36  grom

	* data/campaign/standard/asc015.map.en_US: Fehler behoben

2009-08-05 20:22  grom

	* data/campaign/standard/: asc013.map.en_US, asc012.map.de_DE,
	  asc013.map.de_DE, asc014.map.de_DE, asc014.map.en_US,
	  asc015.map.de_DE, asc016.map.de_DE, asc017.map.de_DE:
	  �bersetzungen

2009-08-04 21:25  grom

	* data/campaign/: kamor/kamor.asccampaign, kamor/kam001.map.fr_FR,
	  kamor/kam002.map.fr_FR, kamor/kam003.map.fr_FR,
	  kamor/kam004.map.fr_FR, kamor/kam005.map.fr_FR,
	  kamor/kam006.map.fr_FR, kamor/kam007.map.fr_FR,
	  kamor/kam008.map.fr_FR, kamor/kam009.map.fr_FR,
	  kamor/kam010.map.fr_FR, kamor/kam011.map.fr_FR,
	  kamor/kam012.map.fr_FR, kamor/kam013.map.fr_FR,
	  kamor/kam014.map.fr_FR, kamor/kam015.map.fr_FR,
	  kamor/kam016.map.fr_FR, kamor/kam017.map.fr_FR,
	  kamor/kam018.map.fr_FR, kamor/kam019.map.fr_FR,
	  kamor/kam020.map.fr_FR, kamor/kam021.map.fr_FR,
	  kamor/kam022.map.fr_FR, kamor/kam024.map.fr_FR,
	  kamor/kam025.map.fr_FR, standard/asc001.map.de_DE,
	  standard/asc002.map.de_DE, standard/asc003.map.de_DE,
	  standard/asc004.map.de_DE, standard/asc005.map.de_DE,
	  standard/asc006.map.de_DE, standard/asc007.map.de_DE,
	  standard/asc008.map.de_DE, standard/asc009.map.de_DE,
	  standard/asc010a.map.de_DE, standard/asc010b.map.de_DE,
	  standard/asc011.map.de_DE: �bersetzungen usw.

2009-08-02 15:07  grom

	* data/campaign/standard/asc010b.map: neutrale einheiten ersetzt

2009-07-31 17:02  mbickel

	* data/message1.txt, source/asc-mainscreen.cpp,
	  source/buildings.cpp, source/containerbase.cpp,
	  source/containerbase.h, source/dashboard.cpp, source/gamemap.h,
	  source/sg.cpp, source/sg.h, source/strtmesg.cpp,
	  source/vehicle.cpp, source/viewcalculation.cpp,
	  source/actions/moveunit.cpp, source/actions/moveunit.h,
	  source/actions/reactionfireswitchcommand.cpp,
	  source/actions/spawnbuilding.cpp, source/ai/tactics.cpp:  -
	  Fixed: units with > 255 movement lost movement on save/load
	   - radar power now stored in units and used from there (not unit
	  types)
	   - removed action panel
	   - changing RF updates display
	   - Fixed lost movement in undo when unit was destroyed during
	  movement

2009-07-26 23:41  grom

	* data/campaign/kamor/kam001.map.de_DE: [no log message]

2009-07-26 18:54  grom

	* data/campaign/nos/NOS004.map: [no log message]

2009-07-26 18:07  grom

	* data/campaign/: nos/NOS001.map, nos/NOS002.map, nos/NOS003.map,
	  nos/NOS004.map, nos/NOS005.map, nos/NOS006.map, nos/NOS007.map,
	  nos/NOS008.map, nos/nos001.map.de_DE, nos/nos002.map.de_DE,
	  nos/nos003.map.de_DE, nos/nos004.map.de_DE, nos/nos005.map.de_DE,
	  nos/nos006.map.de_DE, nos/nos007.map.de_DE, nos/nos008.map.de_DE,
	  standard/asc010b.map: [no log message]

2009-07-26 14:54  grom

	* data/campaign/: kamor/kam001.map, kamor/kam002.map,
	  kamor/kam001.map.de_DE, kamor/kam002.map.de_DE, kamor/kam003.map,
	  kamor/kam003.map.de_DE, kamor/kam004.map, kamor/kam004.map.de_DE,
	  kamor/kam005.map, kamor/kam005.map.de_DE, kamor/kam006.map,
	  kamor/kam006.map.de_DE, kamor/kam007.map, kamor/kam007.map.de_DE,
	  kamor/kam008.map, kamor/kam008.map.de_DE, kamor/kam009.map,
	  kamor/kam009.map.de_DE, kamor/kam010.map, kamor/kam010.map.de_DE,
	  kamor/kam011.map, kamor/kam011.map.de_DE, kamor/kam012.map,
	  kamor/kam012.map.de_DE, kamor/kam013.map, kamor/kam013.map.de_DE,
	  kamor/kam014.map, kamor/kam014.map.de_DE, kamor/kam015.map,
	  kamor/kam015.map.de_DE, kamor/kam016.map, kamor/kam016.map.de_DE,
	  kamor/kam017.map, kamor/kam017.map.de_DE, kamor/kam018.map,
	  kamor/kam018.map.de_DE, kamor/kam019.map, kamor/kam019.map.de_DE,
	  kamor/kam020.map, kamor/kam020.map.de_DE, kamor/kam021.map,
	  kamor/kam021.map.de_DE, kamor/kam022.map, kamor/kam022.map.de_DE,
	  kamor/kam023.map, kamor/kam023.map.de_DE, kamor/kam024.map,
	  kamor/kam024.map.de_DE, kamor/kam025.map, kamor/kam025.map.de_DE,
	  nos/NOS001.map, nos/NOS002.map, nos/NOS003.map, nos/NOS004.map,
	  nos/NOS005.map, nos/NOS006.map, nos/NOS007.map, nos/NOS008.map,
	  nos/nos001.map.de_DE, nos/nos002.map.de_DE, nos/nos003.map.de_DE,
	  nos/nos004.map.de_DE, nos/nos005.map.de_DE, nos/nos006.map.de_DE,
	  nos/nos007.map.de_DE, nos/nos008.map.de_DE, tutorial/tut000.map,
	  tutorial/tut001.map, tutorial/tut002.map, tutorial/tut003.map,
	  tutorial/tut004.map, tutorial/tut005.map,
	  standard/asc001.map.en_US, standard/asc002.map.en_US,
	  standard/asc003.map.en_US, standard/asc004.map.en_US,
	  standard/asc005.map.en_US, standard/asc006.map.en_US,
	  standard/asc007.map.en_US, tutorial/tut000.map.de_DE,
	  tutorial/tut001.map.de_DE, tutorial/tut002.map.de_DE,
	  tutorial/tut003.map.de_DE, tutorial/tut004.map.de_DE,
	  tutorial/tut005.map.de_DE, tutorial/tut006.map,
	  tutorial/tut006.map.de_DE, tutorial/tut007.map,
	  tutorial/tut007.map.de_DE, tutorial/tut008.map,
	  tutorial/tut008.map.de_DE, tutorial/tut009.map,
	  tutorial/tut009.map.de_DE, tutorial/tut010.map,
	  tutorial/tut010.map.de_DE, tutorial/tut011.map,
	  tutorial/tut011.map.de_DE, tutorial/tut012.map,
	  tutorial/tut012.map.de_DE, tutorial/tut013.map,
	  tutorial/tut013.map.de_DE, tutorial/tut014.map,
	  tutorial/tut014.map.de_DE, tutorial/tut015.map,
	  tutorial/tut015.map.de_DE, tutorial/tut016.map,
	  tutorial/tut016.map.de_DE, tutorial/tut017.map,
	  tutorial/tut017.map.de_DE, tutorial/tut018.map,
	  tutorial/tut018.map.de_DE, tutorial/tut019.map,
	  tutorial/tut019.map.de_DE, tutorial/tut020.map,
	  tutorial/tut020.map.de_DE, tutorial/tut021.map,
	  tutorial/tut021.map.de_DE, tutorial/tut022.map,
	  tutorial/tut022.map.de_DE, tutorial/tut023.map,
	  tutorial/tut023.map.de_DE, tutorial/tut024.map,
	  tutorial/tut024.map.de_DE, tutorial/tut025.map,
	  tutorial/tut025.map.de_DE, standard/asc008.map.en_US,
	  standard/asc009.map.en_US, standard/asc010a.map.en_US,
	  standard/asc010b.map.en_US, standard/asc011.map.en_US,
	  standard/asc012.map.en_US, standard/asc013.map.en_US,
	  standard/asc014.map.en_US, standard/asc015.map.en_US,
	  standard/asc016.map.en_US, standard/asc017.map.en_US: Translation
	  0.1 Beginning

2009-07-25 10:22  gamer

	* data/: buildings/asc/bld_asc_oilplatform.asctxt, files.txt,
	  palette.map, buildings/asc/bld_asc_oilplatform2.asctxt,
	  buildings/parents/_bld_parent_town_498.asctxt,
	  trrobj/_filter_asc_terrain.asctxt, trrobj/_history_trrobj.txt,
	  trrobj/_info_trrobj.txt, trrobj/legacy/_deposits_filter.asctxt,
	  trrobj/legacy/bit_0307sw_green_p1208.asctxt,
	  trrobj/legacy/bit_0308dw_green_p1208.asctxt,
	  trrobj/legacy/bit_0309water_green_p1208.asctxt,
	  trrobj/objects/buildable/ob_2097_lavadefense.asctxt,
	  trrobj/objects/buildable/ob_2508_channel.asctxt,
	  trrobj/objects/buildable/ob_2508_channel.png,
	  trrobj/objects/buildable/ob_channel_blue.png,
	  trrobj/objects/buildable/ob_channel_blue_2508.asctxt,
	  trrobj/objects/buildable/ob_channel_green.png,
	  trrobj/objects/buildable/ob_channel_green_2655.asctxt,
	  trrobj/objects/buildable/ob_channel_turquoise.png,
	  trrobj/objects/buildable/ob_channel_turquoise_2656.asctxt,
	  trrobj/objects/buildable/ob_railroad_armor_992.asctxt,
	  trrobj/objects/landscape/obj_coast_1_very_shallow_water.asctxt,
	  trrobj/objects/landscape/obj_coast_2_shallow_water.asctxt,
	  trrobj/objects/landscape/obj_coast_3_medium_water.asctxt,
	  trrobj/objects/landscape/obj_coast_4_deep_water.asctxt,
	  trrobj/objects/landscape/obj_coast_5_ocean_water.asctxt,
	  trrobj/objects/landscape/obj_sand_net.asctxt,
	  trrobj/objects/landscape/obj_sand_net.png,
	  trrobj/objects/landscape/obj_volcano_1_peak.asctxt,
	  trrobj/parents/_pobj525_kanal.asctxt,
	  trrobj/parents/_ptrr513_ufer.asctxt,
	  trrobj/parents/_ptrr514_flachwasser.asctxt,
	  trrobj/parents/_ptrr515_normalwasser.asctxt,
	  trrobj/parents/_ptrr516_tiefwasser.asctxt,
	  trrobj/parents/_ptrr517_tiefwasser_eis.asctxt,
	  trrobj/terrain/trr_Sand_12.png,
	  trrobj/terrain/trr_concrete_3.asctxt,
	  trrobj/terrain/trr_concrete_brown.png,
	  trrobj/terrain/trr_concrete_brown_10.asctxt,
	  trrobj/terrain/trr_sand_12.asctxt,
	  trrobj/terrain/trr_sand_13.asctxt,
	  trrobj/terrain/trr_sand_13.png,
	  trrobj/terrain/trr_sand_14.asctxt,
	  trrobj/terrain/trr_sand_14.png,
	  trrobj/terrain/trr_water_blue_dw_0302.asctxt,
	  trrobj/terrain/trr_water_blue_ocean.asctxt,
	  trrobj/terrain/trr_water_blue_sw_0299.asctxt,
	  trrobj/terrain/trr_water_blue_vsw.asctxt,
	  trrobj/terrain/trr_water_blue_w_0301.asctxt,
	  trrobj/terrain/trr_water_green_deep.png,
	  trrobj/terrain/trr_water_green_deep_0308.asctxt,
	  trrobj/terrain/trr_water_green_normal.png,
	  trrobj/terrain/trr_water_green_normal_0309.asctxt,
	  trrobj/terrain/trr_water_green_ocean.png,
	  trrobj/terrain/trr_water_green_ocean_2009.asctxt,
	  trrobj/terrain/trr_water_green_shallow.png,
	  trrobj/terrain/trr_water_green_shallow_307.asctxt,
	  trrobj/terrain/trr_water_green_very_shallow.png,
	  trrobj/terrain/trr_water_green_very_shallow_2008.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_tupi.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_tupi_k.png,
	  unitsets/mk1/mk1-inf/mk1i_assaulttrooper_k.png,
	  unitsets/mk1/mk1-inf/mk1i_astrooper.asctxt,
	  unitsets/mk1/mk1-inf/mk1i_gunner.asctxt,
	  unitsets/mk1/mk1-inf/mk1i_gunner_k.png,
	  unitsets/mk1/mk1-inf/mk1i_para.asctxt,
	  unitsets/mk1/mk1-inf/mk1i_para_k.png,
	  unitsets/mk1/mk1-inf/mk1i_sniper.asctxt,
	  unitsets/mk1/mk1-inf/mk1i_sniper_k.png,
	  unitsets/mk1/mk1-inf/mk1m_crazy.asctxt,
	  unitsets/mk1/mk1-inf/mk1m_crazy_k.png,
	  unitsets/mk1/mk1-inf/mk1m_drall.asctxt,
	  unitsets/mk1/mk1-inf/mk1m_drall_k.png,
	  unitsets/mk1/mk1-inf/mk1m_drall_pbp_tech.asctxt,
	  unitsets/mk1/mk1-jam/mk1h_exp21.asctxt,
	  unitsets/mk1/mk1-jam/mk1h_exp21.jpg,
	  unitsets/mk1/mk1-jam/mk1h_exp21_k.png,
	  unitsets/mk1/mk1-jam/mk1m_exp5.asctxt,
	  unitsets/mk1/mk1-jam/mk1m_exp5_k.png,
	  unitsets/mk1/mk1-jam/mk1v_vortex.asctxt,
	  unitsets/mk1/mk1-jam/mk1v_vortex_k.png,
	  unitsets/mk1/mk1-orb/mk1o_primerose.asctxt,
	  unitsets/mk1/mk1-orb/mk1o_primerose_k.png,
	  unitsets/mk1/mk1-orb/mk1o_shuttle.asctxt,
	  unitsets/mk1/mk1-orb/mk1t_spor.asctxt,
	  unitsets/mk1/mk1-orb/mk1t_spor_k.png,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_401_transport.asctxt,
	  unitsets/mk1/mk1-parent/_parent_408_type_mech.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/o2_231_shuttle.asctxt,
	  unitsets/mk1/mk1-parent/st03_316_mgtower.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_arrow.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_arrow_k.png,
	  unitsets/mk1/mk1-pbat/mk1a_bang.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_bang_k.png,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang_k.png,
	  unitsets/mk1/mk1-pbat/mk1a_zeppelin.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_zeppelin_k.png,
	  unitsets/mk1/mk1-shb/mk1s_hurry.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_hurry.png,
	  unitsets/mk1/mk1-shs/mk1s_fix.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_tora.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_tora.jpg,
	  unitsets/mk1/mk1-sta/mk1b_tora_k.png,
	  unitsets/mk1/mk1-vari/mk1v_comaii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaii_k.png,
	  unitsets/mk1/mk1-vari/mk1v_comaiii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaiii_k.png,
	  unitsets/mk1/mk1-view/mk1b_brs.asctxt,
	  unitsets/mk1/mk1-view/mk1b_brs.jpg,
	  unitsets/mk1/mk1-view/mk1b_brs_k.png,
	  unitsets/mk3/mk3-parent/mk3-history.txt: Update f�r Zyklus 75 PBP

2009-07-24 20:44  mbickel

	* configure, configure.in, installer/asc.nsi, installer/asc.nsi.in,
	  source/buildings.cpp, source/strtmesg.cpp,
	  source/actions/constructbuildingcommand.cpp,
	  source/actions/moveunit.cpp:	- Fixed redraw problems
	   - Fixed: buildings could be constructed on fields containing
	  units

2009-07-12 16:00  mbickel

	* source/lua/: commands_wrap.cxx, common.cpp, common.h, common.i,
	  mapedcommands.cpp, mapedcommands.h, mapedcommands.i:	Another Lua
	  command in game: getCursorPosition

2009-07-12 15:53  mbickel

	* configure, configure.in, installer/asc.nsi, source/astar2.cpp,
	  source/guiiconhandler.cpp, source/guiiconhandler.h,
	  source/loaders.cpp, source/sg.cpp, source/strtmesg.cpp,
	  source/ai/base.cpp, source/ai/misc.cpp,
	  source/dialogs/cargodialog.cpp, source/dialogs/cargowidget.cpp,
	  source/dialogs/cargowidget.h:  Fixed errors in AI movement
	   Added more output variables to cargo dialog

2009-07-11 21:24  mbickel

	* data/campaign/standard/asc014.map:  Activated reaction fire for
	  turrets
	   Refuelled own aircraft to max fuel

2009-07-11 20:53  mbickel

	* source/: ai/strategy.cpp, lua/commands.cpp, lua/commands.h,
	  lua/commands.i, lua/commands_wrap.cxx:  Better status indicator
	  for AI
	   Lua interface provides selected unit

2009-07-11 15:50  mbickel

	* source/: guifunctions.cpp, mapdisplay.cpp, vehicletype.cpp,
	  vehicletype.h, dialogs/infodialogs.cpp:  Reactionfire map layer
	  also shows initializing RF
	   removed old vehicle type cost calculation

2009-07-07 23:35  mbickel

	* data/campaign/standard/asc013.map:  Added a second region with
	  mineral fuel

2009-07-01 22:54  mbickel

	* asc.kdevelop, source/basegfx.cpp, source/basegfx.h,
	  source/events.h, source/gameevents.cpp, source/ai/base.cpp,
	  source/libs/readme.txt, source/sdl/events.cpp:  Fixed crash on
	  map lose
	   Removed obsolete code

2009-07-01 22:54  mbickel

	* data/campaign/standard/asc013.map:  Repositioned satellite so
	  that the player isn't irritated by non-accessible field

2009-06-30 23:19  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/baseaiinterface.h, source/gamemap.cpp, source/objects.cpp,
	  source/objects.h, source/objecttype.h, source/spfst.cpp,
	  source/strtmesg.cpp, source/ai/ai.h, source/ai/base.cpp,
	  source/ai/misc.cpp, source/ai/strategy.cpp,
	  source/ai/tactics.cpp, source/dialogs/cargodialog.cpp,
	  source/lua/commands_wrap.cxx, source/lua/common.i,
	  source/lua/mapedcommands_wrap.cxx,
	  source/lua/samples/randomizeWreckageDir.lua,
	  source/unittests/ai-move1.cpp:  Fixed a couple of AI problems

2009-06-30 23:18  mbickel

	* data/unittests/: unittest-ai-heli.map, unittest-ai-hemming.map,
	  unittest-ralago.asctxt, unittest-ralago.png:	Added more
	  unittests

2009-06-30 22:11  mbickel

	* data/campaign/standard/asc013.map:  The helicopters in the
	  reinforcement events had too little fuel.
	     => Now max fuel

2009-06-30 21:56  mbickel

	* data/campaign/standard/asc013.map:  Decorated map with wreckage
	  objects
	   Research center now has initial research activated (previously,
	  the user
	     had to activate research)

2009-06-30 20:13  mbickel

	* asc.kdevelop, configure.in:  Updated makefiles

2009-06-30 00:54  mbickel

	* data/campaign/standard/asc012.map:  Reverted to previous revision
	  of asc012, because difficulty increased
	     after AI bugfixes

2009-06-29 22:22  mbickel

	* data/campaign/standard/asc012.map:  - Reduced resource income
	   - Adjusted hint message accordingly

2009-06-29 21:27  mbickel

	* source/sg.cpp:  Removed test code

2009-06-29 21:22  mbickel

	* configure.in, data/trrobj/objects/landscape/obj_stopper_4.asctxt,
	  source/asc-mainscreen.cpp, source/gameoptions.cpp,
	  source/gameoptions.h, source/mapdisplay.cpp, source/mapdisplay.h,
	  source/mapdisplayinterface.h, source/overviewmappanel.cpp,
	  source/pg_mapdisplay.cpp, source/replaymapdisplay.cpp,
	  source/replaymapdisplay.h, source/sg.cpp, source/sg.h,
	  source/actions/moveunit.cpp, source/ai/ai.h,
	  source/ai/ai_common.h, source/ai/misc.cpp,
	  source/ai/strategy.cpp, source/ai/valuation.cpp,
	  source/dialogs/newgame.cpp, source/dialogs/newmap.cpp:  AI moves
	  are now displayed faster
	   Fixed invalid image in stopper object
	   General AI Improvements

2009-06-28 22:34  mbickel

	* data/: campaign/standard/asc011.map,
	  trrobj/objects/landscape/obj_stopper_4.asctxt,
	  trrobj/objects/landscape/obj_stopper_4.png:  Added stopper object
	   Use stopper object to prevent units from going through tunnel
	  walls in asc011

2009-06-28 17:38  mbickel

	* configure, configure.in,
	  data/campaign/standard/solution/asc001.lua,
	  data/campaign/standard/solution/asc002.lua, installer/asc.nsi,
	  source/strtmesg.cpp, source/vehicletype.cpp:	Added campaign
	  solutions

2009-06-28 16:26  mbickel

	* configure.in, source/gamemap.cpp, source/gamemap.h,
	  source/loaders.cpp, source/mapfield.cpp, source/typen.cpp,
	  source/typen.h, source/lua/commands_wrap.cxx,
	  source/lua/common.cpp, source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands_wrap.cxx,
	  source/lua/samples/weatherswitcher.lua:  Changed syntax for
	  translation scripts

2009-06-28 15:28  mbickel

	* data/icons/mapinfo.ascgui, source/asc-mainscreen.cpp,
	  source/dashboard.cpp, source/mapdisplay.cpp, source/sg.cpp,
	  source/sg.h:	Added ReactionFire overlay

2009-06-27 23:09  mbickel

	* source/win32/msvc/: mapeditor/mapeditor.vcproj,
	  pbpeditor/pbpeditor.vcproj:  Updated VS projects

2009-06-27 23:01  mbickel

	* source/campaignactionrecorder.cpp:  Fixed campaignactionlogger
	  serialization

2009-06-27 22:30  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/gameevents.cpp, source/gameevents.h,
	  source/gameeventsystem.h, source/gamemap.cpp, source/gamemap.h,
	  source/gameoptions.cpp, source/gameoptions.h, source/loaders.cpp,
	  source/loaders.h, source/maped-mainscreen.cpp, source/sg.cpp,
	  source/strtmesg.cpp, source/dialogs/editgameoptions.cpp,
	  source/dialogs/newmap.cpp, source/lua/commands_wrap.cxx,
	  source/lua/common.cpp, source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands_wrap.cxx, source/unittests/main.cpp,
	  source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in:
	   Added support for localized event messages
	   Added support for campaign action logging

2009-06-24 19:51  mbickel

	* data/icons/cargodialog.ascgui, source/dialogs/cargodialog.cpp,
	  source/dialogs/gotoposition.h, source/lua/commands.cpp:  Fixed
	  warnings

2009-06-22 20:08  mbickel

	* source/: campaignactionrecorder.h, luacommandwriter.h,
	  unix/asc/Makefile.am, unix/asc/Makefile.in:  Updated makefiles

2009-06-21 22:48  mbickel

	* scripts/win32package.pl, source/win32/msvc/ASC/ASC.vcproj:
	  Updated project files

2009-06-21 22:03  mbickel

	* source/actions/actioncontainer.cpp:  Fixed: selective undo broke
	  replay

2009-06-21 21:28  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/message1.txt, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in, source/asc-mainscreen.cpp,
	  source/campaignactionrecorder.cpp,
	  source/campaignactionrecorder.h, source/ed_mapcomponent.cpp,
	  source/ed_mapcomponent.h, source/edmisc.cpp, source/edselfnt.cpp,
	  source/gameevents.cpp, source/gamemap.cpp, source/gamemap.h,
	  source/gameoptions.cpp, source/gameoptions.h,
	  source/luacommandwriter.cpp, source/luacommandwriter.h,
	  source/maped-mainscreen.cpp, source/sg.cpp, source/strtmesg.cpp,
	  source/actions/Makefile.in, source/actions/actioncontainer.cpp,
	  source/actions/command.cpp, source/actions/command.h,
	  source/actions/containercommand.cpp,
	  source/actions/containercommand.h,
	  source/actions/moveunitcommand.cpp,
	  source/actions/unitcommand.cpp, source/actions/unitcommand.h,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.am, source/dialogs/Makefile.in,
	  source/dialogs/cargodialog.cpp, source/dialogs/cargowidget.cpp,
	  source/dialogs/editgameoptions.cpp,
	  source/dialogs/gotoposition.cpp, source/dialogs/gotoposition.h,
	  source/dialogs/newgame.cpp, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/lua/commands.cpp, source/lua/commands.h,
	  source/lua/commands.i, source/lua/commands_wrap.cxx,
	  source/lua/mapedcommands.cpp, source/network/Makefile.in,
	  source/sdl/Makefile.in, source/tasks/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in,
	  source/util/Makefile.in, source/video/Makefile.in,
	  source/widgets/Makefile.in, source/win32/Makefile.in,
	  source/win32/msvc/Makefile.in:  Added option to record campain
	  actions
	   Fixed speed regression in cargo dialog
	   Fixed invalid height in unit placement when done from Lua

2009-06-21 10:01  gamer

	* data/: icons/pad_symbol_lighttracked.png,
	  icons/pad_symbol_lightwheeled.png,
	  icons/pad_symbol_mediumtracked.png,
	  icons/pad_symbol_mediumwheeled.png,
	  unitsets/mk1/mk1-shb/mk1s_shark.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_shark.jpg,
	  unitsets/mk1/mk1-shb/mk1s_shark_k.png: Korrektur Typgrafiken /
	  Shark InfoImage

2009-06-20 21:25  mbickel

	* source/lua/samples/: unitcounting.lua, unitcounting_cargo.lua:
	  Updated example

2009-06-20 21:04  mbickel

	* asc.kdevelop, source/gameevent_dialogs.cpp,
	  source/lua/samples/blockditch.brush.lua,
	  source/lua/samples/dialogs.lua, source/lua/samples/findwater.lua,
	  source/lua/samples/firstmap.lua,
	  source/lua/samples/gametutorial.lua,
	  source/lua/samples/listFields.lua,
	  source/lua/samples/raumflugzentrum.lua,
	  source/lua/samples/selectField.lua,
	  source/lua/samples/techadapter.lua,
	  source/lua/samples/tuto-lua-1-demo.sav,
	  source/lua/samples/unitcounting.lua,
	  source/lua/samples/unitcounting_cargo.lua:  Added Lua samples
	   Fixed typo in 'research completed' dialog

2009-06-20 09:46  gamer

	* data/unitsets/mk1/mk1-psup/: mk1a_ravenii.asctxt,
	  mk1a_ravenii.pcx, mk1a_ravenii_pbp_adapter.asctxt,
	  mk1a_ravenii_pbp_tech.asctxt: [no log message]

2009-06-20 09:43  gamer

	* data/: icons/pad_symbol_default.png,
	  icons/pad_symbol_heavyair.png, icons/pad_symbol_heavyship.png,
	  icons/pad_symbol_heavytracked.png,
	  icons/pad_symbol_heavywheeled.png,
	  icons/pad_symbol_helicopter.png,
	  icons/pad_symbol_hoovercraft.png, icons/pad_symbol_lightair.png,
	  icons/pad_symbol_lightship.png,
	  icons/pad_symbol_lighttracked.png,
	  icons/pad_symbol_lightwheeled.png,
	  icons/pad_symbol_mediumair.png, icons/pad_symbol_mediumship.png,
	  icons/pad_symbol_mediumtracked.png,
	  icons/pad_symbol_mediumwheeled.png, icons/pad_symbol_rail.png,
	  icons/pad_symbol_trooper.png, icons/pad_symbol_turret.png,
	  unitsets/mk1/mk1-parent/_parent_490_hc_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_wreck_498_parent_sea.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/st03_316_mgtower.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_raven2.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_raven2.jpg,
	  unitsets/mk1/mk1-psup/mk1a_raven2.pcx,
	  unitsets/mk1/mk1-psup/mk1a_raven2_k.png,
	  unitsets/mk1/mk1-psup/mk1a_raven2_pbp_adapter.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_raven2_pbp_tech.asctxt,
	  unitsets/mk1/mk1-shh/mk1s_hoovercraft.asctxt,
	  unitsets/mk1/mk1-shh/mk1s_hoovercraft.jpg,
	  unitsets/mk1/mk1-shh/mk1s_hoovercraft_k.png,
	  unitsets/mk1/mk1-vsup/mk1v_ceti.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-pbat/mk3a_boeing.asctxt: [no log message]

2009-06-19 22:57  mbickel

	* data/main.version:  Updated data version

2009-06-19 22:56  mbickel

	* data/icons/rf-icon.png:  Added RF icon for map layer

2009-06-19 21:03  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/containerbasetype.cpp, source/containerbasetype.h,
	  source/sgstream.cpp, source/strtmesg.cpp:  Changed version number

2009-06-14 18:16  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/paradialog.h, source/strtmesg.cpp,
	  source/lua/commands_wrap.cxx, source/lua/common.cpp,
	  source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands_wrap.cxx:  More dialog functions
	  available in Lua

2009-06-14 16:57  mbickel

	* scripts/win32package.pl, source/maped-mainscreen.cpp:  Fixed
	  brush selector dialog

2009-06-14 15:40  mbickel

	* source/lua/: commands_wrap.cxx, common.i, mapedcommands.cpp,
	  mapedcommands.h, mapedcommands.i, mapedcommands_wrap.cxx:  Added
	  selectPosition to lua

2009-06-14 15:20  mbickel

	* .cproject, .project, source/lua/Makefile.am,
	  source/lua/Makefile.in, source/unittests/movementtest.cpp:  Fixed
	  out-of-tree builds

2009-06-12 17:21  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/attack.cpp, source/containerbase-functions.cpp,
	  source/ed_mapcomponent.cpp, source/ed_mapcomponent.h,
	  source/edglobal.cpp, source/edglobal.h, source/edmisc.cpp,
	  source/edselfnt.cpp, source/gamemap.cpp, source/mapdisplay.cpp,
	  source/maped-mainscreen.cpp, source/maped-mainscreen.h,
	  source/mapfield.cpp, source/mapfield.h, source/objecttype.cpp,
	  source/replay.cpp, source/spfst.cpp, source/strtmesg.cpp,
	  source/vehicle.cpp, source/actions/changeobjectproperty.cpp,
	  source/actions/putobjectcommand.cpp,
	  source/actions/removeobject.cpp, source/actions/spawnobject.cpp,
	  source/lua/Makefile.am, source/lua/Makefile.in,
	  source/lua/commands_wrap.cxx, source/lua/common.cpp,
	  source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands.cpp, source/lua/mapedcommands_wrap.cxx,
	  source/unittests/movementtest.cpp,
	  source/unittests/objectconstructiontest.cpp,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in:
	   More Lua functions
	   Mapeditor now has a Lua-Brush

2009-06-11 23:46  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unittests/unittest-eventlose.map,
	  data/unittests/unittest-moveback.map,
	  data/unittests/unittest-trox.asctxt,
	  data/unittests/unittest-trox.png, installer/asc.nsi,
	  source/astar2.cpp, source/astar2.h, source/edselfnt.cpp,
	  source/gameevents.cpp, source/gameeventsystem.cpp, source/sg.cpp,
	  source/strtmesg.cpp, source/turncontrol.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/eventtest.cpp, source/unittests/eventtest.h,
	  source/unittests/main.cpp, source/unittests/movementtest.cpp:  -
	  Improved error handling
	   - Fixed Action Manager
	   - LoseGame Event now works correctly in multiplayer games
	   - Fixed problems with moving units that have vastly different
	  speed on different
	      levels of height

2009-06-11 22:56  mbickel

	* source/: basestrm.cpp, sg.cpp, simplestream.cpp:  Improved error
	  reporting

2009-06-11 11:14  mbickel

	* installer/asc.nsi.in, source/guifunctions.cpp, source/mapfield.h,
	  source/sgstream.cpp, source/actions/action.cpp,
	  source/actions/action.h, source/actions/actioncontainer.cpp,
	  source/actions/command.cpp, source/dialogs/actionmanager.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/actiontest.cpp, source/unittests/actiontest.h,
	  source/unittests/main.cpp:  Fixed actionmanager
	   Added warning when config file could not be saved

2009-06-10 16:19  grom

	* data/campaign/standard/asc009.map: Rechtschreibfehler behoben und
	  Event zum �berschreiben des Akku hinzugef�gt.

2009-06-09 22:47  mbickel

	* source/mapfield.cpp:	Fixed resource placement

2009-06-07 19:45  mbickel

	* source/lua/: mapedcommands.cpp, mapedcommands.h, mapedcommands.i,
	  mapedcommands_wrap.cxx:  Yet more Lua

2009-06-07 19:08  mbickel

	* source/lua/: commands_wrap.cxx, common.h, common.i,
	  mapedcommands.cpp, mapedcommands.h, mapedcommands.i,
	  mapedcommands_wrap.cxx:  More Lua integration stuff

2009-06-07 16:33  mbickel

	* configure, configure.in, installer/asc.nsi, source/attack.cpp,
	  source/buildings.cpp, source/dashboard.cpp, source/edmisc.cpp,
	  source/edselfnt.cpp, source/gameevents.cpp, source/gamemap.cpp,
	  source/loadbi3.cpp, source/mapdisplay.cpp, source/mapfield.cpp,
	  source/mapfield.h, source/objecttype.cpp, source/spfst.cpp,
	  source/strtmesg.cpp, source/typen.h,
	  source/actions/putobjectcommand.cpp, source/ai/valuation.cpp,
	  source/dialogs/cargodialog.cpp, source/dialogs/terraininfo.cpp,
	  source/lua/commands_wrap.cxx, source/lua/common.i,
	  source/lua/mapedcommands.cpp, source/lua/mapedcommands.h,
	  source/lua/mapedcommands.i, source/lua/mapedcommands_wrap.cxx:
	  More functions available in Lua interface

2009-06-07 12:50  mbickel

	* source/win32/msvc/pbpeditor/pbpeditor.vcproj:  Updated project
	  files

2009-06-06 20:26  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/asc-mainscreen.cpp, source/strtmesg.cpp,
	  source/windowing.cpp, source/actions/moveunitcommand.h,
	  source/ai/tactics.cpp, source/dialogs/cargodialog.cpp:  .ascgui
	  dialogs can now have a size dependent on window size
	   fixed div0 crash in AI
	   Fixed error messages in AI when moving in RF

2009-06-06 18:36  mbickel

	* source/ai/service.cpp:  Fixed Div0 in AI

2009-06-06 12:00  mbickel

	* source/lua/: commands_wrap.cxx, common.i, mapedcommands.i,
	  mapedcommands_wrap.cxx:  Updated lua commands

2009-06-02 23:08  mbickel

	* source/: network/pbem-server.cpp, win32/msvc/ASC/ASC.vcproj,
	  win32/msvc/mapeditor/mapeditor.vcproj,
	  win32/msvc/pbpeditor/pbpeditor.vcproj:  Fixed compilation
	  problems

2009-06-02 22:02  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/asc-mainscreen.cpp, source/attack.cpp,
	  source/buildings.cpp, source/buildingtype.cpp,
	  source/containerbase-functions.cpp, source/edglobal.cpp,
	  source/edmisc.cpp, source/fieldimageloader.cpp,
	  source/gameevents.cpp, source/guifunctions.cpp,
	  source/loaders.cpp, source/player.h, source/research.cpp,
	  source/research.h, source/sg.cpp, source/strtmesg.cpp,
	  source/textfile_evaluation.cpp, source/vehicletype.cpp,
	  source/windowing.cpp, source/actions/action.cpp,
	  source/actions/actioncontainer.cpp,
	  source/actions/attackcommand.cpp,
	  source/actions/buildproductionlinecommand.cpp,
	  source/actions/cancelresearchcommand.cpp,
	  source/actions/cargomovecommand.cpp,
	  source/actions/constructbuildingcommand.cpp,
	  source/actions/constructunitcommand.cpp,
	  source/actions/destructbuildingcommand.cpp,
	  source/actions/destructunitcommand.cpp,
	  source/actions/diplomacycommand.cpp,
	  source/actions/directresearchcommand.cpp,
	  source/actions/jumpdrivecommand.cpp,
	  source/actions/moveunitcommand.cpp,
	  source/actions/powergenerationswitchcommand.cpp,
	  source/actions/putminecommand.cpp,
	  source/actions/putminecommand.h,
	  source/actions/putobjectcommand.cpp,
	  source/actions/putobjectcommand.h,
	  source/actions/reactionfireswitchcommand.cpp,
	  source/actions/recycleunitcommand.cpp,
	  source/actions/removeproductionlinecommand.cpp,
	  source/actions/removeproductionlinecommand.h,
	  source/actions/repairbuildingcommand.cpp,
	  source/actions/repairunitcommand.cpp,
	  source/actions/servicecommand.cpp, source/actions/servicing.cpp,
	  source/actions/setresourceprocessingratecommand.cpp,
	  source/actions/trainunitcommand.cpp,
	  source/actions/transfercontrolcommand.cpp, source/ai/tactics.cpp,
	  source/dialogs/admingame.cpp, source/dialogs/cargodialog.cpp,
	  source/dialogs/choosetech.cpp,
	  source/dialogs/editgameoptions.cpp,
	  source/dialogs/eventeditor.cpp,
	  source/dialogs/exchangegraphics.cpp, source/dialogs/newgame.cpp,
	  source/dialogs/newmap.cpp, source/dialogs/pwd_dlg.cpp,
	  source/lua/Makefile.am, source/lua/Makefile.in,
	  source/lua/commands.cpp, source/lua/commands.h,
	  source/lua/commands.i, source/lua/commands_wrap.cxx,
	  source/lua/common.cpp, source/lua/common.h, source/lua/common.i,
	  source/lua/mapedcommands.cpp, source/lua/mapedcommands.h,
	  source/lua/mapedcommands.i, source/lua/mapedcommands_wrap.cxx,
	  source/network/pbem-server-dummy.cpp, source/sdl/sound.cpp,
	  source/util/messaginghub.cpp, source/util/messaginghub.h:  All
	  game commands are now available to Lua

2009-06-01 22:15  mbickel

	* source/win32/msvc/ASC/ASC.vcproj:  Updated VS project file

2009-06-01 21:42  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/asc-mainscreen.cpp, source/sg.cpp, source/sg.h,
	  source/strtmesg.cpp, source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h, source/actions/command.cpp,
	  source/actions/command.h, source/actions/unitcommand.cpp,
	  source/actions/unitcommand.h, source/dialogs/Makefile.am,
	  source/dialogs/Makefile.in, source/dialogs/actionmanager.cpp,
	  source/dialogs/actionmanager.h, source/widgets/Makefile.am,
	  source/widgets/Makefile.in, source/widgets/vehicletypeimage.cpp,
	  source/widgets/vehicletypeimage.h:  Added ActionManager

2009-06-01 16:15  mbickel

	* source/lua/luastate.cpp:  Added standard libs to lua

2009-05-31 23:03  mbickel

	* source/: containerbase.cpp, containerbase.h, lua/mapedcommands.i,
	  lua/mapedcommands_wrap.cxx:  Lua functions for accessing cargo

2009-05-31 22:44  mbickel

	* configure, configure.in, installer/asc.nsi, source/mapfield.cpp,
	  source/mapfield.h, source/strtmesg.cpp,
	  source/actions/spawnobject.cpp:  Fixed: tanks on bridges caused
	  removal of bridge

2009-05-28 22:40  mbickel

	* Makefile.in, config.h.in, configure, configure.in,
	  data/Makefile.in, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in, source/strtmesg.cpp,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unittests/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:
	  Improved lua detection in configure

2009-05-27 23:28  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/controls.cpp, source/controls.h, source/gameoptions.cpp,
	  source/gameoptions.h, source/guifunctions.cpp,
	  source/strtmesg.cpp, source/vehicle.cpp,
	  source/dialogs/editgameoptions.cpp:  Added warning about crashing
	  planes

2009-05-27 22:15  mbickel

	* source/controls.cpp:	Fixed crash when moving units between
	  buildings

2009-05-26 15:25  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/networksupervisor.cpp, source/strtmesg.cpp:  Removed debug
	  code
	   Updated version number

2009-05-26 15:22  mbickel

	* source/actions/spawnobject.cpp:  Fixed: invalid serialization of
	  SpawnObject action

2009-05-26 13:13  mbickel

	* source/: buildings.h, gamemap.h, mapfield.cpp, mapfield.h,
	  vehicle.h, lua/mapedcommands.i, lua/mapedcommands_wrap.cxx:  New
	  functions for LUA interface

2009-05-26 12:39  mbickel

	* source/: networksupervisor.cpp, replay.cpp,
	  researchexecution.cpp, researchexecution.h, turncontrol.cpp:
	  Fixed: Technology researched messages were displayed at replay
	  and skip player

2009-05-22 23:28  mbickel

	* data/icons/cargodialog.ascgui, source/research.cpp:  Buildings
	  without the 'research' feature, but which produce research
	  points,
	     are no longer listed in the 'all labs' resource consumption,
	  because they
	     don't consume resource

2009-05-22 21:22  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unittests/unittest-heightchange.map, installer/asc.nsi,
	  source/asc-mainscreen.cpp, source/astar2.cpp, source/astar2.h,
	  source/attack.cpp, source/edmisc.cpp,
	  source/gameevent_dialogs.cpp, source/spfst.cpp,
	  source/strtmesg.cpp, source/actions/moveunitcommand.cpp,
	  source/actions/moveunitcommand.h, source/ai/misc.cpp,
	  source/unittests/movementtest.cpp:  Fixed: movement warnings
	  during AI move (#399)
	   Fixed: show movement range didn't work for units with RF
	   Fixed: AreaCopy in mapeditor didn't copy production lines

2009-05-21 20:52  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unittests/unittest-ant.asctxt,
	  data/unittests/unittest-ant.png,
	  data/unittests/unittest-objectgeneration.map, installer/asc.nsi,
	  source/mapfield.cpp, source/mapfield.h, source/strtmesg.cpp,
	  source/actions/spawnobject.cpp, source/actions/spawnobject.h,
	  source/lua/mapedcommands.cpp, source/lua/mapedcommands.h,
	  source/unittests/movementtest.cpp,
	  source/unittests/researchtest.cpp:  Fixed error when undoing
	  spawning of objects which could not endure on a field

2009-05-20 21:35  mbickel

	* source/lua/commands.h:  Fixed compilation warning

2009-05-19 20:31  mbickel

	* source/lua/: mapedcommands.h, mapedcommands.i,
	  mapedcommands_wrap.cxx:  Updated mapeditor commands

2009-05-19 20:02  mbickel

	* Makefile.in, asc.kdevelop, configure, configure.in,
	  data/Makefile.in, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.am, source/Makefile.in,
	  source/strtmesg.cpp, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.am,
	  source/lua/Makefile.in, source/lua/mapedcommands.cpp,
	  source/lua/mapedcommands.h, source/lua/mapedcommands.i,
	  source/lua/mapedcommands_wrap.cxx, source/network/Makefile.in,
	  source/sdl/Makefile.in, source/tasks/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Added
	  more functions to mapeditor scripting

2009-05-18 21:59  mbickel

	* source/win32/msvc/: ASC/ASC.vcproj, mapeditor/mapeditor.vcproj,
	  pbpeditor/pbpeditor.vcproj:  Added lua to win32 project files

2009-05-18 21:48  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/strtmesg.cpp, source/dialogs/cargodialog.cpp:	Automatic
	  subwin button size detection in cargodialog

2009-05-18 21:02  mbickel

	* source/lua/: commands_wrap.c, commands_wrap.cxx,
	  mapedcommands_wrap.cxx:  Added lua command wrapper

2009-05-18 20:38  mbickel

	* source/: actions/commandwriter.h, lua/luastate.cpp:  Updated lua
	  integration

2009-05-18 20:13  mbickel

	* Makefile.am, Makefile.in, asc.kdevelop, config.h.in, configure,
	  configure.in, data/Makefile.in, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.am, source/Makefile.in,
	  source/edglobal.cpp, source/edglobal.h, source/edmisc.cpp,
	  source/edmisc.h, source/edselfnt.cpp, source/gamemap.cpp,
	  source/gamemap.h, source/loadbi3.cpp,
	  source/maped-mainscreen.cpp, source/mapfield.cpp,
	  source/mapfield.h, source/sg.cpp, source/spfst.cpp,
	  source/spfst.h, source/actions/Makefile.in,
	  source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h, source/actions/command.h,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/dialogs/infodialogs.cpp,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/widgets/pgmultilineedit.cpp,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.am,
	  source/lua/Makefile.in, source/lua/binder.cpp,
	  source/lua/binder.h, source/lua/commands.cpp,
	  source/lua/commands.h, source/lua/commands.i,
	  source/lua/commands_wrap.c, source/lua/luarunner.cpp,
	  source/lua/luarunner.h, source/lua/luastate.cpp,
	  source/lua/mapedcommands.cpp, source/lua/mapedcommands.h,
	  source/lua/mapedcommands.i, source/network/Makefile.in,
	  source/sdl/Makefile.in, source/tasks/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Added
	  lua interface to mapeditor

2009-05-17 22:04  mbickel

	* source/: strtmesg.cpp, dialogs/cargowidget.cpp:  Changed blitter
	  for cargo dialog slots

2009-05-16 18:55  mbickel

	* source/sg.cpp:  Removed debug code

2009-05-16 18:10  mbickel

	* source/: sg.cpp, sgstream.cpp:  Improved locating of data files
	  on win32

2009-05-16 17:18  mbickel

	* data/main.version, source/sgstream.cpp, source/strtmesg.cpp:
	  Improved directory handling

2009-05-16 12:03  mbickel

	* source/: edmisc.cpp, sgstream.cpp:  Updated date version
	  requirements

2009-05-16 09:34  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/gameevents.cpp, source/gameeventsystem.h,
	  source/strtmesg.cpp, source/dialogs/cargodialog.cpp:	Changed
	  version number
	   Fixed: damagecontrol subwindow in cargodialog not shown

2009-05-16 09:03  gamer

	* data/: trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/obj_deepseaminerals.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_424_rocket_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_491_hc_wig.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/sh17_366_speedboat.asctxt,
	  unitsets/mk1/mk1-parent/sh18_367_speedship.asctxt: [no log
	  message]

2009-05-09 12:13  mbickel

	* asc.kdevelop, source/buildings.cpp, source/buildingtype.cpp,
	  source/buildingtype.h, source/terraintype.cpp,
	  source/textfile_evaluation.cpp, source/textfile_evaluation.h,
	  source/vehicletype.cpp, source/vehicletype.h:  Dumped .asctxt
	  files now carry original image filenames for buildigns and
	  vehicles

2009-05-08 22:03  mbickel

	* data/message1.txt, source/mapfield.cpp, source/mapfield.h,
	  source/actions/destructbuildingcommand.cpp,
	  source/actions/destructcontainer.cpp,
	  source/actions/destructcontainer.h,
	  source/actions/removeobject.cpp:  Fixed crash when trying to
	  destruct building on the edge of the map
	   Destructing buildings doesn't create wreckage objects any more

2009-05-04 21:11  mbickel

	* asc.kdevelop, configure.in:  Updated makefiles

2009-05-03 22:25  mbickel

	* configure.in, data/message1.txt,
	  data/unittests/unittest-objectconstruction.map,
	  source/applicationstarter.h, source/gamedlg.cpp,
	  source/gamedlg.h, source/mapfield.cpp, source/mapfield.h,
	  source/replay.cpp, source/sg.cpp, source/actions/action.cpp,
	  source/actions/action.h, source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h,
	  source/actions/actionresult.cpp, source/actions/actionresult.h,
	  source/actions/spawnobject.cpp, source/actions/spawnobject.h,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/attacktest.cpp,
	  source/unittests/diplomacytest.cpp, source/unittests/main.cpp,
	  source/unittests/movementtest.cpp,
	  source/unittests/objectconstructiontest.cpp,
	  source/unittests/objectconstructiontest.h,
	  source/unittests/researchtest.cpp,
	  source/unittests/transfercontroltest.cpp,
	  source/unittests/viewtest.cpp:  Fixed: Undoing object spawning
	  didn't restore objects that where destroyed by
		  the construction

2009-05-01 20:01  mbickel

	* source/: actions/changeunitmovement.cpp,
	  actions/setresourceprocessingratecommand.cpp,
	  dialogs/infodialogs.cpp, win32/msvc/ASC/ASC.vcproj:  Compilation
	  fixes for WIn32

2009-05-01 19:01  mbickel

	* source/: applicationstarter.cpp, applicationstarter.h,
	  gamedlg.cpp, gamedlg.h, loaders.cpp, loaders.h, replay.cpp,
	  replay.h, researchexecution.cpp, sg.cpp, dialogs/Makefile.am,
	  dialogs/Makefile.in, dialogs/choosetech.cpp,
	  dialogs/choosetech.h, dialogs/infodialogs.cpp,
	  dialogs/infodialogs.h, unittests/main.cpp, unix/asc/Makefile.am,
	  unix/asc/Makefile.in:  Some cleanup and refactoring

2009-05-01 16:45  mbickel

	* asc.kdevelop, configure.in, data/message1.txt,
	  source/guifunctions.cpp, source/replay.cpp, source/sg.cpp,
	  source/vehicle.cpp, source/vehicle.h, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/attackcommand.cpp,
	  source/actions/buildproductionlinecommand.cpp,
	  source/actions/cancelresearchcommand.cpp,
	  source/actions/cargomovecommand.cpp,
	  source/actions/constructbuildingcommand.cpp,
	  source/actions/constructunitcommand.cpp,
	  source/actions/destructbuildingcommand.cpp,
	  source/actions/destructunitcommand.cpp,
	  source/actions/diplomacycommand.cpp,
	  source/actions/directresearchcommand.cpp,
	  source/actions/internalammotransfercommand.cpp,
	  source/actions/internalammotransfercommand.h,
	  source/actions/jumpdrivecommand.cpp,
	  source/actions/moveunitcommand.cpp,
	  source/actions/powergenerationswitchcommand.cpp,
	  source/actions/putminecommand.cpp,
	  source/actions/putobjectcommand.cpp,
	  source/actions/reactionfireswitchcommand.cpp,
	  source/actions/recycleunitcommand.cpp,
	  source/actions/removeproductionlinecommand.cpp,
	  source/actions/repairunitcommand.cpp,
	  source/actions/servicecommand.cpp,
	  source/actions/setresourceprocessingratecommand.cpp,
	  source/actions/trainunitcommand.cpp,
	  source/actions/transfercontrolcommand.cpp,
	  source/dialogs/internalAmmoTransferDialog.cpp,
	  source/dialogs/internalAmmoTransferDialog.h,
	  source/unittests/main.cpp:  Deactivated InternalAmmoTransfer

2009-05-01 14:24  mbickel

	* asc.kdevelop, configure, data/message1.txt,
	  data/unittests/unittest-basetech.asctxt,
	  data/unittests/unittest-diplomacy.map,
	  data/unittests/unittest-itemfilter.asctxt,
	  data/unittests/unittest-jammer-tech.asctxt,
	  data/unittests/unittest-jammer-techadapter.asctxt,
	  data/unittests/unittest-jammer.asctxt,
	  data/unittests/unittest-research.map,
	  data/unittests/unittest-tech1.asctxt,
	  data/unittests/unittest-tech2.asctxt, source/asc-mainscreen.cpp,
	  source/buildings.cpp, source/containercontrols.cpp,
	  source/controls.cpp, source/controls.h, source/dlg_box.h,
	  source/edselfnt.h, source/gameevent_dialogs.cpp,
	  source/gameevent_dialogs.h, source/reactionfire.cpp,
	  source/reactionfire.h, source/replay.cpp, source/replay.h,
	  source/research.cpp, source/research.h,
	  source/researchexecution.cpp, source/researchexecution.h,
	  source/sg.cpp, source/sg.h, source/spfst.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/constructunitcommand.cpp,
	  source/actions/directresearchcommand.cpp,
	  source/actions/directresearchcommand.h,
	  source/dialogs/alliancesetup.h, source/dialogs/cargodialog.cpp,
	  source/dialogs/choosetech.cpp, source/dialogs/choosetech.h,
	  source/dialogs/newgame.cpp, source/dialogs/newmap.cpp,
	  source/tasks/unitattack.cpp, source/tasks/unitattack.h,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/main.cpp, source/unittests/researchtest.cpp,
	  source/unittests/researchtest.h, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in:	Research is now interruptible and
	  undo-capable

2009-04-30 21:42  mbickel

	* asc.kdevelop, installer/asc.nsi, source/gamemap.cpp,
	  source/player.cpp, source/sgstream.cpp, source/strtmesg.cpp,
	  source/actions/diplomacycommand.cpp,
	  source/actions/diplomacycommand.h,
	  source/unittests/diplomacytest.cpp:  Updated diplomacy system

2009-04-30 21:21  mbickel

	* data/main.version:  Updated data version

2009-04-30 16:10  mbickel

	* asc.kdevelop, config.h.in, configure, configure.in,
	  data/message1.txt, source/edglobal.cpp, source/gameevents.cpp,
	  source/gamemap.cpp, source/player.cpp, source/player.h,
	  source/replay.cpp, source/sg.cpp, source/turncontrol.cpp,
	  source/turncontrol.h, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/changediplomaticstate.cpp,
	  source/actions/changediplomaticstate.h,
	  source/actions/diplomacycommand.cpp,
	  source/actions/diplomacycommand.h, source/ai/base.cpp,
	  source/dialogs/admingame.cpp, source/dialogs/alliancesetup.cpp,
	  source/dialogs/alliancesetup.h, source/dialogs/newgame.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/diplomacytest.cpp,
	  source/unittests/diplomacytest.h, source/unittests/main.cpp,
	  source/unittests/unittestutil.cpp,
	  source/unittests/unittestutil.h:  Added diplomacy to undo
	  commands

2009-04-30 15:11  gamer

	* data/: unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/t05_294_tank_siege.asctxt,
	  trrobj/objects/buildable/obj_deepseaminerals_adapter.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_wake.asctxt,
	  unitsets/mk1/mk1-train/mk1t_punch.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shb/mk3s_visby.asctxt,
	  unitsets/mk3/mk3-train/mk3t_panzerzug.asctxt,
	  unitsets/mk3/mk3-vfatr/mk3v_ussl.asctxt: [no log message]

2009-04-29 16:38  mbickel

	* source/actions/: Makefile.am, Makefile.in:  Updated makefiles

2009-04-29 16:25  mbickel

	* source/: containerbase.cpp, containercontrols.cpp, edmisc.cpp,
	  gamedlg.cpp, gamemap.cpp, guifunctions.cpp, replay.cpp, replay.h,
	  sg.cpp, actions/Makefile.am, actions/Makefile.in,
	  actions/servicing.cpp, dialogs/cargodialog.cpp,
	  unittests/main.cpp:  Fixed replay errors with automatic training

2009-04-28 21:59  mbickel

	* configure.in, data/message1.txt, source/containercontrols.cpp,
	  source/containercontrols.h, source/replay.cpp, source/replay.h,
	  source/research.cpp, source/research.h, source/sg.cpp,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h, source/actions/action.h,
	  source/actions/cancelresearchcommand.cpp,
	  source/actions/cancelresearchcommand.h,
	  source/actions/changecontainerproperty.cpp,
	  source/actions/changecontainerproperty.h,
	  source/actions/changeobjectproperty.cpp,
	  source/actions/changeobjectproperty.h,
	  source/actions/changeunitmovement.cpp,
	  source/actions/changeunitproperty.cpp,
	  source/actions/changeunitproperty.h,
	  source/actions/changeview.cpp, source/actions/changeview.h,
	  source/actions/consumeammo.cpp, source/actions/consumeammo.h,
	  source/actions/consumeglobalresource.h,
	  source/actions/consumeresource.cpp,
	  source/actions/consumeresource.h,
	  source/actions/containeraction.h,
	  source/actions/containercommand.h,
	  source/actions/convertcontainer.cpp,
	  source/actions/convertcontainer.h,
	  source/actions/destructcontainer.cpp,
	  source/actions/destructcontainer.h,
	  source/actions/discoverresources.cpp,
	  source/actions/discoverresources.h,
	  source/actions/inflictdamage.cpp, source/actions/inflictdamage.h,
	  source/actions/moveunit.cpp, source/actions/moveunitcommand.cpp,
	  source/actions/registerunitrftarget.cpp,
	  source/actions/registerunitrftarget.h,
	  source/actions/removemine.cpp, source/actions/removemine.h,
	  source/actions/removeobject.cpp, source/actions/removeobject.h,
	  source/actions/setresourceprocessingratecommand.cpp,
	  source/actions/setresourceprocessingratecommand.h,
	  source/actions/spawnbuilding.cpp, source/actions/spawnbuilding.h,
	  source/actions/spawnmine.cpp, source/actions/spawnmine.h,
	  source/actions/spawnobject.cpp, source/actions/spawnobject.h,
	  source/actions/spawnunit.cpp, source/actions/spawnunit.h,
	  source/actions/unitaction.h,
	  source/actions/unitfieldregistration.cpp,
	  source/actions/vehicleattack.cpp, source/actions/vehicleattack.h,
	  source/actions/viewregistration.cpp,
	  source/dialogs/cargodialog.cpp,
	  source/libs/paragui/src/widgets/pgmultilineedit.cpp,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in:
	  ChangeResourceProcessing (powerplant, mining) now undo capable
	   CancelReseach now undo capable
	   Some cleanup and refactoring
	   Fixed crash in message editor on ctrl-left

2009-04-28 15:48  mbickel

	* source/: actions/destructcontainer.cpp, dialogs/cargodialog.cpp:
	  Fixed: undo of conquering a neutral building with self-destruct
	  crashed
	   Fixed: undo of building construction crashed when executed
	  inside cargo dialog

2009-04-28 13:55  mbickel

	* asc.kdevelop, configure.in, source/buildings.cpp,
	  source/actions/changeunitmovement.cpp:  Fixed: rounding errors on
	  movement calculation
	   Fixed: memory leak for AI data

2009-04-27 20:57  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unitsets/mk1/mk1-vari/mk1v_comaiii.asctxt,
	  data/unittests/unittest-attack.map,
	  data/unittests/unittest-recycle.map,
	  data/unittests/unittest-spyplane.asctxt,
	  data/unittests/unittest-spyplane.png,
	  data/unittests/unittest-view2.map, source/buildings.cpp,
	  source/containerbase.h, source/gamemap.cpp,
	  source/statistics.cpp, source/vehicle.cpp,
	  source/viewcalculation.cpp, source/actions/destructcontainer.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/attacktest.cpp, source/unittests/main.cpp,
	  source/unittests/recyclingtest.cpp,
	  source/unittests/recyclingtest.h, source/unittests/viewtest.cpp:
	  Fixed fatal error on unit recycling
	   Fixed: stealth units became visible when passing over other unit
	   Dominant View calculation ignores Supervisor player

2009-04-27 15:19  mbickel

	* doc/asc.html, doc/install.html, doc/install_cvs.html,
	  doc/install_tgz.html, source/buildings.cpp,
	  source/containerbase.cpp, source/containerbase.h, source/typen.h:
	  Updated documentation

2009-04-24 21:35  mbickel

	* TODO, source/asc-mainscreen.h, source/attack.h,
	  source/autotraining.h, source/basestrm.h, source/buildings.h,
	  source/buildingtype.h, source/mainscreenwidget.h:  Improved
	  documentation

2009-04-23 19:11  gamer

	* data/trrobj/objects/buildable/obj_deepseaminerals.asctxt: [no log
	  message]

2009-04-22 17:34  gamer

	* data/unitsets/mk3/mk3-shb/mk3s_ticonderoga.asctxt: [no log
	  message]

2009-04-22 09:06  gamer

	* data/unitsets/mk1/mk1-parent/t08_289_battletrain.asctxt: [no log
	  message]

2009-04-21 23:56  mbickel

	* asc.kdevelop, configure.in, data/main.version,
	  source/gamemap.cpp, source/sgstream.cpp:  Updated file versions

2009-04-20 15:15  gamer

	* data/: trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_hafenbeton_2095.asctxt,
	  trrobj/objects/buildable/ob_hafenmauer_2094.asctxt,
	  trrobj/parents/_pobj518_fluss.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/a19_338_light_vto.asctxt,
	  unitsets/mk1/mk1-parent/ad02_216_sammech.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/mk1.version,
	  unitsets/mk1/mk1-shb/mk1s_gasp.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_gunboat.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_jellyfish.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_shark.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_shine.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_streak.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_tide.asctxt,
	  unitsets/mk1/mk1-train/mk1t_punch.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shb/mk3s_arsenal.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_ticonderoga.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_visby.asctxt,
	  unitsets/mk3/mk3-train/mk3t_panzerzug.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_piobuild.asctxt: [no log message]

2009-04-19 11:30  mbickel

	* asc.kdevelop, source/ai/tactics.cpp,
	  source/dialogs/cargodialog.cpp,
	  source/unittests/movementtest.cpp:  Fixed compilation warnings

2009-04-18 19:17  mbickel

	* asc.kdevelop, data/message1.txt, scripts/getUbuntuPackages,
	  source/containercontrols.cpp, source/containercontrols.h,
	  source/edmain.cpp, source/loadbi3.cpp, source/replay.cpp,
	  source/sg.cpp, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/buildproductionlinecommand.cpp,
	  source/actions/buildproductionlinecommand.h,
	  source/actions/removeproductionlinecommand.cpp,
	  source/actions/removeproductionlinecommand.h,
	  source/dialogs/vehicleproductionselection.cpp:  New undo-capable
	  commands:
	     build production line
	     remove production line

2009-04-18 15:57  mbickel

	* data/unittests/unittest-ai-refuel1.map,
	  data/unittests/unittest-ai-refuel2.map,
	  data/unittests/unittest-ai-repair1.map,
	  data/unittests/unittest-airplane-tanker.asctxt,
	  data/unittests/unittest-airplane-tanker.png,
	  data/unittests/unittest-reactionfire.map,
	  data/unittests/unittest-transfercontrol.map,
	  data/unittests/unittest-vehicle-ammotransport.asctxt,
	  data/unittests/unittest-vehicle-ammotransport.png,
	  data/unittests/unittest-vehicle-fueltransport.asctxt,
	  data/unittests/unittest-vehicle-fueltransport.png,
	  scripts/getUbuntuPackages:  Added more unittest data

2009-04-18 15:51  mbickel

	* source/spfst-legacy.h:  seperated some code into extra header

2009-04-18 15:50  mbickel

	* source/: unitctrl.cpp, unitctrl.h:  Removed unitctrl

2009-04-18 15:48  mbickel

	* asc.kdevelop, configure, configure.in, mkinstalldirs,
	  data/message1.txt, doc/credits.html, doc/install.html,
	  doc/install_cvs.html, doc/install_tgz.html, doc/linux_faq.html,
	  installer/asc.nsi, scripts/includecleanup,
	  scripts/test-compilers, source/asc-mainscreen.cpp,
	  source/astar2.cpp, source/astar2.h, source/basegfx.cpp,
	  source/clipboard.cpp, source/containercontrols.cpp,
	  source/containercontrols.h, source/controls.cpp,
	  source/dashboard.cpp, source/dialog.cpp, source/dlg_box.cpp,
	  source/ed_mapcomponent.cpp, source/edgen.cpp, source/edgen.h,
	  source/edglobal.cpp, source/edmain.cpp, source/edmisc.cpp,
	  source/edselfnt.cpp, source/gamedialog.cpp, source/gamedlg.cpp,
	  source/gameevent_dialogs.cpp, source/gameevents.cpp,
	  source/gameeventsystem.cpp, source/gameeventsystem.h,
	  source/gamemap.cpp, source/gamemap.h, source/guifunctions.cpp,
	  source/guiiconhandler.cpp, source/history.cpp,
	  source/loadbi3.cpp, source/loaders.cpp, source/loaders.h,
	  source/lzw.h, source/mapdisplay.cpp, source/maped-mainscreen.cpp,
	  source/mappolygons.cpp, source/mappolygons.h,
	  source/messagedlg.cpp, source/newfont.h,
	  source/overviewmappanel.cpp, source/pg_mapdisplay.cpp,
	  source/polygontriangulation.h, source/prehistoricevents.h,
	  source/reactionfire.cpp, source/reactionfire.h,
	  source/replay.cpp, source/replay.h, source/replaymapdisplay.cpp,
	  source/resourceplacementdialog.cpp, source/sg.cpp,
	  source/spfst.cpp, source/spfst.h, source/stack.h,
	  source/statisticdialog.cpp, source/statisticdialog.h,
	  source/statistics.cpp, source/strtmesg.cpp, source/strtmesg.h,
	  source/turncontrol.cpp, source/turncontrol.h, source/typen.h,
	  source/unitctrl.cpp, source/unitctrl.h, source/vehicle.cpp,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/constructbuildingcommand.cpp,
	  source/actions/constructunitcommand.cpp,
	  source/actions/moveunitcommand.cpp,
	  source/actions/putobjectcommand.cpp,
	  source/actions/servicecommand.cpp, source/actions/servicing.cpp,
	  source/actions/servicing.h,
	  source/actions/transfercontrolcommand.cpp,
	  source/actions/transfercontrolcommand.h,
	  source/actions/vehicleattack.cpp, source/ai/ai.h,
	  source/ai/ai_common.h, source/ai/base.cpp,
	  source/ai/buildingcapture.cpp, source/ai/misc.cpp,
	  source/ai/service.cpp, source/ai/strategy.cpp,
	  source/ai/tactics.cpp, source/ai/valuation.cpp,
	  source/dialogs/admingame.cpp,
	  source/dialogs/ammotransferdialog.cpp,
	  source/dialogs/cargodialog.cpp, source/dialogs/eventeditor.cpp,
	  source/dialogs/eventeditor.h,
	  source/dialogs/exchangegraphics.cpp,
	  source/dialogs/internalAmmoTransferDialog.cpp,
	  source/dialogs/newgame.cpp, source/dialogs/unitguidedialog.cpp,
	  source/dialogs/unitinfodialog.cpp, source/dos/cdrom.cpp,
	  source/dos/cdrom.h, source/dos/fileio.h, source/dos/global_os.h,
	  source/dos/keybp.cpp, source/dos/loadjpg.h,
	  source/dos/mousehnd.cpp, source/dos/realint.cpp,
	  source/dos/realint.h, source/dos/spfldutl.h,
	  source/dos/timer.cpp, source/dos/vesa.cpp, source/dos/vesa.h,
	  source/libs/paragui/include/pgbutton.h,
	  source/libs/paragui/include/pgcheckbutton.h,
	  source/libs/paragui/include/pgcolors.h,
	  source/libs/paragui/include/pgcolumnitem.h,
	  source/libs/paragui/include/pgdatacontainer.h,
	  source/libs/paragui/include/pgdraw.h,
	  source/libs/paragui/include/pgdropdown.h,
	  source/libs/paragui/include/pgeventsupplier.h,
	  source/libs/paragui/include/pgfactory.h,
	  source/libs/paragui/include/pgfile.h,
	  source/libs/paragui/include/pgfont.h,
	  source/libs/paragui/include/pgimage.h,
	  source/libs/paragui/include/pginfo.h,
	  source/libs/paragui/include/pglabel.h,
	  source/libs/paragui/include/pglineedit.h,
	  source/libs/paragui/include/pglistboxbaseitem.h,
	  source/libs/paragui/include/pglistboxitem.h,
	  source/libs/paragui/include/pglog.h,
	  source/libs/paragui/include/pgmaskedit.h,
	  source/libs/paragui/include/pgmenubar.h,
	  source/libs/paragui/include/pgmessagebox.h,
	  source/libs/paragui/include/pgmessageobject.h,
	  source/libs/paragui/include/pgnavigator.h,
	  source/libs/paragui/include/pgpoint.h,
	  source/libs/paragui/include/pgpopupmenu.h,
	  source/libs/paragui/include/pgprogressbar.h,
	  source/libs/paragui/include/pgpropertyeditor.h,
	  source/libs/paragui/include/pgpropertyeditor_linefield.h,
	  source/libs/paragui/include/pgpropertyfield_button.h,
	  source/libs/paragui/include/pgpropertyfield_dropdown.h,
	  source/libs/paragui/include/pgpropertyfield_intdropdown.h,
	  source/libs/paragui/include/pgpropertyfield_integer.h,
	  source/libs/paragui/include/pgpropertyfield_string.h,
	  source/libs/paragui/include/pgradiobutton.h,
	  source/libs/paragui/include/pgrect.h,
	  source/libs/paragui/include/pgrectlist.h,
	  source/libs/paragui/include/pgrichedit.h,
	  source/libs/paragui/include/pgscrollarea.h,
	  source/libs/paragui/include/pgscrollbar.h,
	  source/libs/paragui/include/pgscrollwidget.h,
	  source/libs/paragui/include/pgsdleventsupplier.h,
	  source/libs/paragui/include/pgsignals.h,
	  source/libs/paragui/include/pgsingleton.h,
	  source/libs/paragui/include/pgslider.h,
	  source/libs/paragui/include/pgspinnerbox.h,
	  source/libs/paragui/include/pgstring.h,
	  source/libs/paragui/include/pgsurfacecache.h,
	  source/libs/paragui/include/pgtheme.h,
	  source/libs/paragui/include/pgthemewidget.h,
	  source/libs/paragui/include/pgtimerobject.h,
	  source/libs/paragui/include/pgwidget.h,
	  source/libs/paragui/include/pgwidgetdnd.h,
	  source/libs/paragui/include/pgwidgetlist.h,
	  source/libs/paragui/include/pgwindow.h,
	  source/libs/paragui/include/ychar.h,
	  source/libs/paragui/include/ystring.h,
	  source/libs/paragui/src/paragui.cpp,
	  source/libs/paragui/src/core/pgcolors.cpp,
	  source/libs/paragui/src/core/pgdatacontainer.cpp,
	  source/libs/paragui/src/core/pgfile.cpp,
	  source/libs/paragui/src/core/pglog.cpp,
	  source/libs/paragui/src/core/pgmain.cpp,
	  source/libs/paragui/src/core/pgmessageobject.cpp,
	  source/libs/paragui/src/core/pgnavigator.cpp,
	  source/libs/paragui/src/core/pgrectlist.cpp,
	  source/libs/paragui/src/core/pgsurfacecache.cpp,
	  source/libs/paragui/src/draw/drawline.cpp,
	  source/libs/paragui/src/draw/drawtile.cpp,
	  source/libs/paragui/src/draw/gradient.cpp,
	  source/libs/paragui/src/draw/pgpoint.cpp,
	  source/libs/paragui/src/draw/pgrect.cpp,
	  source/libs/paragui/src/draw/rotozoom.cpp,
	  source/libs/paragui/src/draw/setpixel.cpp,
	  source/libs/paragui/src/draw/stretch.cpp,
	  source/libs/paragui/src/draw/surface.cpp,
	  source/libs/paragui/src/font/pgfont.cpp,
	  source/libs/paragui/src/themes/theme_priv.cpp,
	  source/libs/paragui/src/themes/theme_priv.h,
	  source/libs/paragui/src/themes/themeloader.cpp,
	  source/libs/paragui/src/widgets/pgcolumnitem.cpp,
	  source/libs/paragui/src/widgets/pgimage.cpp,
	  source/libs/paragui/src/widgets/pglabel.cpp,
	  source/libs/paragui/src/widgets/pglistboxbaseitem.cpp,
	  source/libs/paragui/src/widgets/pglistboxitem.cpp,
	  source/libs/paragui/src/widgets/pgmaskedit.cpp,
	  source/libs/paragui/src/widgets/pgmessagebox.cpp,
	  source/libs/paragui/src/widgets/pgprogressbar.cpp,
	  source/libs/paragui/src/widgets/pgpropertyeditor.cpp,
	  source/libs/paragui/src/widgets/pgradiobutton.cpp,
	  source/libs/paragui/src/widgets/pgrichedit.cpp,
	  source/libs/paragui/src/widgets/pgscrollarea.cpp,
	  source/libs/paragui/src/widgets/pgscrollbar.cpp,
	  source/libs/paragui/src/widgets/pgscrollwidget.cpp,
	  source/libs/paragui/src/widgets/pgslider.cpp,
	  source/libs/paragui/src/widgets/pgspinnerbox.cpp,
	  source/libs/paragui/src/widgets/pgthemewidget.cpp,
	  source/libs/paragui/src/widgets/pgtooltiphelp.cpp,
	  source/libs/paragui/src/widgets/pgwidgetlist.cpp,
	  source/libs/paragui/src/widgets/pgwindow.cpp,
	  source/libs/paragui/src/widgets/propstrings_priv.cpp,
	  source/libs/paragui/src/widgets/propstrings_priv.h,
	  source/libs/paragui/src/ystring/ychar.cpp,
	  source/libs/paragui/src/ystring/ystring.cpp,
	  source/libs/sdlmm/src/sdlmm.tmpl, source/lua/binder.cpp,
	  source/tools/Makefile.am, source/tools/java/BuildRange.java,
	  source/tools/java/Building.java,
	  source/tools/java/ClassBound.java,
	  source/tools/java/ErrorMessage.java,
	  source/tools/java/ImageProcess.java,
	  source/tools/java/ImgCanvas.java,
	  source/tools/java/MainWindow.java,
	  source/tools/java/MakeCheckIntRangeField.java,
	  source/tools/java/PK.java, source/tools/java/RLEHeader.java,
	  source/tools/java/RLEPackage.java,
	  source/tools/java/SgStream.java,
	  source/tools/java/SingleWeapon.java, source/tools/java/Unit.java,
	  source/tools/java/UnitEditor.java,
	  source/tools/java/UnitWeapon.java, source/tools/java/Weapon.java,
	  source/tools/java/Weapons.java, source/unittests/Makefile.am,
	  source/unittests/Makefile.in, source/unittests/ai-move1.cpp,
	  source/unittests/ai-move1.h, source/unittests/ai-service1.cpp,
	  source/unittests/ai-service1.h, source/unittests/attacktest.cpp,
	  source/unittests/main.cpp, source/unittests/movementtest.cpp,
	  source/unittests/transfercontroltest.cpp,
	  source/unittests/transfercontroltest.h,
	  source/unittests/unittestutil.cpp,
	  source/unittests/unittestutil.h, source/unittests/viewtest.cpp,
	  source/unix/fileio.h, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in,
	  source/widgets/targetcoordinatelocator.cpp,
	  source/win32/fileio.h, source/win32/global_os.h,
	  source/win32/gcc/fileio.h, source/win32/gcc/global_os.h,
	  source/win32/watcom/fileio.h, source/win32/watcom/global_os.h:
	  Major refactoring:
	     Added many more unittests
	     Changed AI to use commands
	     Removed and separated lots of legacy code
	    TransferUnitControl is now undo capable

2009-04-18 15:20  mbickel

	* configure, configure.in:  Better check for C++ compiler

2009-04-18 15:11  mbickel

	* configure, configure.in:  added g++ check

2009-04-18 13:13  mbickel

	* configure, configure.in, installer/asc.nsi, source/strtmesg.cpp:
	  Changed version number to .3

2009-04-16 19:17  mbickel

	* data/unittests/: unittest-ai-carrier.map,
	  unittest-ai-conquer.map, unittest-ai-conquer2.map,
	  unittest-ai-conquer3.map, unittest-ai-hemming.map,
	  unittest-ai-mam.map, unittest-ai-simpleattack.map,
	  unittest-ari.asctxt, unittest-carrier.asctxt,
	  unittest-carrier.png, unittest-reactionfire.map,
	  unittest-submarine.asctxt, unittest-submarine.png,
	  unittest-trooper.asctxt, unittest-trooper.png,
	  unittest-view1.map:  Added unittest data

2009-04-16 10:58  mbickel

	* asc.kdevelop, source/mapimageexport.cpp:  SaveMapAsPNG now
	  recalculates the view

2009-04-15 23:02  mbickel

	* configure.in, doc/unitguide/Makefile.am,
	  doc/unitguide/Makefile.in, doc/unitguide/menu.pl,
	  source/tools/infopage.cpp:  Fixed: weaponguide screwing up on
	  non-ascii characters
	   Added new weaponguide targets

2009-04-15 21:46  mbickel

	* asc.kdevelop, configure.in, source/dialogs/admingame.cpp:  Fixed:
	  save game as map deleted network setup

2009-04-15 21:18  mbickel

	* scripts/win32package.pl, source/tools/win/demount.vcproj,
	  source/tools/win/tools.vcproj:  Fixed MSVC project files

2009-04-15 20:18  mbickel

	* data/unittests/unittest-ari.asctxt,
	  data/unittests/unittest-ari.png,
	  data/unittests/unittest-jammer.asctxt,
	  data/unittests/unittest-jammer.png,
	  data/unittests/unittest-vehicle-aa.asctxt,
	  data/unittests/unittest-vehicle-aa.png, source/buildings.cpp,
	  source/guifunctions.cpp, source/vehicle.cpp,
	  source/actions/destructbuildingcommand.cpp,
	  source/actions/destructcontainer.cpp,
	  source/actions/spawnbuilding.cpp,
	  source/actions/vehicleattack.cpp,
	  source/actions/viewregistration.cpp,
	  source/unittests/movementtest.cpp,
	  source/unittests/unittestutil.cpp,
	  source/unittests/unittestutil.h, source/unittests/viewtest.cpp,
	  source/unittests/viewtest.h:	Fixed: view not recalculated when
	  removing or constructing buildings
	   Fixed: jumpdrive didn't update gui icons

2009-04-15 17:54  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in, source/basestrm.cpp,
	  source/basestrm.h, source/loaders.cpp, source/loaders.h,
	  source/strtmesg.cpp, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unittests/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:
	  Improved error messages for broken files
	   Cleaned up dependency to bzlib

2009-04-13 09:55  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in, source/strtmesg.cpp,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unittests/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Fixed
	  linux install target

2009-04-11 12:24  gamer

	* data/unitsets/mk1/: mk1-parent/ad02_216_sammech.asctxt,
	  mk1-parent/mk1-history.txt, mk1-vad/mk1m_cad.asctxt: [no log
	  message]

2009-04-11 12:16  gamer

	* data/: buildings/_history_asc-buildings.txt, files.txt,
	  buildings/asc-bld-info.txt,
	  buildings/parents/_bld_parent_town_498.asctxt,
	  trrobj/_history_trrobj.txt, trrobj/_info_trrobj.txt,
	  trrobj/objects/buildable/ob_hafenbeton_2095.asctxt,
	  trrobj/objects/buildable/ob_hafenmauer_2094.asctxt,
	  trrobj/objects/buildable/obj_crystals_1.asctxt,
	  trrobj/objects/buildable/obj_deepseaminerals.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_401_transport.asctxt,
	  unitsets/mk1/mk1-parent/_parent_402_movement.asctxt,
	  unitsets/mk1/mk1-parent/_parent_409_type_heli.asctxt,
	  unitsets/mk1/mk1-parent/a01_270_fighter_light.asctxt,
	  unitsets/mk1/mk1-parent/a02_271_fighter_medium.asctxt,
	  unitsets/mk1/mk1-parent/a03_272_fighter_heavy.asctxt,
	  unitsets/mk1/mk1-parent/a04_273_dist_fighter.asctxt,
	  unitsets/mk1/mk1-parent/a07_276_bomber_light.asctxt,
	  unitsets/mk1/mk1-parent/a08_277_bomber_med.asctxt,
	  unitsets/mk1/mk1-parent/a09_278_bomber_hvy.asctxt,
	  unitsets/mk1/mk1-parent/a10_279_bomber_stealth.asctxt,
	  unitsets/mk1/mk1-parent/a11_280_bomber_tank.asctxt,
	  unitsets/mk1/mk1-parent/a12_325_tankerplane.asctxt,
	  unitsets/mk1/mk1-parent/a14_327_defplane.asctxt,
	  unitsets/mk1/mk1-parent/a16_329_medium_mixed.asctxt,
	  unitsets/mk1/mk1-parent/a17_330_heavy_mixed.asctxt,
	  unitsets/mk1/mk1-parent/a18_390_stealth_mixed.asctxt,
	  unitsets/mk1/mk1-parent/a19_338_light_vto.asctxt,
	  unitsets/mk1/mk1-parent/a20_339_med_vto.asctxt,
	  unitsets/mk1/mk1-parent/ad04_218_flak3tank.asctxt,
	  unitsets/mk1/mk1-parent/ad11_225_lradslow.asctxt,
	  unitsets/mk1/mk1-parent/h01_380_very_light_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/h02_381_light_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/h03_382_medium_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/h04_383_heavy_helicopter.asctxt,
	  unitsets/mk1/mk1-parent/i13_213_dive_mech.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/sh13_362_smallsub.asctxt,
	  unitsets/mk1/mk1-parent/sh15_364_fightsub.asctxt,
	  unitsets/mk1/mk1-parent/sh16_365_rockettsub.asctxt,
	  unitsets/mk1/mk1-parent/sh19_368_wig.asctxt,
	  unitsets/mk1/mk1-parent/st04_317_defence_turret.asctxt,
	  unitsets/mk1/mk1-parent/t04_293_tank_hvy.asctxt,
	  unitsets/mk1/mk1-parent/t05_294_tank_siege.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_zeppelin.jpg,
	  unitsets/mk1/mk1-shb/mk1s_gasp.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_gunboat.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_gunboat.jpg,
	  unitsets/mk1/mk1-shb/mk1s_homer.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_jellyfish.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_jellyfish.jpg,
	  unitsets/mk1/mk1-shb/mk1s_shark.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_shine.asctxt,
	  unitsets/mk1/mk1-shs/mk1s_ark.asctxt,
	  unitsets/mk1/mk1-shs/mk1s_ark.jpg,
	  unitsets/mk1/mk1-shtu/mk1s_wedge.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_armadillo.asctxt,
	  unitsets/mk1/mk1-train/mk1t_burro.asctxt,
	  unitsets/mk1/mk1-train/mk1t_burro.jpg,
	  unitsets/mk1/mk1-train/mk1t_judy.asctxt,
	  unitsets/mk1/mk1-train/mk1t_judy.jpg,
	  unitsets/mk1/mk1-vfatr/mk1v_ltt.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_adder.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_mbv.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_surveyor.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_surveyor.jpg,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shb/mk3s_arsenal.asctxt,
	  buildings/asc/bld_asc_deepcore.asctxt,
	  buildings/asc/bld_asc_deepcore.pcx,
	  unitsets/mk3/mk3-shb/mk3s_baynunah.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_burke.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_daring.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_dd21.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_iowa.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_meko.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_mirage.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_skjold.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_ticonderoga.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_triton.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_visby.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_p1000.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_pioelite.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_piospecial.asctxt,
	  unitsets/mk3/mk3-vsup/mk3v_volcano.asctxt: [no log message]

2009-04-09 19:58  mbickel

	* source/win32/msvc/: ASC/ASC.vcproj, mapeditor/mapeditor.vcproj,
	  pbpeditor/pbpeditor.vcproj:  Changed include path

2009-04-09 18:05  mbickel

	* data/unittests/: unittest-assaulttank.asctxt,
	  unittest-assaulttank.png, unittest-vehicle-mam.asctxt,
	  unittest-vehicle-mam.png:  Added unittest data

2009-04-09 18:04  mbickel

	* configure, configure.in, installer/asc.nsi, source/spfst.h,
	  source/strtmesg.cpp:	Changed version number

2009-04-09 17:44  mbickel

	* source/spfst.h:  Fixed: wrong view calculation

2009-04-09 16:18  mbickel

	* source/dialogs/editgameoptions.cpp:  Fixed problems with setting
	  screen resolution

2009-04-08 20:31  mbickel

	* asc.kdevelop, source/actions/attackcommand.cpp,
	  source/actions/cargomovecommand.cpp,
	  source/actions/destructunitcommand.cpp,
	  source/actions/putminecommand.cpp,
	  source/actions/servicecommand.cpp:  Cleanup of command outputs

2009-04-08 13:28  mbickel

	* Makefile.in, config.h.in, configure, configure.in,
	  data/Makefile.in, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.in, source/basestrm.h,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.am, source/libs/Makefile.in,
	  source/libs/readme.txt, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.am,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in,
	  source/util/Makefile.in, source/video/Makefile.in,
	  source/widgets/Makefile.in, source/win32/Makefile.in,
	  source/win32/msvc/Makefile.in:  More updates to build system

2009-04-08 12:50  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.am,
	  source/tools/linux/Makefile.in, source/unittests/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in,
	  source/util/Makefile.in, source/video/Makefile.in,
	  source/widgets/Makefile.in, source/win32/Makefile.in,
	  source/win32/msvc/Makefile.in:  Updated build system

2009-04-07 21:15  mbickel

	* configure, configure.in, installer/asc.nsi, source/sg.cpp,
	  source/strtmesg.cpp:	Updated to version 2.2.100.22

2009-04-07 15:31  mbickel

	* asc.kdevelop, source/sg.cpp, source/vehicletype.cpp,
	  source/unittests/attacktest.h, source/unittests/movementtest.h:
	  Updated unit cost calculation formula

2009-04-07 13:43  gamer

	* data/unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt: [no log
	  message]

2009-04-05 18:19  mbickel

	* source/: sg.cpp, dialogs/editgameoptions.cpp,
	  dialogs/editgameoptions.h:  Automatic detection of graphic mode
	  in case default doesn't work

2009-04-05 14:11  mbickel

	* data/unittests/: unittest-attack.map, unittest-movement.map:
	  Added test maps for unit tests

2009-04-05 12:47  mbickel

	* source/sg.cpp:  Removed unit cost list generation

2009-04-05 12:47  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unittests/unittest-transport-mam.asctxt,
	  data/unittests/unittest-transport-mam.png, installer/asc.nsi,
	  scripts/bootstrap.versionmerge, source/asc-mainscreen.cpp,
	  source/attack.cpp, source/attack.h, source/gamemap.cpp,
	  source/mapfield.h, source/mapimageexport.cpp,
	  source/pg_mapdisplay.cpp, source/reactionfire.cpp,
	  source/replaymapdisplay.cpp, source/sg.cpp, source/spfst.cpp,
	  source/spfst.h, source/statistics.cpp, source/strtmesg.cpp,
	  source/unitset.h, source/vehicle.cpp, source/vehicle.h,
	  source/vehicletype.cpp, source/actions/attackcommand.cpp,
	  source/actions/jumpdrivecommand.cpp, source/actions/moveunit.cpp,
	  source/actions/putminecommand.cpp, source/ai/valuation.cpp,
	  source/sdl/sound.cpp, source/unittests/Makefile.am,
	  source/unittests/Makefile.in, source/unittests/attacktest.cpp,
	  source/unittests/attacktest.h, source/unittests/main.cpp,
	  source/unittests/movementtest.cpp,
	  source/unittests/unittestutil.cpp,
	  source/unittests/unittestutil.h, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in:	Added unittest for attack
	   General refactoring

2009-04-04 23:21  mbickel

	* asc.kdevelop, configure, configure.in,
	  data/unittests/unittest-radar.asctxt,
	  data/unittests/unittest-radar.png,
	  data/unittests/unittest-transport.asctxt,
	  data/unittests/unittest-transport.png, source/Makefile.am,
	  source/Makefile.in, source/edglobal.cpp, source/guifunctions.cpp,
	  source/mapfield.cpp, source/reactionfire.cpp,
	  source/reactionfire.h, source/replay.cpp, source/sg.cpp,
	  source/soundList.cpp, source/spfst.cpp, source/turncontrol.cpp,
	  source/turncontrol.h, source/unitctrl.cpp, source/unitctrl.h,
	  source/vehicle.cpp, source/vehicle.h, source/vehicletype.cpp,
	  source/actions/changeunitmovement.cpp,
	  source/actions/changeunitmovement.h,
	  source/actions/jumpdrivecommand.cpp, source/actions/moveunit.cpp,
	  source/actions/moveunitcommand.cpp,
	  source/actions/reactionfireswitchcommand.cpp,
	  source/dialogs/newgame.cpp, source/graphics/surface.cpp,
	  source/unittests/Makefile.am, source/unittests/Makefile.in,
	  source/unittests/main.cpp, source/unittests/movementtest.cpp,
	  source/unittests/movementtest.h,
	  source/unittests/unittestutil.cpp,
	  source/unittests/unittestutil.h, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in:	Implemented unittest for ASC

2009-04-04 14:16  mbickel

	* asc.kdevelop, configure.in, source/statistics.cpp,
	  source/vehicle.cpp, source/actions/spawnobject.cpp:  Fixed:
	  dominant view evaluted non-visible fields too
	   Fixed: wreckage objects were not removed by undo when beneath
	  other unit
	   Fixed: movement reduction of cargo was non-linear

2009-04-02 21:38  mbickel

	* source/vehicletype.cpp:  Fixed compilation error

2009-04-02 20:55  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/autotraining.h, source/sg.cpp, source/vehicletype.cpp,
	  source/vehicletype.h:  Added new vehicle cost formula

2009-03-29 21:59  mbickel

	* source/: statistics.cpp, strtmesg.cpp:  Fixed crash when saving
	  clipboard

2009-03-29 17:53  mbickel

	* source/win32/msvc/ASC/ASC.vcproj:  Update MSVC project files

2009-03-29 16:26  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/autotraining.h, source/buildings.cpp, source/buildings.h,
	  source/containerbase.cpp, source/containerbase.h,
	  source/strtmesg.cpp, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/changecontainerproperty.cpp,
	  source/actions/changecontainerproperty.h,
	  source/actions/repairbuildingcommand.cpp,
	  source/actions/repairbuildingcommand.h,
	  source/dialogs/cargodialog.cpp:  Added RepairBuilding to undo
	  capable actions

2009-03-28 16:43  mbickel

	* source/: clipboard.cpp, clipboard.h, statistics.cpp,
	  statistics.h:  Improved and fixed clipboard statistics

2009-03-28 13:54  mbickel

	* source/: autotraining.cpp, autotraining.h, gamedlg.cpp,
	  gamemap.cpp, gamemap.h, sg.cpp:  Fixed replay problem whith
	  automatic training

2009-03-28 13:34  mbickel

	* source/: autotraining.cpp, autotraining.h, containerbase.cpp,
	  containerbase.h, containercontrols.cpp, containercontrols.h,
	  guifunctions.cpp, replay.cpp, sg.cpp, unitctrl.cpp,
	  actions/Makefile.am, actions/Makefile.in,
	  actions/action-registry.h, actions/servicecommand.cpp,
	  actions/servicecommand.h, actions/servicing.cpp,
	  actions/servicing.h, actions/trainunitcommand.cpp,
	  actions/trainunitcommand.h, dialogs/cargodialog.cpp,
	  unix/asc/Makefile.am, unix/asc/Makefile.in:  Added training to
	  undo-capable actions

2009-03-25 21:10  mbickel

	* asc.kdevelop, source/clipboard.cpp,
	  source/actions/cargomovecommand.cpp:	Fixed crashes on invalid
	  CargoMoveCommand

2009-03-23 23:21  mbickel

	* configure.in:  Updated makefiles

2009-03-22 22:35  mbickel

	* source/: containercontrols.cpp, containercontrols.h, replay.cpp,
	  actions/actioncontainer.cpp, actions/recycleunitcommand.cpp,
	  actions/recycleunitcommand.h, dialogs/cargodialog.cpp:  Fixed:
	  undoing the last action resulted in replay errors

2009-03-22 19:18  mbickel

	* data/message1.txt, source/actions/constructbuildingcommand.cpp:
	  BuildingConstruction now checks against changed environment

2009-03-22 19:00  mbickel

	* asc.kdevelop, configure.in, data/message1.txt,
	  source/guifunctions.cpp, source/actions/putobjectcommand.cpp:
	  Fixed: undo during object creation allowed out-of-range object
	  construction

2009-03-20 15:44  mbickel

	* source/actions/removemine.cpp:  Fixed crash when undoing mine
	  removal

2009-03-20 14:58  mbickel

	* scripts/win32package.pl, source/win32/msvc/ASC/ASC.vcproj:
	  Updated project files

2009-03-20 14:35  mbickel

	* configure, configure.in, installer/asc.nsi, source/strtmesg.cpp:
	  Updated version number

2009-03-20 14:32  mbickel

	* source/: controls.cpp, controls.h, guifunctions.cpp, sg.cpp,
	  statistics.cpp, turncontrol.cpp, unitctrl.cpp,
	  dialogs/newgame.cpp:	Added 'dominant view' to visibility
	  statistics
	   code clean up

2009-03-20 14:15  mbickel

	* data/message1.txt, data/icons/weaponinfo.ascgui,
	  source/edmisc.cpp, source/guifunctions.cpp, source/replay.cpp,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/changeunitproperty.cpp,
	  source/actions/changeunitproperty.h,
	  source/actions/jumpdrive.cpp, source/actions/jumpdrive.h,
	  source/actions/jumpdrivecommand.cpp,
	  source/actions/jumpdrivecommand.h,
	  source/actions/powergenerationswitchcommand.cpp,
	  source/actions/powergenerationswitchcommand.h,
	  source/actions/selfdestruct.cpp, source/actions/selfdestruct.h,
	  source/dialogs/unitinfodialog.cpp:  New commands that are undo
	  capable:
	     switch unit power generation
	     jump drive
	   Fixed: clicking close on UnitInfoDialog caused click on parent
	  dialog

2009-03-19 18:35  mbickel

	* source/: asc-mainscreen.cpp, dialogs/fieldmarker.cpp:  Fixed:
	  positioning cursor through unit locator didn't update action
	  icons
	   Backspace now bound to undo function

2009-03-16 22:40  mbickel

	* source/: viewcalculation.h, actions/constructunitcommand.cpp,
	  actions/spawnunit.cpp:  Fixed: attacked flag not set for newly
	  created turrets
	   Fixed: view not updated for newly created turrets (#388)

2009-03-15 16:57  mbickel

	* source/: actions/action.cpp, actions/spawnunit.cpp,
	  util/messaginghub.h:	Fixed: error when undoing external unit
	  construction

2009-03-15 15:50  mbickel

	* source/: controls.cpp, controls.h, guifunctions.cpp, replay.cpp,
	  actions/Makefile.am, actions/Makefile.in,
	  actions/action-registry.h, actions/constructbuildingcommand.h,
	  actions/destructbuildingcommand.cpp,
	  actions/destructbuildingcommand.h:  Added DestructUnitCommand to
	  Undo

2009-03-14 22:22  mbickel

	* scripts/get-loc-history:  Added script for calculatings
	  historical LinesOfCode

2009-03-14 21:16  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/buildings.cpp, source/gamemap.cpp, source/gamemap.h,
	  source/guifunctions.cpp, source/guifunctions.h,
	  source/replay.cpp, source/spfst.cpp, source/spfst.h,
	  source/strtmesg.cpp, source/typen.h, source/vehicle.cpp,
	  source/vehicle.h, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/constructbuildingcommand.cpp,
	  source/actions/constructbuildingcommand.h,
	  source/actions/spawnbuilding.cpp, source/actions/spawnbuilding.h,
	  source/dialogs/cargodialog.cpp:  Constructing buildings is now
	  covered by undo too

2009-03-14 17:12  mbickel

	* source/gameevents.cpp:  Fixed: weatherchange didn't update the
	  view

2009-03-14 16:46  mbickel

	* installer/asc.nsi, source/dashboard.cpp:  Fixed crash when cursor
	  coordinates not on map

2009-03-10 19:17  mbickel

	* data/buildings/: _history_asc-buildings.txt,
	  asc/bld_asc_lumbercamp.png:  Changed images for lumbercamp and
	  farm (more transparency)

2009-03-10 19:16  mbickel

	* data/buildings/asc/bld_asc_farm.png: [no log message]

2009-03-09 19:10  mbickel

	* asc.kdevelop, configure, configure.in:  Changed version number

2009-03-09 12:03  mbickel

	* asc.kdevelop, configure.in, source/guifunctions.cpp,
	  source/strtmesg.cpp, source/actions/moveunitcommand.cpp:  Fixed:
	  self-destruct of enemy units not possible any more

2009-03-07 18:50  mbickel

	* asc.kdevelop, configure, configure.in, data/main.version,
	  installer/asc.nsi, source/sgstream.cpp, source/strtmesg.cpp:
	  Changed version numbers

2009-03-07 12:21  gamer

	* data/trrobj/objects/buildable/ob_0181forest_growth.asctxt: [no
	  log message]

2009-03-07 11:51  gamer

	* data/: trrobj/objects/buildable/ob_road_1.asctxt,
	  trrobj/parents/_Ptrr521_wueste.asctxt,
	  trrobj/parents/_pobj500_beton.asctxt,
	  trrobj/parents/_pobj501_wiese.asctxt,
	  trrobj/parents/_pobj503_morass.asctxt,
	  trrobj/parents/_pobj504_swamp.asctxt,
	  trrobj/parents/_pobj505_fels_eben.asctxt,
	  trrobj/parents/_pobj506_small_rocks.asctxt,
	  trrobj/parents/_pobj507_large_rocks.asctxt,
	  trrobj/parents/_pobj521_sandloch.asctxt,
	  trrobj/parents/_ptrr500_beton.asctxt,
	  trrobj/parents/_ptrr501_wiese.asctxt,
	  trrobj/parents/_ptrr502_feuchtwiese.asctxt,
	  trrobj/parents/_ptrr503_tiefer_matsch.asctxt,
	  trrobj/parents/_ptrr505_fels_eben.asctxt,
	  trrobj/parents/_ptrr506_fels_uneben.asctxt,
	  trrobj/parents/_ptrr507_fels_sehr_uneben.asctxt,
	  trrobj/parents/_ptrr508_huegel.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_401_transport.asctxt,
	  unitsets/mk1/mk1-parent/ad07_221_samtrain.asctxt,
	  unitsets/mk1/mk1-parent/ad10_224_lradtank.asctxt,
	  unitsets/mk1/mk1-parent/ad11_225_lradslow.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/ro7_302_slow_cm_launcher.asctxt,
	  unitsets/mk1/mk1-parent/sh13_362_smallsub.asctxt,
	  unitsets/mk1/mk1-parent/sh20_369_transportship.asctxt,
	  unitsets/mk1/mk1-parent/sh21_370_armoredtransportship.asctxt,
	  unitsets/mk1/mk1-vad/mk1t_spear.asctxt: [no log message]

2009-03-06 16:16  mbickel

	* asc.kdevelop, configure.in, source/containerbasetype.cpp,
	  source/containerbasetype.h, source/textfiletags.cpp,
	  source/actions/putminecommand.cpp, source/dialogs/admingame.cpp,
	  source/libs/paragui/src/widgets/pgdropdown.cpp:  Added Feature
	  NoMineRemoval
	   Fixed: dropdown couldn't preselect first entry

2009-03-04 21:09  mbickel

	* source/: clipboard.cpp, clipboard.h:	Outputting more data about
	  clipboard files

2009-02-28 19:32  mbickel

	* scripts/win32package.pl, source/strtmesg.cpp,
	  source/win32/msvc/ASC/ASC.vcproj,
	  source/win32/msvc/mapeditor/mapeditor.vcproj,
	  source/win32/msvc/pbpeditor/pbpeditor.vcproj:  Changed version to
	  .14
	   Update MSVC project files

2009-02-28 19:03  mbickel

	* source/: attack.cpp, gameevents.cpp:	Fixed: kamikaze didn't
	  destroy attacking unit when attacking objects or
	     buildings
	   ChangePlayerStatus event can now set supervisor

2009-02-27 22:50  mbickel

	* source/: buildings.cpp, buildings.h, clipboard.cpp, clipboard.h,
	  containerbase.h, edglobal.cpp, edmisc.cpp, statistics.cpp,
	  statistics.h, vehicle.cpp, vehicle.h, unix/asc/Makefile.am,
	  unix/asc/Makefile.in, unix/mapeditor/Makefile.am,
	  unix/mapeditor/Makefile.in, unix/pbpedit/Makefile.am,
	  unix/pbpedit/Makefile.in:  Writing a clipboard file will generate
	  a text file with meta information

2009-02-27 21:48  mbickel

	* source/: player.cpp, actions/changecontainerproperty.cpp:  Global
	  supervisor-password is synchronized to the password of a
	  participating
	     supervisor

2009-02-24 16:50  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/buildings.cpp, source/buildings.h,
	  source/containerbase.cpp, source/containerbase.h,
	  source/guifunctions.cpp, source/strtmesg.cpp,
	  source/unitctrl.cpp, source/vehicle.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/changecontainerproperty.cpp,
	  source/actions/changecontainerproperty.h,
	  source/actions/repairunitcommand.cpp,
	  source/actions/repairunitcommand.h,
	  source/actions/servicecommand.cpp, source/actions/servicing.cpp,
	  source/actions/servicing.h, source/dialogs/cargodialog.cpp:
	  Repairing units is now covered by replay too

2009-02-23 17:10  mbickel

	* data/message1.txt, source/guifunctions.cpp, source/vehicle.cpp,
	  source/vehicle.h, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/cargomovecommand.cpp,
	  source/actions/changeunitproperty.cpp,
	  source/actions/changeunitproperty.h,
	  source/actions/constructunitcommand.cpp,
	  source/actions/containercommand.h,
	  source/actions/destructunitcommand.cpp,
	  source/actions/destructunitcommand.h,
	  source/actions/moveunitcommand.cpp,
	  source/actions/reactionfireswitchcommand.cpp,
	  source/actions/reactionfireswitchcommand.h,
	  source/actions/recycleunitcommand.cpp:  Added enable/disable
	  ReactionFire to Undo-capable actions

2009-02-21 18:28  mbickel

	* data/campaign/standard/: asc007.map, asc008.map, asc009.map,
	  asc010a.map, asc010b.map, asc011.map, asc012.map, asc013.map,
	  asc014.map, asc015.map, asc016.map:  Checked in maps with fixed
	  events (changes by kamor)

2009-02-21 17:43  mbickel

	* source/: guifunctions.cpp, dialogs/cargodialog.cpp:  SuperVisor
	  players can look into other player's buildings and see their
	  income

2009-02-21 16:19  mbickel

	* source/: gamemap.cpp, guifunctions.cpp, replay.cpp, unitctrl.cpp,
	  vehicle.cpp, vehicle.h, actions/Makefile.am, actions/Makefile.in,
	  actions/action-registry.h, actions/moveunitcommand.cpp,
	  actions/recycleunitcommand.h, dialogs/terraininfo.cpp:  Fixed:
	  undo of movement didn't always restore transported unit's
	  movement points
	   SelfDestruct now undo capable

2009-02-19 09:30  gamer

	* data/unitsets/: mk1/mk1-parent/_parent_400_weapon.asctxt,
	  mk1/mk1-parent/_parent_401_transport.asctxt,
	  mk1/mk1-parent/mk1-history.txt,
	  mk1/mk1-parent/o1_230_rocket.asctxt, mk1/mk1-shs/mk1s_fix.asctxt,
	  mk1/mk1-shtu/mk1s_clam.asctxt, mk1/mk1-vsup/mk1v_ant.asctxt,
	  mk1/mk1-vsup/mk1v_mbv.asctxt, mk1/mk1-vsup/mk1v_vesuvius.asctxt,
	  mk3/mk3-orb/mk3o_spaceshuttle.asctxt,
	  mk3/mk3-parent/mk3-history.txt, mk3/mk3-shb/mk3s_sealboat.asctxt,
	  mk3/mk3-shtu/mk3s_lrfive.asctxt,
	  mk3/mk3-view/mk3v_longtrack.asctxt: [no log message]

2009-02-15 17:57  mbickel

	* data/message1.txt, source/actions/spawnobject.cpp,
	  source/actions/spawnobject.h, source/dialogs/cargodialog.cpp:
	  Fixed: undoing a object placement on a field where this
	  objecttype already
	     existed caused the original object to be removed

2009-02-15 17:11  mbickel

	* source/guifunctions.cpp:  Fixed: build unit icon still visible
	  after having build a unit. Press
	     resulted in crash

2009-02-15 17:05  mbickel

	* source/reactionfire.cpp:  Fixed: ReactionFire attack not visible
	  if attacker invisible and attacked
	     unit over undiscovered submarine

2009-02-01 10:56  mbickel

	* asc.kdevelop, source/actions/destructcontainer.cpp:  Fixed crash
	  when undoing unit recycling

2009-01-31 10:38  mbickel

	* asc.kdevelop, source/controls.cpp, source/edglobal.cpp:  Updated
	  build

2009-01-28 21:51  mbickel

	* source/: controls.cpp, actions/convertcontainer.cpp:	Fixed:
	  conquering buildings didn't trigger events
	   Fixed reach info when last research was finished by tech.import
	  and no new techs available

2009-01-28 21:04  mbickel

	* source/: containerbase.cpp, dialogs/cargodialog.cpp:	Fixed:
	  crash when deallocating map
	   Fixed: units could be produced even factory cargo space was full

2009-01-27 21:20  mbickel

	* data/icons/weaponinfo.ascgui:  Fixed typo

2009-01-27 21:15  mbickel

	* data/unitsets/mk1/mk1-tank/mk1v_cobra.pcx:  Centered cobra image

2009-01-24 21:09  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/containerbase.cpp, source/containerbase.h, source/sg.cpp,
	  source/strtmesg.cpp, source/vehicle.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h,
	  source/actions/destructcontainer.cpp,
	  source/actions/destructcontainer.h,
	  source/actions/recycleunitcommand.cpp,
	  source/actions/recycleunitcommand.h,
	  source/dialogs/cargodialog.cpp, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in:	Added RecycleUnitCommand

2009-01-24 17:20  mbickel

	* source/: containercontrols.h, guifunctions.cpp,
	  dialogs/ammotransferdialog.cpp, dialogs/cargodialog.cpp:  Removed
	  legacy code

2009-01-24 12:16  mbickel

	* configure, configure.in, installer/asc.nsi:  new Version

2009-01-23 21:47  mbickel

	* source/: containerbase.cpp, containerbase.h, strtmesg.cpp:  Fixed
	  unused cargo slots being display
	   version number now 2.2.100.11

2009-01-21 00:20  mbickel

	* source/actions/removemine.cpp:  Fixed crash when undoing mine
	  removal

2009-01-19 22:11  mbickel

	* source/actions/: destructcontainer.cpp,
	  unitfieldregistration.cpp:  Fixed: undo of unit destruction not
	  always working

2009-01-18 20:59  mbickel

	* source/vehicle.cpp:  Changed formula for fuel consumption
	  calculation of hoovering planes

2009-01-18 17:18  mbickel

	* scripts/win32package.pl, source/strtmesg.cpp,
	  source/actions/consumeammo.cpp, source/win32/msvc/ASC/ASC.vcproj,
	  source/win32/msvc/mapeditor/mapeditor.vcproj,
	  source/win32/msvc/pbpeditor/pbpeditor.vcproj:  Win32 compilation,
	  new version number

2009-01-18 15:36  mbickel

	* data/message1.txt, source/attack.cpp, source/dialog.cpp,
	  source/dialog.h, source/explosivemines.cpp,
	  source/gameevents.cpp, source/gamemap.cpp, source/gamemap.h,
	  source/guifunctions.cpp, source/loaders.cpp,
	  source/paradialog.cpp, source/paradialog.h, source/typen.cpp,
	  source/typen.h, source/vehicle.cpp, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/consumeammo.cpp,
	  source/actions/consumeammo.h, source/actions/containeraction.cpp,
	  source/actions/containeraction.h,
	  source/actions/servicecommand.cpp,
	  source/actions/servicecommand.h, source/actions/servicing.cpp,
	  source/actions/servicing.h, source/actions/spawnunit.cpp,
	  source/actions/spawnunit.h,
	  source/dialogs/ammotransferdialog.cpp,
	  source/dialogs/ammotransferdialog.h,
	  source/dialogs/cargodialog.cpp:  Refuelling is now covered by
	  Undo too

2009-01-17 22:54  mbickel

	* data/message1.txt, source/basestrm.h, source/basetemp.h,
	  source/edmisc.cpp, source/reactionfire.cpp,
	  source/reactionfire.h, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/cargomovecommand.cpp,
	  source/actions/cargomovecommand.h,
	  source/actions/servicecommand.cpp,
	  source/actions/servicecommand.h, source/actions/servicing.cpp,
	  source/actions/servicing.h:  Added Service to Commands

2009-01-17 16:16  mbickel

	* source/actions/: cargomovecommand.cpp, unitfieldregistration.cpp,
	  unitfieldregistration.h:  Bugfixing

2009-01-17 15:54  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/containercontrols.cpp, source/containercontrols.h,
	  source/replay.cpp, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/cargomovecommand.cpp,
	  source/actions/cargomovecommand.h,
	  source/actions/constructunitcommand.h,
	  source/dialogs/cargodialog.cpp:  Added CargoMove to undo
	  functions
	   Undo/Redo now in CargoDialog too

2009-01-17 13:50  mbickel

	* source/: replay.cpp, strtmesg.cpp, actions/actioncontainer.cpp,
	  actions/actioncontainer.h:  Fixed replay problems with command

2009-01-17 10:18  mbickel

	* data/icons/actioninfo.ascgui:  added Actioninfo

2009-01-13 21:34  mbickel

	* source/: guifunctions.cpp, terraintype.cpp, terraintype.h,
	  actions/spawnunit.cpp, dialogs/terraininfo.cpp:  Improved
	  messages if turrets are not constructable
	   Fixed: newly produced units could immediately move

2009-01-12 20:02  mbickel

	* asc.kdevelop, source/containerbase.cpp, source/strtmesg.cpp,
	  source/ai/tactics.cpp:  Fixed crash in AI unit production
	   Fixed potential crash in AI when moving unit is destroyed

2009-01-11 18:25  mbickel

	* scripts/win32package.pl:  added helper script

2009-01-11 17:33  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/strtmesg.cpp, source/actions/moveunit.cpp,
	  source/dialogs/cargowidget.cpp:  Fixed: reaction fire was
	  attacking units although they were not attackable
	   Fixed: scolling in cargo dialog did not work

2009-01-11 14:08  mbickel

	* source/dialogs/cargowidget.cpp:  Reformatted source

2009-01-10 14:27  mbickel

	* data/campaign/tutorial/tutorial.asccampaign:	Fixed
	  Umlaut-encoding

2009-01-09 21:50  mbickel

	* data/files.txt, data/campaign/tutorial/tut000.map,
	  data/campaign/tutorial/tut001.map,
	  data/campaign/tutorial/tut002.map,
	  data/campaign/tutorial/tut003.map,
	  data/campaign/tutorial/tut004.map,
	  data/campaign/tutorial/tut005.map,
	  data/campaign/tutorial/tut006.map,
	  data/campaign/tutorial/tut007.map,
	  data/campaign/tutorial/tut008.map,
	  data/campaign/tutorial/tut009.map,
	  data/campaign/tutorial/tut010.map,
	  data/campaign/tutorial/tut011.map,
	  data/campaign/tutorial/tut012.map,
	  data/campaign/tutorial/tut013.map,
	  data/campaign/tutorial/tut014.map,
	  data/campaign/tutorial/tut015.map,
	  data/campaign/tutorial/tut016.map,
	  data/campaign/tutorial/tut017.map,
	  data/campaign/tutorial/tut018.map,
	  data/campaign/tutorial/tut019.map,
	  data/campaign/tutorial/tut020.map,
	  data/campaign/tutorial/tut021.map,
	  data/campaign/tutorial/tut022.map,
	  data/campaign/tutorial/tut023.map,
	  data/campaign/tutorial/tut024.map,
	  data/campaign/tutorial/tut025.map,
	  data/campaign/tutorial/tut030.map,
	  data/campaign/tutorial/tutorial.asccampaign, source/sg.cpp,
	  source/actions/action.h, source/actions/command.h:  Added Kamor's
	  Tutorial campaign
	   Improved source code documentation

2009-01-09 17:21  mbickel

	* source/win32/msvc/ASC/ASC.vcproj:  Updated visual studio project
	  files

2009-01-09 16:41  mbickel

	* configure, configure.in, installer/asc.nsi, source/strtmesg.cpp:
	  Incread version number

2009-01-09 16:39  mbickel

	* source/: containercontrols.cpp, containercontrols.h, controls.h,
	  vehicle.cpp, vehicle.h, ai/misc.cpp:	AI uses
	  ConstructUNitCommand
	   Removed legacy code

2009-01-09 16:08  mbickel

	* data/message1.txt, source/containercontrols.cpp,
	  source/containercontrols.h, source/guiiconhandler.cpp,
	  source/guiiconhandler.h, source/actions/action-registry.h,
	  source/actions/constructunitcommand.cpp,
	  source/actions/constructunitcommand.h,
	  source/actions/containercommand.cpp,
	  source/actions/spawnunit.cpp, source/actions/spawnunit.h,
	  source/actions/unitfieldregistration.cpp,
	  source/actions/unitfieldregistration.h, source/ai/misc.cpp,
	  source/dialogs/cargodialog.cpp:  Internal unit production now
	  also uses command pattern

2009-01-08 22:21  mbickel

	* data/message1.txt, source/buildings.cpp,
	  source/containercontrols.cpp, source/containercontrols.h,
	  source/guifunctions.cpp, source/sg.cpp, source/textfiletags.cpp,
	  source/unitctrl.cpp, source/vehicle.cpp, source/vehicle.h,
	  source/vehicletype.cpp, source/vehicletype.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/changeunitmovement.h,
	  source/actions/constructunitcommand.cpp,
	  source/actions/constructunitcommand.h,
	  source/actions/servicing.cpp, source/actions/spawnunit.cpp,
	  source/actions/spawnunit.h, source/ai/misc.cpp,
	  source/ai/service.cpp, source/dialogs/cargodialog.cpp,
	  source/dialogs/internalAmmoTransferDialog.cpp,
	  source/dialogs/vehicleproductionselection.cpp,
	  source/dialogs/vehicleproductionselection.h,
	  source/dialogs/vehicletypeselector.cpp,
	  source/dialogs/vehicletypeselector.h, source/tools/maketank.cpp,
	  source/tools/weaponguide_english.cpp:  Converted unit
	  construction to command mechanism (net yet complete)

2009-01-07 19:45  mbickel

	* configure, configure.in, data/message1.txt, installer/asc.nsi,
	  source/buildings.cpp, source/buildings.h, source/containerbase.h,
	  source/containerbasetype.h, source/containercontrols.cpp,
	  source/containercontrols.h, source/gamemap.cpp, source/gamemap.h,
	  source/guifunctions.cpp, source/vehicle.h,
	  source/vehicletype.cpp, source/vehicletype.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/constructunitcommand.cpp,
	  source/actions/constructunitcommand.h,
	  source/actions/containercommand.cpp,
	  source/actions/containercommand.h, source/dialogs/Makefile.am,
	  source/dialogs/Makefile.in, source/dialogs/cargodialog.cpp,
	  source/dialogs/vehicleproductionselection.cpp,
	  source/dialogs/vehicleproductionselection.h,
	  source/libs/paragui/include/pgtooltiphelp.h:	Start of
	  implementing Command for unit construction

2009-01-06 23:20  mbickel

	* source/messagedlg.cpp:  Cursor positioning in message dialog

2009-01-03 23:13  mbickel

	* asc.kdevelop, source/attack.cpp, source/buildings.cpp,
	  source/buildings.h, source/buildingtype.cpp,
	  source/buildingtype.h, source/containerbase.cpp,
	  source/containerbase.h, source/containerbasetype.h,
	  source/controls.cpp, source/gameevents.cpp,
	  source/guifunctions.cpp, source/mapdisplay.cpp,
	  source/replay.cpp, source/spfst.cpp, source/strtmesg.cpp,
	  source/vehicle.cpp, source/vehicletype.h,
	  source/viewcalculation.cpp, source/actions/attackcommand.cpp,
	  source/actions/vehicleattack.cpp, source/ai/valuation.cpp,
	  source/dialogs/cargodialog.cpp, source/tools/infopage.cpp:
	  Fixed: replay errors for attack commands
	   Fixed: wrong production availability for units with height
	  change
	   Fixed: movement indication from carriers only with a single
	  color
		  (no indication of indirect access)
	   Fixed memory leaks

2008-12-31 13:57  mbickel

	* source/guifunctions.cpp:  Fixed missing map repaint after
	  cancelling object construction

2008-12-29 20:25  mbickel

	* source/: sg.cpp, strtmesg.cpp, actions/putminecommand.cpp,
	  win32/msvc/ASC/ASC.vcproj:  FIxed: mines were always layed at a
	  distance of 1, regardless of unit spec

2008-12-29 17:14  mbickel

	* Makefile.in, asc.kdevelop, configure, configure.in,
	  data/Makefile.in, data/dialog/Makefile.in,
	  data/icons/Makefile.in, data/music/Makefile.in,
	  data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.in, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Added
	  test for zip program to configure

2008-12-29 12:24  mbickel

	* source/win32/msvc/: mapeditor/mapeditor.vcproj,
	  pbpeditor/pbpeditor.vcproj:  Updated project files

2008-12-29 11:51  mbickel

	* source/dialogs/: edittechadapter.cpp, edittechadapter.h:  New
	  dialog for editing TechAdapters

2008-12-29 11:50  mbickel

	* asc.kdevelop, configure, configure.in, installer/asc.nsi,
	  source/asc-mainscreen.cpp, source/attack.cpp,
	  source/containercontrols.cpp, source/dashboard.cpp,
	  source/edmain.cpp, source/edmisc.cpp, source/gamemap.cpp,
	  source/guifunctions.cpp, source/research.cpp, source/research.h,
	  source/strtmesg.cpp, source/vehicle.cpp,
	  source/actions/action.cpp, source/actions/putminecommand.cpp,
	  source/actions/removemine.cpp, source/ai/valuation.cpp,
	  source/dialogs/Makefile.am, source/dialogs/Makefile.in,
	  source/dialogs/admingame.cpp,
	  source/dialogs/productionanalysis.cpp,
	  source/dialogs/unitinfodialog.cpp,
	  source/network/simple_file_transfer.cpp:  Fixed: wrong ammo
	  change for defending units
	   Fixed: missing movement decrease for removing mines
	   Fixed: invalid movement decrease when attacking with enabled RF

2008-12-27 19:51  mbickel

	* configure, configure.in, installer/asc.nsi:  Updated version

2008-12-27 19:16  mbickel

	* source/: strtmesg.cpp, actions/action.cpp,
	  actions/viewregistration.cpp:  Fixed wrong serialization of
	  PutObj Command

2008-12-22 19:59  mbickel

	* source/: asc-mainscreen.cpp, win32/msvc/ASC/ASC.vcproj,
	  win32/msvc/mapeditor/mapeditor.vcproj,
	  win32/msvc/pbpeditor/pbpeditor.vcproj:  Fixed keyboard shortcut
	  redo

2008-12-22 19:45  mbickel

	* source/actions/command.h:  Fixed typo

2008-12-22 18:33  mbickel

	* configure, configure.in, installer/asc.nsi,
	  source/containerbase.cpp, source/gamedlg.cpp, source/gamemap.cpp,
	  source/guifunctions.cpp, source/replay.cpp, source/strtmesg.cpp,
	  source/viewcalculation.cpp, source/viewcalculation.h,
	  source/actions/Makefile.am, source/actions/Makefile.in,
	  source/actions/action-registry.h,
	  source/actions/putobjectcommand.cpp,
	  source/actions/unitfieldregistration.cpp,
	  source/actions/unitfieldregistration.h,
	  source/actions/viewregistration.cpp,
	  source/actions/viewregistration.h, source/ai/buildingcapture.cpp,
	  source/ai/misc.cpp, source/ai/service.cpp,
	  source/ai/strategy.cpp, source/ai/tactics.cpp,
	  source/dialogs/newgame.cpp:  Fixed view calculation on object
	  construction
	   Changed map version counter => incompatible maps

2008-12-22 16:26  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.in, source/actions/Makefile.in,
	  source/actions/putobjectcommand.cpp, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  More
	  fixes to build system

2008-12-21 19:15  mbickel

	* source/: Makefile.am, Makefile.in:  Updated build system

2008-12-20 21:03  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.am, source/Makefile.in,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tester/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Updated
	  build system in regard to LUA

2008-12-20 20:46  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  source/Makefile.in, source/actions/Makefile.in,
	  source/ai/Makefile.in, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/doc/Makefile.in,
	  source/docs/Makefile.in, source/docs/en/Makefile.in,
	  source/graphics/Makefile.in, source/libs/Makefile.in,
	  source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.in,
	  source/network/Makefile.in, source/sdl/Makefile.in,
	  source/tasks/Makefile.in, source/tester/Makefile.in,
	  source/tools/Makefile.in, source/tools/lib/Makefile.in,
	  source/tools/linux/Makefile.in, source/unix/Makefile.in,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/util/Makefile.in,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/msvc/Makefile.in:  Updated
	  lua detection in build system

2008-12-20 19:26  mbickel

	* data/campaign/nos/nos.asccampaign, source/asc-mainscreen.cpp,
	  source/asc-mainscreen.h, source/dashboard.cpp,
	  source/dashboard.h, source/doxygen.config, source/sg.cpp,
	  source/sg.h, source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h,
	  source/actions/attackcommand.cpp,
	  source/actions/moveunitcommand.cpp,
	  source/actions/putminecommand.cpp,
	  source/actions/putobjectcommand.cpp,
	  source/actions/unitcommand.cpp, source/actions/unitcommand.h,
	  source/dialogs/newgame.cpp:  Added Redo
	   Added ActionPanel
	   Fixed: campaigns had replay enabled when started through NewGame
	  dialog
	   NOS campaign can now be started on Linux (had wrong case for
	  filenames)

2008-12-20 17:37  mbickel

	* source/tools/win/: demount.vcproj, mount.vcproj:  Compilable for
	  windows again

2008-12-20 15:25  mbickel

	* Makefile.in, asc.kdevelop, config.h.in, configure, configure.in,
	  ylwrap, data/Makefile.in, data/message1.txt,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.am, source/Makefile.in,
	  source/asc-mainscreen.cpp, source/asc-mainscreen.h,
	  source/astar2.cpp, source/astar2.h, source/attack.cpp,
	  source/attack.h, source/basegfx.cpp, source/basestrm.cpp,
	  source/basestrm.h, source/buildings.cpp, source/buildings.h,
	  source/buildingtype.h, source/containerbase-functions.cpp,
	  source/containerbase.cpp, source/containerbase.h,
	  source/controls.cpp, source/controls.h, source/dialog.cpp,
	  source/dialog.h, source/dlg_box.cpp, source/dlgraph.cpp,
	  source/doxygen.config, source/edgen.cpp, source/edmisc.cpp,
	  source/edselfnt.cpp, source/events.h, source/explosivemines.cpp,
	  source/explosivemines.h, source/factory.h, source/gameevents.cpp,
	  source/gameevents.h, source/gameeventsystem.cpp,
	  source/gameeventsystem.h, source/gamemap.cpp, source/gamemap.h,
	  source/guifunctions-interface.h, source/guifunctions.cpp,
	  source/guiiconhandler.cpp, source/guiiconhandler.h,
	  source/iconrepository.cpp, source/itemrepository.cpp,
	  source/legacynetworkloaders.cpp, source/loaders.cpp,
	  source/loaders.h, source/mainscreenwidget.h,
	  source/mapdisplayinterface.h, source/maped-mainscreen.cpp,
	  source/mapfield.cpp, source/mapfield.h, source/messaginghub.cpp,
	  source/messaginghub.h, source/misc.h, source/networkinterface.h,
	  source/objects.cpp, source/objects.h, source/objecttype.cpp,
	  source/paradialog.cpp, source/paradialog.h, source/player.cpp,
	  source/prehistoricevents.cpp, source/reactionfire.cpp,
	  source/reactionfire.h, source/replay.cpp, source/replay.h,
	  source/resourcenet.cpp, source/sg.cpp, source/sg.h,
	  source/sgstream.cpp, source/spfst.cpp, source/spfst.h,
	  source/stdio-errorhandler.cpp, source/strtmesg.cpp,
	  source/typen.cpp, source/typen.h, source/unitctrl.cpp,
	  source/unitctrl.h, source/vehicle.cpp, source/vehicle.h,
	  source/viewcalculation.cpp, source/viewcalculation.h,
	  source/windowing.cpp, source/actions/Makefile.am,
	  source/actions/Makefile.in, source/actions/action-registry.h,
	  source/actions/action.cpp, source/actions/action.h,
	  source/actions/actioncontainer.cpp,
	  source/actions/actioncontainer.h,
	  source/actions/actionresult.cpp, source/actions/actionresult.h,
	  source/actions/attackcommand.cpp, source/actions/attackcommand.h,
	  source/actions/changecontainerproperty.cpp,
	  source/actions/changecontainerproperty.h,
	  source/actions/changeobjectproperty.cpp,
	  source/actions/changeobjectproperty.h,
	  source/actions/changeunitmovement.cpp,
	  source/actions/changeunitmovement.h,
	  source/actions/changeunitproperty.cpp,
	  source/actions/changeunitproperty.h,
	  source/actions/changeview.cpp, source/actions/changeview.h,
	  source/actions/command.cpp, source/actions/command.h,
	  source/actions/consumeammo.cpp, source/actions/consumeammo.h,
	  source/actions/consumeglobalresource.cpp,
	  source/actions/consumeglobalresource.h,
	  source/actions/consumeresource.cpp,
	  source/actions/consumeresource.h,
	  source/actions/containeraction.cpp,
	  source/actions/containeraction.h, source/actions/context.cpp,
	  source/actions/context.h, source/actions/convertcontainer.cpp,
	  source/actions/convertcontainer.h,
	  source/actions/destructcontainer.cpp,
	  source/actions/destructcontainer.h,
	  source/actions/discoverresources.cpp,
	  source/actions/discoverresources.h,
	  source/actions/inflictdamage.cpp, source/actions/inflictdamage.h,
	  source/actions/jumpdrive.cpp, source/actions/jumpdrive.h,
	  source/actions/moveunit.cpp, source/actions/moveunit.h,
	  source/actions/moveunitcommand.cpp,
	  source/actions/moveunitcommand.h,
	  source/actions/putminecommand.cpp,
	  source/actions/putminecommand.h,
	  source/actions/putobjectcommand.cpp,
	  source/actions/putobjectcommand.h,
	  source/actions/registerunitrftarget.cpp,
	  source/actions/registerunitrftarget.h,
	  source/actions/removemine.cpp, source/actions/removemine.h,
	  source/actions/removeobject.cpp, source/actions/removeobject.h,
	  source/actions/spawnmine.cpp, source/actions/spawnmine.h,
	  source/actions/spawnobject.cpp, source/actions/spawnobject.h,
	  source/actions/unitaction.cpp, source/actions/unitaction.h,
	  source/actions/unitcommand.cpp, source/actions/unitcommand.h,
	  source/actions/unitfieldregistration.cpp,
	  source/actions/unitfieldregistration.h,
	  source/actions/vehicleattack.cpp, source/actions/vehicleattack.h,
	  source/ai/Makefile.in, source/ai/ai.h, source/ai/base.cpp,
	  source/ai/misc.cpp, source/ai/tactics.cpp,
	  source/ai/valuation.cpp, source/clparser/Makefile.in,
	  source/dialogs/Makefile.in, source/dialogs/cargodialog.cpp,
	  source/dialogs/cargowidget.cpp, source/dialogs/eventeditor.cpp,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/graphics/surface.cpp, source/graphics/surface2png.cpp,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in,
	  source/libs/sdlmm/SDLmm/SDLmm.vcproj,
	  source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/lua/Makefile.am,
	  source/lua/Makefile.in, source/lua/binder.cpp,
	  source/lua/binder.h, source/lua/luarunner.cpp,
	  source/lua/luarunner.h, source/lua/luastate.cpp,
	  source/lua/luastate.h, source/network/Makefile.in,
	  source/network/pbem-server-dummy.cpp, source/sdl/Makefile.in,
	  source/sdl/events.cpp, source/sdl/graphics.cpp,
	  source/tasks/Makefile.am, source/tasks/Makefile.in,
	  source/tasks/task.cpp, source/tasks/task.h,
	  source/tasks/task_generator.cpp, source/tasks/task_generator.h,
	  source/tasks/unitattack.cpp, source/tasks/unitattack.h,
	  source/tasks/unitattack_generator.cpp,
	  source/tasks/unitattack_generator.h, source/tasks/unittask.cpp,
	  source/tasks/unittask.h, source/tasks/unittask_generator.cpp,
	  source/tasks/unittask_generator.h, source/tester/Makefile.am,
	  source/tester/Makefile.in, source/tester/parser.cpp,
	  source/tester/parser.h, source/tester/parser.y,
	  source/tester/scanner.cpp, source/tester/scanner.h,
	  source/tester/scannerwrapper.cpp, source/tester/scannerwrapper.h,
	  source/tester/testmain.cpp, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.am,
	  source/tools/linux/Makefile.in, source/tools/win/tools.vcproj,
	  source/tools/win/weaponguide.vcproj, source/unix/Makefile.in,
	  source/unix/asc/Makefile.am, source/unix/asc/Makefile.in,
	  source/unix/mapeditor/Makefile.am,
	  source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.am, source/unix/pbpedit/Makefile.in,
	  source/util/Makefile.am, source/util/Makefile.in,
	  source/util/factory.h, source/util/factorywithnames.h,
	  source/util/messaginghub.cpp, source/util/messaginghub.h,
	  source/video/Makefile.in, source/widgets/Makefile.in,
	  source/win32/Makefile.in, source/win32/win32-errormsg.cpp,
	  source/win32/msvc/Makefile.in, source/win32/msvc/ASC/ASC.vcproj,
	  source/win32/msvc/mapeditor/mapeditor.vcproj,
	  source/win32/msvc/pbpeditor/pbpeditor.vcproj:  Merged Undo-Branch
	  into Trunk

2008-12-14 16:52  mbickel

	* source/doxygen.config:  Fixed doxygen skiplist

2008-12-14 14:18  mbickel

	* ChangeLog:  Updated ChangeLog

2008-12-14 12:22  mbickel

	* source/doxygen.config:  Removed loki from doxygen generation

2008-12-13 21:05  mbickel

	* installer/asc.nsi.in:  Updated installer with new DLL

2008-12-13 17:44  mbickel

	* source/libs/revel/avilib.c:  Removed (obviously) unnecessary
	  malloc.h include

2008-12-13 17:10  mbickel

	* configure, configure.in, installer/asc.nsi, source/strtmesg.cpp:
	  Updated version number

2008-11-30 12:04  mbickel

	* source/: baseaiinterface.h, gamemap.cpp, sg.cpp, strtmesg.cpp,
	  turncontrol.cpp, ai/ai.h, ai/base.cpp, dialogs/choosetech.cpp:
	  Fixed crash when starting game with AI player through command
	  line
	   Added keyboard shortcuts to research dialog

2008-11-26 21:23  mbickel

	* source/asc-mainscreen.cpp:  Fixed: view overlay exposed invisible
	  units

2008-11-23 19:16  mbickel

	* source/: sgstream.cpp, widgets/textrenderer.cpp:  Updated
	  required version files
	   Fixed textrenderer slowdown on update

2008-11-23 14:26  mbickel

	* configure, configure.in, data/files.txt, installer/asc.nsi,
	  source/strtmesg.cpp, source/tools/mount.cpp:	Updated build
	  system

2008-11-23 10:34  mbickel

	* data/files.txt, data/main.version,
	  data/campaign/nos/nos.asccampaign,
	  data/campaign/standard/standard.asccampaign, source/sg.cpp:
	  Updated version counter
	   Added campaign description files

2008-11-23 00:10  mbickel

	* data/campaign/kamor/: kam006.map, kamor.asccampaign:	Updated
	  kam006 and added kamor campaign description file

2008-11-22 13:28  mbickel

	* source/: controls.cpp, gameevent_dialogs.cpp,
	  gameevent_dialogs.h, strtmesg.cpp, dialogs/choosetech.cpp:
	  Rewrote NewUnitAvailable dialog
	   Some UI improvements regarding research

2008-11-17 17:15  mbickel

	* installer/asc.nsi, source/edmisc.cpp:  Fixed incorrect  memory
	  freeing

2008-11-13 12:34  mbickel

	* source/: strtmesg.cpp, dialogs/cargowidget.cpp:  Added new
	  information to cargo widget: CargoBar + MaterialBar

2008-11-12 20:28  mbickel

	* source/dialogs/: cargodialog.cpp, cargowidget.cpp,
	  messagedialog.cpp:  Optimized cargo dialog

2008-11-11 20:52  mbickel

	* data/icons/curshex.png:  Updated Cursor

2008-11-09 19:30  mbickel

	* data/icons/markedfield.png:  Updated icon for marked field

2008-11-08 15:54  mbickel

	* data/icons/curshex.png, data/icons/curshex3.png,
	  data/icons/curshex4.png, data/icons/fieldcontainermarker.png,
	  data/icons/markedfield-blue.png, data/icons/markedfield-red.png,
	  data/icons/markedfield-red2.png, data/icons/markedfield.png,
	  data/icons/markedfielddark.png, data/icons/mouse.png,
	  source/mapdisplay.cpp, source/strtmesg.cpp:  Exchanged several
	  icons (thanks SmokinMan) and switched code to load PNGs

2008-11-07 22:49  mbickel

	* source/replay.cpp:  Removed debug code

2008-11-06 23:00  mbickel

	* source/strtmesg.cpp:	Updated version counter

2008-11-06 22:45  mbickel

	* source/: ai/misc.cpp, dialogs/messagedialog.cpp:  Fixed crash in
	  AI

2008-10-27 09:40  gamer

	* data/: trrobj/_history_trrobj.txt,
	  trrobj/objects/landscape/obj_crater_6.asctxt,
	  trrobj/objects/landscape/obj_mountain64_plateau.asctxt,
	  trrobj/terrain/trr_water_blue_ocean.asctxt,
	  unitsets/mk1/mk1-for/pbp_fa13_laser.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/ro7_302_slow_cm_launcher.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang.jpg,
	  unitsets/mk1/mk1-sta/mk1b_mgnest.png,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-sta/mk3b_mg_nest.png: [no log message]

2008-10-15 10:51  gamer

	* data/: buildings/_history_asc-buildings.txt, files.txt,
	  trrobj/_filter_asc_terrain.asctxt, trrobj/_history_trrobj.txt,
	  trrobj/_info_trrobj.txt, trrobj/legacy/_deposits_filter.asctxt,
	  trrobj/legacy/bit_0299sw_p1208.asctxt,
	  trrobj/legacy/bit_0301w_blue_p1208.asctxt,
	  trrobj/legacy/bit_0302dw_blue_p1208.asctxt,
	  trrobj/objects/buildable/ob_0009path.asctxt,
	  trrobj/objects/buildable/ob_0982_atombrand200.asctxt,
	  trrobj/objects/buildable/ob_2097_lavadefense.asctxt,
	  trrobj/objects/buildable/ob_hafenbeton_2095.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_999.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_big_995.asctxt,
	  trrobj/objects/buildable/ob_road_bridge_1000.asctxt,
	  trrobj/objects/buildable/obj_crystals_1.asctxt,
	  trrobj/objects/landscape/ob_coast_blue.asctxt,
	  trrobj/objects/landscape/ob_coast_blue.png,
	  trrobj/objects/landscape/ob_river_blue.asctxt,
	  trrobj/objects/landscape/ob_river_blue.png,
	  trrobj/objects/landscape/obj_bushes_1.asctxt,
	  trrobj/objects/landscape/obj_ruin_1.asctxt,
	  trrobj/objects/landscape/obj_ruin_2.asctxt,
	  trrobj/objects/landscape/obj_ruin_3.asctxt,
	  trrobj/objects/landscape/obj_ruin_4.asctxt,
	  trrobj/parents/_pobj512_installation.asctxt,
	  trrobj/parents/_pobj519_lava.asctxt,
	  unitsets/mk1/mk1-for/pbp_fa15_jumpdrive.asctxt,
	  unitsets/mk1/mk1-for/pbp_set_mk1.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_tupi.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_tupi.jpg,
	  unitsets/mk1/mk1-orb/mk1t_spor.asctxt,
	  unitsets/mk1/mk1-orb/mk1t_spor.jpg,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_402_movement.asctxt,
	  unitsets/mk1/mk1-parent/_parent_403_type_bunker.asctxt,
	  unitsets/mk1/mk1-parent/_parent_416_bike_type.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/mk1.set,
	  unitsets/mk1/mk1-pbat/mk1a_arrow.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_arrow.jpg,
	  unitsets/mk1/mk1-pbat/mk1a_bang.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_bang.jpg,
	  unitsets/mk1/mk1-shb/mk1s_streak.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_streak.jpg,
	  unitsets/mk1/mk1-shb/mk1s_tide.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_tide.jpg,
	  unitsets/mk1/mk1-shtu/mk1s_wedge.jpg,
	  unitsets/mk1/mk1-sta/mk1b_mgnest.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_mgnest.png,
	  unitsets/mk1/mk1-tank/mk1v_armadillo.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_armadillo.jpg,
	  unitsets/mk1/mk1-tank/mk1v_termite.asctxt,
	  unitsets/mk1/mk1-train/mk1t_flux.asctxt,
	  unitsets/mk1/mk1-train/mk1t_flux.jpg,
	  unitsets/mk1/mk1-vad/mk1t_spear.asctxt,
	  unitsets/mk1/mk1-vad/mk1t_spear.jpg,
	  unitsets/mk1/mk1-vad/mk1v_swatter.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_swatter.jpg,
	  unitsets/mk1/mk1-vad/mk1v_swatterii.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_swatterii.jpg,
	  unitsets/mk1/mk1-vari/mk1t_rotos.asctxt,
	  unitsets/mk1/mk1-vari/mk1t_rotos.jpg,
	  unitsets/mk1/mk1-vari/mk1v_blackout.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_coma.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaiii.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_ltt.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_ltt.jpg,
	  unitsets/mk1/mk1-view/mk1a_scope.asctxt,
	  unitsets/mk1/mk1-vrok/mk1t_follow.asctxt,
	  unitsets/mk1/mk1-vrok/mk1t_follow.jpg,
	  trrobj/terrain/t50000.asctxt, trrobj/terrain/t50000.png,
	  trrobj/terrain/t50001.asctxt,
	  trrobj/terrain/trr_water_blue_dw.png,
	  trrobj/terrain/trr_water_blue_dw_0302.asctxt,
	  trrobj/terrain/trr_water_blue_ocean.asctxt,
	  trrobj/terrain/trr_water_blue_ocean.png,
	  trrobj/terrain/trr_water_blue_sw.png,
	  trrobj/terrain/trr_water_blue_sw_0299.asctxt,
	  trrobj/terrain/trr_water_blue_vsw.asctxt,
	  trrobj/terrain/trr_water_blue_vsw.png,
	  trrobj/terrain/trr_water_blue_w.png,
	  trrobj/terrain/trr_water_blue_w_0301.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_adder.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_adder.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_bolt.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_bolt.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_cosinus.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_cosinus.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_forest.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_forest.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_mbv.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_mbv.jpg,
	  unitsets/mk3/mk3-for/pbp_set_mk3.asctxt,
	  unitsets/mk3/mk3-orb/mk3b_anger.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shb/mk3s_arsenal.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_dd21.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_meko.asctxt,
	  unitsets/mk3/mk3-sta/mk3b_mg_nest.png, trrobj/terrain/t50001.png,
	  trrobj/terrain/t50002.asctxt, trrobj/terrain/t50002.png,
	  trrobj/terrain/t50005.asctxt, trrobj/terrain/t50005.png,
	  trrobj/terrain/t50011.asctxt, trrobj/terrain/t50011.png,
	  trrobj/terrain/t50012.asctxt, trrobj/terrain/t50012.png,
	  trrobj/terrain/t50013.asctxt, trrobj/terrain/t50013.png: [no log
	  message]

2008-09-13 18:15  gamer

	* data/trrobj/objects/buildable/ob_2508_channel.asctxt: [no log
	  message]

2008-09-13 17:58  gamer

	* data/trrobj/: _history_trrobj.txt,
	  objects/buildable/ob_0983_lava_10.asctxt,
	  objects/buildable/ob_2097_lavadefense.asctxt,
	  objects/buildable/ob_2508_channel.asctxt,
	  objects/buildable/ob_2508_channel.png: [no log message]

2008-09-13 15:51  gamer

	* data/: buildings/_history_asc-buildings.txt, main.version,
	  buildings/asc/bld_asc_duellresearch10.asctxt,
	  buildings/asc/bld_asc_jammer.asctxt,
	  buildings/asc/bld_asc_port_gn.asctxt,
	  buildings/asc/bld_asc_radar.asctxt,
	  buildings/asc/bld_asc_town.asctxt,
	  buildings/parents/_bld_parent_town_498.asctxt,
	  trrobj/_history_trrobj.txt,
	  trrobj/legacy/min_0078wreck3_p_.asctxt,
	  trrobj/objects/buildable/ob_0010ditch.asctxt,
	  trrobj/objects/buildable/ob_2500_river.asctxt,
	  trrobj/objects/landscape/obj_cliff_1.asctxt,
	  trrobj/objects/landscape/obj_mountain64_plateau.png,
	  trrobj/parents/_pobj519_lava.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_bumblebee.pcx,
	  unitsets/mk1/mk1-heli/mk1h_inca.pcx,
	  unitsets/mk1/mk1-inf/mk1i_shock.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/i07_207_paratrooper.asctxt,
	  unitsets/mk1/mk1-parent/j_308_device.asctxt,
	  unitsets/mk1/mk1-parent/j_309_turret.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/sh13_362_smallsub.asctxt,
	  unitsets/mk1/mk1-parent/sh18_367_speedship.asctxt,
	  unitsets/mk1/mk1-parent/st02_315_small_def_bunker.asctxt,
	  unitsets/mk1/mk1-parent/v3_243_light_radar.asctxt,
	  unitsets/mk1/mk1-shtu/mk1s_tsunami.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_coma.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_coma.jpg,
	  unitsets/mk1/mk1-vari/mk1v_comaii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaii.jpg,
	  unitsets/mk1/mk1-vari/mk1v_comaiii.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_comaiii.jpg, sounds/burning.ogg,
	  sounds/laser.ogg, sounds/lasergun.ogg, sounds/metalcrush.ogg,
	  sounds/thump.ogg, sounds/tnt.ogg, sounds/trampling.ogg,
	  unitsets/mk1/mk1-vfatr/mk1v_atuin.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_atuin.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_ant.asctxt,
	  unitsets/mk3/mk3-orb/mk3o_booster.asctxt,
	  unitsets/mk3/mk3-orb/mk3o_spacelab.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-shtu/mk3s_antey.asctxt: [no log message]

2008-09-10 22:42  mbickel

	* source/: sgstream.cpp, strtmesg.cpp, ai/misc.cpp:  Fixed another
	  AI crash
	   Updated version numbers

2008-09-09 21:27  mbickel

	* source/strtmesg.cpp:	Updated version number

2008-09-09 20:20  mbickel

	* source/: gameevent_dialogs.cpp, gameevent_dialogs.h:	Improved
	  usability of reinforcement setup

2008-09-09 19:19  mbickel

	* source/tos.cpp:  Fixed warning

2008-09-08 21:42  mbickel

	* source/win32/msvc/ASC/ASC.vcproj:  Activated Replay-Videos again

2008-09-08 20:17  mbickel

	* source/: edmisc.cpp, actions/servicing.cpp:  Map transformation
	  can now delete buildings, vehicles and objects
	   Fixed error message when transferring ammo from a building that
	  doesn't have ammo production

2008-09-07 18:42  mbickel

	* source/: edmisc.cpp, ai/misc.cpp, dialogs/terraininfo.cpp:  Fixed
	  AI crash

2008-09-07 10:12  mbickel

	* Makefile.in, configure, configure.in, data/Makefile.in,
	  data/dialog/Makefile.in, data/icons/Makefile.in,
	  data/music/Makefile.in, data/sounds/Makefile.in, doc/Makefile.in,
	  doc/manpages/Makefile.in, doc/unitguide/Makefile.in,
	  doc/unitguide/output/Makefile.in, installer/Makefile.in,
	  installer/asc.nsi, source/Makefile.in,
	  source/actions/Makefile.in, source/ai/Makefile.in,
	  source/clparser/Makefile.in, source/dialogs/Makefile.in,
	  source/doc/Makefile.in, source/docs/Makefile.in,
	  source/docs/en/Makefile.in, source/graphics/Makefile.in,
	  source/libs/Makefile.in, source/libs/loki-0.1.6/Makefile.in,
	  source/libs/paragui/Makefile.in,
	  source/libs/paragui/src/Makefile.in,
	  source/libs/paragui/src/core/Makefile.in,
	  source/libs/paragui/src/draw/Makefile.in,
	  source/libs/paragui/src/font/Makefile.in,
	  source/libs/paragui/src/themes/Makefile.in,
	  source/libs/paragui/src/widgets/Makefile.in,
	  source/libs/paragui/src/ystring/Makefile.in,
	  source/libs/revel/Makefile.in, source/libs/sdl_sound/Makefile.in,
	  source/libs/sdlmm/Makefile.in, source/libs/sdlmm/src/Makefile.in,
	  source/libs/triangul/Makefile.in, source/network/Makefile.in,
	  source/sdl/Makefile.in, source/tools/Makefile.in,
	  source/tools/lib/Makefile.in, source/tools/linux/Makefile.in,
	  source/unix/Makefile.in, source/unix/asc/Makefile.am,
	  source/unix/asc/Makefile.in, source/unix/mapeditor/Makefile.in,
	  source/unix/pbpedit/Makefile.in, source/video/Makefile.in,
	  source/widgets/Makefile.in, source/win32/Makefile.in,
	  source/win32/msvc/Makefile.in:  Updated Makefiles

2008-09-06 21:38  mbickel

	* source/: asc-mainscreen.cpp, containerbase-functions.cpp,
	  gamemap.cpp, gameoptions.cpp, gameoptions.h, messaginghub.cpp,
	  messaginghub.h, paradialog.cpp, paradialog.h, sg.cpp, sg.h,
	  strtmesg.cpp, tos.cpp, tos.h, typen.h, dialogs/messagedialog.cpp,
	  dialogs/messagedialog.h, network/simple_file_transfer.cpp,
	  win32/msvc/ASC/ASC.vcproj:  Added question dialog before sending
	  files by mail
	   Added infrastructure for saving dialog questions

2008-09-01 20:30  gamer

	* data/: files.txt, buildings/_history_asc-buildings.txt,
	  buildings/asc/bld_asc_mine.asctxt,
	  trrobj/_filter_asc_terrain.asctxt,
	  trrobj/_filter_realistic_touch.asctxt,
	  trrobj/_history_trrobj.txt, trrobj/_info_trrobj.txt,
	  trrobj/legacy/_deposits_filter.asctxt,
	  trrobj/legacy/min_0078wreck3_p_.asctxt,
	  trrobj/objects/buildable/ob_0007track.asctxt,
	  trrobj/objects/buildable/ob_0994runway_bridge.asctxt,
	  trrobj/objects/buildable/ob_2097_lavadefense.asctxt,
	  trrobj/objects/buildable/ob_2097_lavadefense.png,
	  trrobj/objects/buildable/ob_railroad_2.asctxt,
	  trrobj/objects/buildable/ob_railroad_armor_992.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_999.asctxt,
	  trrobj/objects/buildable/ob_railroad_bridge_big_995.asctxt,
	  trrobj/objects/buildable/ob_railroad_small_991.asctxt,
	  trrobj/objects/buildable/ob_road_1.asctxt,
	  trrobj/objects/buildable/ob_road_bridge_1000.asctxt,
	  trrobj/objects/buildable/ob_road_bridge_big_997_bridge.asctxt,
	  trrobj/objects/buildable/ob_stacheldraht_2099.asctxt,
	  trrobj/objects/buildable/ob_tankblocker_998.asctxt,
	  trrobj/objects/buildable/ob_turret_stealth_2096.asctxt,
	  trrobj/objects/buildable/ob_0001road.asctxt,
	  trrobj/objects/buildable/ob_0997big_bridge.asctxt,
	  trrobj/objects/buildable/ob_1000bridge.asctxt,
	  trrobj/objects/landscape/obj_crater_6.asctxt,
	  trrobj/objects/landscape/obj_mountain64.asctxt,
	  trrobj/objects/landscape/obj_mountain64_plateau.asctxt,
	  trrobj/objects/landscape/obj_mountain64_plateau.png,
	  trrobj/objects/landscape/obj_viewbonus_m10.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_m10.png,
	  trrobj/objects/landscape/obj_viewbonus_m20.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_m20.png,
	  trrobj/objects/landscape/obj_viewbonus_m30.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_m30.png,
	  trrobj/objects/landscape/obj_viewbonus_m40.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_m40.png,
	  trrobj/objects/landscape/obj_viewbonus_m50.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_m50.png,
	  trrobj/objects/landscape/obj_viewbonus_modification_abstract.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p10.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p10.png,
	  trrobj/objects/landscape/obj_viewbonus_p100.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p100.png,
	  trrobj/objects/landscape/obj_viewbonus_p20.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p20.png,
	  trrobj/objects/landscape/obj_viewbonus_p30.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p30.png,
	  trrobj/objects/landscape/obj_viewbonus_p40.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p40.png,
	  trrobj/objects/landscape/obj_viewbonus_p50.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p50.png,
	  trrobj/objects/landscape/obj_viewbonus_p60.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p60.png,
	  trrobj/objects/landscape/obj_viewbonus_p70.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p70.png,
	  trrobj/objects/landscape/obj_viewbonus_p80.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p80.png,
	  trrobj/objects/landscape/obj_viewbonus_p90.asctxt,
	  trrobj/objects/landscape/obj_viewbonus_p90.png,
	  unitsets/mk1/mk1-heli/mk1h_bumblebee_pbp_tech.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_terror_pbp_tech.asctxt,
	  unitsets/mk1/mk1-inf/mk1m_crazy.asctxt,
	  unitsets/mk1/mk1-inf/mk1m_crazy.jpg,
	  unitsets/mk1/mk1-inf/mk1m_drall.asctxt,
	  unitsets/mk1/mk1-inf/mk1m_drall.jpg,
	  unitsets/mk1/mk1-jam/mk1m_exp5.asctxt,
	  unitsets/mk1/mk1-jam/mk1m_exp5.jpg,
	  unitsets/mk1/mk1-jam/mk1v_vortex.asctxt,
	  unitsets/mk1/mk1-jam/mk1v_vortex.jpg,
	  unitsets/mk1/mk1-orb/mk1o_terrible_pbp_tech.asctxt,
	  unitsets/mk1/mk1-parent/_filter_mk1.asctxt,
	  unitsets/mk1/mk1-parent/_parent_400_weapon.asctxt,
	  unitsets/mk1/mk1-parent/_parent_401_transport.asctxt,
	  unitsets/mk1/mk1-parent/_parent_402_movement.asctxt,
	  unitsets/mk1/mk1-parent/_parent_403_type_bunker.asctxt,
	  unitsets/mk1/mk1-parent/_parent_404_light_tank.asctxt,
	  unitsets/mk1/mk1-parent/_parent_405_medium_tank.asctxt,
	  unitsets/mk1/mk1-parent/_parent_406_heavy_tank.asctxt,
	  unitsets/mk1/mk1-parent/_parent_407_type_sat.asctxt,
	  unitsets/mk1/mk1-parent/_parent_408_type_mech.asctxt,
	  unitsets/mk1/mk1-parent/_parent_416_bike_type.asctxt,
	  unitsets/mk1/mk1-parent/_parent_418_type_heavy_ship.asctxt,
	  unitsets/mk1/mk1-parent/_parent_419_type_medium_ship.asctxt,
	  unitsets/mk1/mk1-parent/_parent_421_type_submarine.asctxt,
	  unitsets/mk1/mk1-parent/j_312_ship.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/o9_238_spacedefencebunker.asctxt,
	  unitsets/mk1/mk1-parent/ro9_304_bunker_cm_launcher.asctxt,
	  unitsets/mk1/mk1-parent/sh02_351_patrol.asctxt,
	  unitsets/mk1/mk1-parent/sh03_352_corvette.asctxt,
	  unitsets/mk1/mk1-parent/sh04_353_fregatte.asctxt,
	  unitsets/mk1/mk1-parent/sh05_354_destroyer.asctxt,
	  unitsets/mk1/mk1-parent/sh06_355_cruiser.asctxt,
	  unitsets/mk1/mk1-parent/sh07_356_hvycruiser.asctxt,
	  unitsets/mk1/mk1-parent/sh08_357_battleship.asctxt,
	  unitsets/mk1/mk1-parent/sh09_358_helicarrier.asctxt,
	  unitsets/mk1/mk1-parent/sh10_359_smallcarrier.asctxt,
	  unitsets/mk1/mk1-parent/sh11_360_medcarrier.asctxt,
	  unitsets/mk1/mk1-parent/sh12_361_bigcarrier.asctxt,
	  unitsets/mk1/mk1-parent/sh14_363_supportsub.asctxt,
	  unitsets/mk1/mk1-parent/sh15_364_fightsub.asctxt,
	  unitsets/mk1/mk1-parent/sh16_365_rockettsub.asctxt,
	  unitsets/mk1/mk1-parent/sh20_369_transportship.asctxt,
	  unitsets/mk1/mk1-parent/sh21_370_armoredtransportship.asctxt,
	  unitsets/mk1/mk1-parent/st03_316_mgtower.asctxt,
	  unitsets/mk1/mk1-parent/st05_318_def_tower.asctxt,
	  unitsets/mk1/mk1-parent/st06_319_def_bunker.asctxt,
	  unitsets/mk1/mk1-parent/st09_322_lr_defence_gun.asctxt,
	  unitsets/mk1/mk1-parent/t01_290_tank_light.asctxt,
	  unitsets/mk1/mk1-parent/t02_291_tank_med1.asctxt,
	  unitsets/mk1/mk1-parent/t03_292_tank_med2.asctxt,
	  unitsets/mk1/mk1-parent/t04_293_tank_hvy.asctxt,
	  unitsets/mk1/mk1-parent/t06_295_tank_defence.asctxt,
	  unitsets/mk1/mk1-parent/t07_333_anti_trooper_tank.asctxt,
	  unitsets/mk1/mk1-parent/v2_242_radar_vehicle.asctxt,
	  unitsets/mk1/mk1-parent/v7_247_radar_plane.asctxt,
	  unitsets/mk1/mk1-parent/w01_331_fastrecon.asctxt,
	  unitsets/mk1/mk1-parent/w05_335_support_wheeled.asctxt,
	  unitsets/mk1/mk1-parent/w06_336_support_tracked.asctxt,
	  unitsets/mk1/mk1-parent/w07_337_drivingbunker.asctxt,
	  unitsets/mk1/mk1-psup/mk1a_nightcap_pbp_tech.asctxt,
	  unitsets/mk1/mk1-shb/mk1s_gasp_pbp_tech.asctxt,
	  unitsets/mk1/mk1-shtu/mk1s_mrsm_pbp_tech.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_biggun.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_biggun.jpg,
	  unitsets/mk1/mk1-sta/mk1b_fort_pbp_tech.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_heavygun.asctxt,
	  unitsets/mk1/mk1-sta/mk1b_heavygun.jpg,
	  unitsets/mk1/mk1-sta/mk1b_mgnest_pbp_tech.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_assault.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_assault.jpg,
	  unitsets/mk1/mk1-tank/mk1v_cobra.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_cobra.jpg,
	  unitsets/mk1/mk1-tank/mk1v_lassault.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_lassault.jpg,
	  unitsets/mk1/mk1-tank/mk1v_nova.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_nova.jpg,
	  unitsets/mk1/mk1-tank/mk1v_nova2.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_nova2.jpg,
	  unitsets/mk1/mk1-tank/mk1v_nova_pbp_tech.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_novaii_pbp_tech.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_termite.asctxt,
	  unitsets/mk1/mk1-tank/mk1v_termite.jpg,
	  unitsets/mk1/mk1-train/mk1t_punch.asctxt,
	  unitsets/mk1/mk1-train/mk1t_punch.jpg,
	  unitsets/mk1/mk1-vad/mk1b_samturret.asctxt,
	  unitsets/mk1/mk1-vad/mk1b_samturret.jpg,
	  unitsets/mk1/mk1-vad/mk1m_cad.asctxt,
	  unitsets/mk1/mk1-vad/mk1m_cad.jpg,
	  unitsets/mk1/mk1-vad/mk1v_spike.asctxt,
	  unitsets/mk1/mk1-vad/mk1v_spike.jpg,
	  unitsets/mk1/mk1-vad/mk1v_swatter.asctxt,
	  unitsets/mk1/mk1-vari/mk1t_callandor_pbp_tech.asctxt,
	  unitsets/mk1/mk1-vari/mk1t_rotos_pbp_tech.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_blackout.asctxt,
	  unitsets/mk1/mk1-vari/mk1v_blackout.jpg,
	  unitsets/mk1/mk1-vfatr/mk1v_atuin_pbp_tech.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_weasel.asctxt,
	  unitsets/mk1/mk1-vfatr/mk1v_weasel.jpg,
	  unitsets/mk1/mk1-view/mk1a_argus_pbp_tech.asctxt,
	  unitsets/mk1/mk1-view/mk1a_scope.asctxt,
	  unitsets/mk1/mk1-view/mk1v_oracle.asctxt,
	  unitsets/mk1/mk1-view/mk1v_oracle.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_alguin.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_alguin.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_ant.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_ant.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_ceti.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_ceti.jpg,
	  unitsets/mk1/mk1-vsup/mk1v_vesuvius.asctxt,
	  unitsets/mk1/mk1-vsup/mk1v_vesuvius.jpg,
	  unitsets/mk3/mk3-for/mk3_mk1cone_pbp_tech.asctxt,
	  unitsets/mk3/mk3-jam/mk3b_kornuta_pbp_tech.asctxt,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-parent/mk3_filter.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_sealboat.asctxt,
	  unitsets/mk3/mk3-shb/mk3s_visby.asctxt,
	  unitsets/mk3/mk3-shs/mk3s_seashadow.asctxt,
	  unitsets/mk3/mk3-sta/mk3b_mgnest_pbp_tech.asctxt,
	  unitsets/mk3/mk3-sta/mk3b_wachturm.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_leopard1_pbp_tech.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_leopard2.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_sturmtiger_pbp_tech.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_tiger_pbp_tech.asctxt,
	  unitsets/mk3/mk3-tank/mk3v_tigerii_pbp_tech.asctxt,
	  unitsets/mk3/mk3-train/mk3t_icce_pbp_tech.asctxt,
	  unitsets/mk3/mk3-train/mk3t_panzerzug_pbp_tech.asctxt,
	  unitsets/mk3/mk3-vari/mk3v_fh77.asctxt,
	  unitsets/mk3/mk3-view/mk3a_blackbird_pbp_tech.asctxt,
	  unitsets/mk3/mk3-view/mk3a_raytheon_pbp_tech.asctxt,
	  unitsets/mk3/mk3-view/mk3d_sonarboje.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_piobuild.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_pioelite.asctxt,
	  unitsets/mk3/mk3-vsup/mk3i_piospecial.asctxt: [no log message]

2008-08-28 04:01  xyph

	* data/trrobj/objects/buildable/ob_runway_45.png: [no log message]

2008-08-23 16:57  mbickel

	* asc.kdevelop, source/dialogs/unitguidedialog.cpp:  Fixed compiler
	  warning

2008-08-17 19:35  mbickel

	* source/: containercontrols.cpp, messagedlg.cpp, spfst.cpp,
	  strtmesg.cpp, typen.h:  Fixed: flying buildings are not destroyed
	  by terrain
	   Fixed: supervisors get messages
	   Change: Recycling gains 90% of a unis material

2008-08-15 22:57  xyph

	* data/campaign/standard/: asc001.map, asc002.map, asc003.map,
	  asc004.map, asc005.map, asc006.map: [no log message]

2008-08-12 17:21  xyph

	* data/trrobj/objects/buildable/obj_mushrooms_1.asctxt: Added
	  terrain_not += lava

2008-08-11 17:21  xyph

	* data/trrobj/objects/landscape/obj_bushes_1.asctxt: Added
	  terrain_kill = lava

2008-08-09 15:24  gamer

	* data/: buildings/_history_asc-buildings.txt,
	  trrobj/_history_trrobj.txt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk3/mk3-parent/mk3-history.txt: [no log message]

2008-08-09 14:21  gamer

	* data/: buildings/asc/bld_asc_hangar.asctxt, palette.map,
	  buildings/legacy/bld_bi_submarin.asctxt,
	  buildings/parents/_bld_parent_town_498.asctxt,
	  trrobj/_history_trrobj.txt,
	  trrobj/objects/buildable/ob_0010ditch.asctxt,
	  trrobj/objects/buildable/ob_runway_45.asctxt,
	  trrobj/objects/landscape/obj_mountain64.asctxt,
	  trrobj/objects/landscape/obj_mountain64_peak.asctxt,
	  trrobj/objects/landscape/obj_mountain64_peak.png,
	  trrobj/parents/_pobj508_huegel.asctxt,
	  trrobj/parents/_pobj509_berge.asctxt,
	  trrobj/parents/_pobj510_hohe_berge.asctxt,
	  unitsets/mk1/mk1-for/pbp_fa13_laser.asctxt,
	  unitsets/mk1/mk1-heli/mk1h_bumblebee.pcx,
	  unitsets/mk1/mk1-heli/mk1h_inca.pcx,
	  unitsets/mk1/mk1-parent/ad07_221_samtrain.asctxt,
	  unitsets/mk1/mk1-parent/mk1-history.txt,
	  unitsets/mk1/mk1-parent/ro6_301_fast_cm_launcher.asctxt,
	  unitsets/mk1/mk1-parent/ro8_303_turret_cm_launcher.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_boomerang.jpg,
	  unitsets/mk1/mk1-pbat/mk1a_dominator.asctxt,
	  unitsets/mk1/mk1-pbat/mk1a_dominator.jpg,
	  unitsets/mk1/mk1-pbat/mk1a_timber.pcx,
	  unitsets/mk1/mk1-pbat/mk1a_vertic.pcx,
	  unitsets/mk1/mk1-shb/mk1s_jellyfish.pcx,
	  unitsets/mk1/mk1-shb/mk1s_tide.pcx,
	  unitsets/mk1/mk1-shb/mk1s_wake.pcx,
	  unitsets/mk1/mk1-shs/mk1s_cone.pcx,
	  unitsets/mk1/mk1-shs/mk1s_fix.pcx,
	  unitsets/mk1/mk1-view/mk1b_boje_pbp_adapter.asctxt,
	  unitsets/mk1/mk1-view/mk1v_oracle.pcx,
	  unitsets/mk3/mk3-parent/mk3-history.txt,
	  unitsets/mk3/mk3-view/mk3d_sonarboje_pbp_adapter.asctxt,
	  unitsets/mk3/mk3-vrok/mk3v_scud.asctxt: [no log message]

2008-08-08 21:21  mbickel

	* source/: gamedialog.cpp, gamemap.cpp, strtmesg.cpp:  Fixed
	  respawn counter underflow
	   Change version to 2.1.6.0

2008-08-07 21:41  mbickel

	* source/: gamedialog.cpp, gamedialog.h, strtmesg.cpp,
	  dialogs/admingame.cpp, dialogs/cargodialog.cpp:  Changed
	  shortcuts in cargo dialog
	   Added shortcuts in main menu
	   Fixed wrong action name in admingame

2008-08-06 22:07  mbickel

	* configure, configure.in, data/files.txt, installer/asc.nsi:
	  Added properties to main.ascdat

2008-08-06 21:42  mbickel

	* source/: buildings.cpp, buildings.h, gamemap.cpp, spfst.cpp,
	  strtmesg.cpp, dialogs/terraininfo.cpp,
	  dialogs/unitguidedialog.cpp, win32/msvc/ASC/ASC.vcproj,
	  win32/msvc/mapeditor/mapeditor.vcproj,
	  win32/msvc/pbpeditor/pbpeditor.vcproj:  Added terrain-check for
	  building/unit removal after object growth
	   Fixed compilation problems with unitguide dialog

2008-08-05 23:17  ares

	* data/unitsets/mk3/mk3-parent/mk3-history.txt: Wracks mk3 Rest

2008-08-05 23:08  ares

	* data/unitsets/mk3/: mk3-heli/mk3h_apache.asctxt,
	  mk3-heli/mk3h_apache_sub_w.asctxt, mk3-heli/mk3h_apache_w.asctxt,
	  mk3-heli/mk3h_apache_w.png, mk3-heli/mk3h_chinook.asctxt,
	  mk3-heli/mk3h_chinook_sub_w.asctxt,
	  mk3-heli/mk3h_chinook_w.asctxt, mk3-heli/mk3h_chinook_w.png,
	  mk3-heli/mk3h_hormone.asctxt, mk3-heli/mk3h_hormone_sub_w.asctxt,
	  mk3-heli/mk3h_hormone_w.asctxt, mk3-heli/mk3h_hormone_w.png,
	  mk3-heli/mk3h_lynx.asctxt, mk3-heli/mk3h_lynx_sub_w.asctxt,
	  mk3-heli/mk3h_lynx_w.asctxt, mk3-heli/mk3h_lynx_w.png,
	  mk3-heli/mk3h_tiger.asctxt, mk3-heli/mk3h_tiger_sub_w.asctxt,
	  mk3-heli/mk3h_tiger_w.asctxt, mk3-heli/mk3h_tiger_w.png,
	  mk3-inf/mk3i_airbourne.asctxt, mk3-inf/mk3i_airbourne_w.asctxt,
	  mk3-inf/mk3i_airbourne_w.png, mk3-inf/mk3i_armyranger.asctxt,
	  mk3-inf/mk3i_armyranger_w.asctxt, mk3-inf/mk3i_armyranger_w.png,
	  mk3-inf/mk3i_gi.asctxt, mk3-inf/mk3i_gi_w.asctxt,
	  mk3-inf/mk3i_gi_w.png, mk3-inf/mk3i_seals.asctxt,
	  mk3-inf/mk3i_seals_sub_w.asctxt, mk3-inf/mk3i_seals_w.asctxt,
	  mk3-inf/mk3i_seals_w.png, mk3-inf/mk3i_sek.asctxt,
	  mk3-inf/mk3i_sek_w.asctxt, mk3-inf/mk3i_sek_w.png,
	  mk3-inf/mk3i_silencer.asctxt, mk3-inf/mk3i_silencer_w.asctxt,
	  mk3-inf/mk3i_silencer_w.png, mk3-jam/mk3b_kornuta.asctxt,
	  mk3-jam/mk3b_kornuta_w.asctxt, mk3-jam/mk3b_kornuta_w.png,
	  mk3-jam/mk3v_cojote.asctxt, mk3-jam/mk3v_cojote_w.asctxt,
	  mk3-jam/mk3v_cojote_w.png, mk3-orb/mk3b_anger.asctxt,
	  mk3-orb/mk3b_anger_w.asctxt, mk3-orb/mk3b_anger_w.png,
	  mk3-orb/mk3b_sdi.asctxt, mk3-orb/mk3b_sdi_w.asctxt,
	  mk3-orb/mk3b_sdi_w.png, mk3-orb/mk3i_armstrong.asctxt,
	  mk3-orb/mk3i_armstrong_sub_w.asctxt,
	  mk3-orb/mk3i_armstrong_w.asctxt, mk3-orb/mk3i_armstrong_w.png,
	  mk3-orb/mk3o_asatx53.asctxt, mk3-orb/mk3o_asatx53_sub_w.asctxt,
	  mk3-orb/mk3o_asatx53_w.asctxt, mk3-orb/mk3o_asatx53_w.png,
